------------------------------------------------------------------------
r20671 | gerald | 2007-02-01 11:15:01 -0800 (Thu, 01 Feb 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/asn1/h248/h248v3.asn
   M /trunk-0.99.5/asn1/h248/packet-h248-template.c
   M /trunk-0.99.5/epan/dissectors/packet-h248.c
   M /trunk-0.99.5/epan/dissectors/packet-h248.h

Actually copy over the H.248 code this time.

------------------------------------------------------------------------
r20670 | gerald | 2007-02-01 10:40:28 -0800 (Thu, 01 Feb 2007) | 42 lines
Changed paths:
   M /trunk-0.99.5/NEWS
   M /trunk-0.99.5/docbook/release-notes.xml
   M /trunk-0.99.5/epan/dissectors/packet-tftp.c
   M /trunk-0.99.5/epan/to_str.c
   M /trunk-0.99.5/packaging/nsis/wireshark.nsi

Copy over NEWS and release-notes.xml from the trunk.

Copy over the H.248 dissector from the trunk.

Copy over revs  20562, 20648, 20658:

------------------------------------------------------------------------
r20562 | jmayer | 2007-01-26 00:09:20 -0800 (Fri, 26 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tftp.c

If there is just a tftp response without a prior request,
dissection would fail with dissector assert.

------------------------------------------------------------------------
r20648 | ulfl | 2007-01-30 22:45:46 -0800 (Tue, 30 Jan 2007) | 1 line
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

slightly better explain the user's guide "component"
------------------------------------------------------------------------
r20658 | gerald | 2007-01-31 15:26:29 -0800 (Wed, 31 Jan 2007) | 15 lines
Changed paths:
   M /trunk/epan/to_str.c

From Andrej Mikus: 

  IMO, the function should return an error string instead of cowardly
  bailing out with an empty string.

  inet_ntop does the latter by default, so it does not need any additional
  check, just passing buf_len instead of INET6_ADDRSTRLEN.
  
  At the other side I like the check you made into ip_to_str_buf.

  My proposal would be to combine the patches and use MAX_IP_STR_LEN,
  and approach below for both IPv4 and IPv6 in address_to_str_buf.

Have the error string return a more descriptive clue.

------------------------------------------------------------------------

------------------------------------------------------------------------
r20653 | gerald | 2007-01-31 13:03:21 -0800 (Wed, 31 Jan 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/docbook/release-notes.xml

Fix a closing parenthesis.

------------------------------------------------------------------------
r20635 | gerald | 2007-01-30 16:47:14 -0800 (Tue, 30 Jan 2007) | 3 lines
Changed paths:
   M /trunk-0.99.5/docbook/release-notes.xml
   M /trunk-0.99.5/version.conf

Move to pre3-%#.  Reformat the vulnerability section of the release notes 
using the style from 0.99.4.

------------------------------------------------------------------------
r20630 | gerald | 2007-01-30 11:30:25 -0800 (Tue, 30 Jan 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/gtk/sctp_assoc_analyse.c
   M /trunk-0.99.5/gtk/sctp_stat.c
   M /trunk-0.99.5/gtk/sctp_stat.h
   M /trunk-0.99.5/gtk/sctp_stat_dlg.c

Copy over revisions 20570, 20608, and 20610.

------------------------------------------------------------------------
r20629 | gerald | 2007-01-30 11:20:07 -0800 (Tue, 30 Jan 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/version.conf

Designate pre2.

------------------------------------------------------------------------
r20628 | gerald | 2007-01-30 11:19:21 -0800 (Tue, 30 Jan 2007) | 6 lines
Changed paths:
   M /trunk-0.99.5/NEWS
   M /trunk-0.99.5/epan/wslua/wslua_tvb.c
   M /trunk-0.99.5/packaging/nsis/wireshark.nsi

Change the NSIS install logic for WinPcap 4.0.  Hopefully this doesn't
break anything.

Copy over wslua_tvb.c from the trunk to fix compile errors.  Update the
NEWS file.

------------------------------------------------------------------------
r20626 | gerald | 2007-01-30 09:51:30 -0800 (Tue, 30 Jan 2007) | 3 lines
Changed paths:
   M /trunk-0.99.5/packaging/nsis/Makefile.am
   M /trunk-0.99.5/packaging/nsis/Makefile.nmake
   D /trunk-0.99.5/packaging/nsis/WinPcap_3_1.exe
   A /trunk-0.99.5/packaging/nsis/WinPcap_4_0.exe
   M /trunk-0.99.5/packaging/nsis/wireshark.nsi
   M /trunk-0.99.5/packaging/u3/win32/makefile.nmake
   M /trunk-0.99.5/packaging/u3/win32/u3util.c

Copy over r20622 (which switches to WinPcap 4.0).  Copy over u3util.c
directly, which includes r20582.

------------------------------------------------------------------------
r20625 | gerald | 2007-01-30 09:44:11 -0800 (Tue, 30 Jan 2007) | 84 lines
Changed paths:
   M /trunk-0.99.5/README
   M /trunk-0.99.5/config.h.win32
   M /trunk-0.99.5/docbook/release-notes.xml
   M /trunk-0.99.5/epan/addr_resolv.c
   M /trunk-0.99.5/epan/crypt/airpdcap.c
   M /trunk-0.99.5/epan/crypt/airpdcap_system.h
   M /trunk-0.99.5/epan/crypt/airpdcap_user.h
   M /trunk-0.99.5/epan/dissectors/packet-dcp-etsi.c
   M /trunk-0.99.5/epan/dissectors/packet-eapol.c
   M /trunk-0.99.5/epan/dissectors/packet-ieee80211.c
   M /trunk-0.99.5/epan/dissectors/packet-isup.c
   M /trunk-0.99.5/epan/dissectors/packet-jxta.c
   M /trunk-0.99.5/epan/dissectors/packet-radius.c
   M /trunk-0.99.5/epan/dissectors/packet-ssl.c
   M /trunk-0.99.5/epan/ftypes/Makefile.nmake
   M /trunk-0.99.5/epan/ipv4.c
   M /trunk-0.99.5/epan/strutil.c
   M /trunk-0.99.5/epan/to_str.c
   M /trunk-0.99.5/epan/to_str.h
   M /trunk-0.99.5/epan/wslua/template-init.lua
   M /trunk-0.99.5/util.c
   M /trunk-0.99.5/version_info.c
   M /trunk-0.99.5/version_info.h

Copy over more revisions from the trunk.  Downgrade the ISUP stats
overflow from "vulnerability" to "bug," since that's how the CVE folks
have classified this sort of thing in the past.

------------------------------------------------------------------------
r20548 | guy | 2007-01-24 15:30:23 -0800 (Wed, 24 Jan 2007) | 6 lines
Changed paths:
   M /trunk/util.c

When parsing DISPLAY, mirror what __X11TransConnectDisplay() does - and
handle the case where the "host name" begins with "/", as some platforms
might allow the pathname of a UNIX domain socket to be given in DISPLAY.

Fix indentation of a comment.

------------------------------------------------------------------------
r20549 | gerald | 2007-01-24 17:24:14 -0800 (Wed, 24 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/strutil.c

Fix a key preference crash bug.  Improve WPA passphrase and SSID length
handling.  Free a byte array.  Squelch a compiler warning.  Fix a URI
string parsing bug.

------------------------------------------------------------------------
r20559 | wmeier | 2007-01-25 17:34:29 -0800 (Thu, 25 Jan 2007) | 2 lines
Changed paths:
   M /trunk/config.h.win32
   M /trunk/epan/dissectors/packet-dcp-etsi.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/ftypes/Makefile.nmake
   M /trunk/epan/wslua/template-init.lua
   M /trunk/version_info.c
   M /trunk/version_info.h

A few more ethereal --> wireshark

------------------------------------------------------------------------
r20572 | gerald | 2007-01-26 13:54:59 -0800 (Fri, 26 Jan 2007) | 10 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/crypt/airpdcap_system.h
   M /trunk/epan/crypt/airpdcap_user.h
   M /trunk/epan/dissectors/packet-eapol.c
   M /trunk/epan/dissectors/packet-ieee80211.c

Add support for "wildcard" WPA keys in the form "wpa:passphrase" (note
the lack of SSID).  Wildcarding combines the passphrase with the last
seen SSID and attempts decryption.  The last-seen stack is only one
element tall, which means it may get clobbered on busy and diverse
networks.  We can expand it if needed.

Make internal functions static in airpdcap.c.  Rearrange the
AIRPDCAP_KEY_ITEM struct so that the passphrase and SSID don't get
clobbered when we set our PSK.

------------------------------------------------------------------------
r20573 | gerald | 2007-01-26 15:28:22 -0800 (Fri, 26 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c

Fix saving WPA key preferences from the decryption key management dialog,
which was broken by r20388.

------------------------------------------------------------------------
r20602 | jake | 2007-01-29 04:38:48 -0800 (Mon, 29 Jan 2007) | 2 lines
Changed paths:
   M /trunk/README

Delist Windows 98 as possible platform

------------------------------------------------------------------------
r20607 | gerald | 2007-01-29 12:25:26 -0800 (Mon, 29 Jan 2007) | 5 lines

Fix potential buffer overruns in address_to_str_buf() found by Andrej 
Mikus.  Add a buf_len parameter to ip_to_str_buf(), and make sure it's 
enforced.  Copy the release notes over from the 0.99.5 trunk and add a
note about the ISUP dissector (which is affected by the overrun).

------------------------------------------------------------------------


------------------------------------------------------------------------
r20624 | gerald | 2007-01-30 09:14:37 -0800 (Tue, 30 Jan 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/airpcap_loader.c
   M /trunk-0.99.5/epan/dissectors/packet-dcp-etsi.c
   M /trunk-0.99.5/epan/dissectors/packet-ieee80211.c
   M /trunk-0.99.5/epan/dissectors/packet-scsi.c
   M /trunk-0.99.5/epan/emem.c
   M /trunk-0.99.5/epan/wslua/wslua_pinfo.c
   M /trunk-0.99.5/epan/wslua/wslua_tvb.c
   M /trunk-0.99.5/gtk/capture_if_details_dlg.c
   M /trunk-0.99.5/gtk/filter_dlg.c

Copy over more revisions from the trunk.

------------------------------------------------------------------------
r20620 | gerald | 2007-01-29 18:11:47 -0800 (Mon, 29 Jan 2007) | 55 lines
Changed paths:
   M /trunk-0.99.5/epan/proto.c
   M /trunk-0.99.5/epan/stats_tree.c
   M /trunk-0.99.5/example_snmp_users_file
   M /trunk-0.99.5/gtk/Makefile.am
   M /trunk-0.99.5/gtk/menu.c
   M /trunk-0.99.5/packaging/nsis/wireshark.nsi

Copy over more revisions from the trunk.

------------------------------------------------------------------------
r20518 | sfisher | 2007-01-21 14:45:58 -0800 (Sun, 21 Jan 2007) | 8 lines
Changed paths:
   M /trunk/epan/stats_tree.c


From Sebastien Tandel:

patch against a crash of wireshark with gtk1.2 when using packet
length statistics window.  The crash was due to a difference of
implementation of g_strsplit between gtk1.2 and gtk2.


------------------------------------------------------------------------
r20523 | ulfl | 2007-01-21 20:03:17 -0800 (Sun, 21 Jan 2007) | 5 lines
Changed paths:
   M /trunk/gtk/menu.c

as Bill Meier noted:
"The Help ! Contents and the Help ! User's Guide  both display the User's 
Guide."

Remove the duplicate Help!/User's Guide item
------------------------------------------------------------------------
r20530 | ulfl | 2007-01-23 00:20:59 -0800 (Tue, 23 Jan 2007) | 1 line
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

remove example_snmp_users_file at uninstall
------------------------------------------------------------------------
r20532 | guy | 2007-01-23 10:31:26 -0800 (Tue, 23 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/proto.c

DISSECTOR_ASSERT_NOT_REACHED() now, by default, throws a Wireshark
exception rather than aborting the program; using it means that
dissector bugs show up as such rather than as malformed packets.

------------------------------------------------------------------------
r20533 | lego | 2007-01-23 11:46:55 -0800 (Tue, 23 Jan 2007) | 3 lines
Changed paths:
   M /trunk/gtk/Makefile.am

Have build succeed even if portaudio is located somewhere else than any other libraries in use.

------------------------------------------------------------------------
r20534 | lego | 2007-01-23 11:56:10 -0800 (Tue, 23 Jan 2007) | 3 lines
Changed paths:
   M /trunk/example_snmp_users_file

Add a shord description on how the snmp_users_file can be used


------------------------------------------------------------------------
r20617 | gerald | 2007-01-29 17:02:06 -0800 (Mon, 29 Jan 2007) | 55 lines
Changed paths:
   M /trunk-0.99.5/Makefile.nmake
   M /trunk-0.99.5/NEWS
   M /trunk-0.99.5/config.nmake
   M /trunk-0.99.5/docbook/Makefile
   M /trunk-0.99.5/packaging/nsis/Makefile.nmake
   M /trunk-0.99.5/packaging/nsis/wireshark.nsi
   M /trunk-0.99.5/tools/win32-setup.sh

Copy over revisions 20491 - 20497 from the trunk:

------------------------------------------------------------------------
r20491 | ulfl | 2007-01-18 15:57:03 -0800 (Thu, 18 Jan 2007) | 4 lines
Changed paths:
   M /trunk/docbook/Makefile

the docbook generation also suffers from the cygwin bash CR/LF problem :-(
I've added a call to dos2unix to convert check_svn_version.sh that way

Is it safe to assume that dos2unix is available on a common UNIX developer machine?!?
patching file packaging/nsis/wireshark.nsi
------------------------------------------------------------------------
r20492 | ulfl | 2007-01-18 16:10:22 -0800 (Thu, 18 Jan 2007) | 1 line
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

instead of getting the user-guide.chm file always from the docbook dir, copy the more recent one from docbook or win32-libs\user-guide dir into local nsis dir, and use that one to build the installer - seems to be the cleanest way
------------------------------------------------------------------------
r20493 | ulfl | 2007-01-18 16:12:01 -0800 (Thu, 18 Jan 2007) | 1 line
Changed paths:
   M /trunk/docbook/Makefile

add a target to build a zipped version of user-guide.chm
------------------------------------------------------------------------
r20494 | ulfl | 2007-01-18 16:14:43 -0800 (Thu, 18 Jan 2007) | 1 line
Changed paths:
   M /trunk/docbook/Makefile

add user-guide.zip to the clean target
------------------------------------------------------------------------
r20495 | ulfl | 2007-01-18 17:10:59 -0800 (Thu, 18 Jan 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/tools/win32-setup.sh

add the user-guide as a component to the setup target
------------------------------------------------------------------------
r20496 | ulfl | 2007-01-18 17:21:17 -0800 (Thu, 18 Jan 2007) | 2 lines
Changed paths:
   M /trunk/config.nmake

user-guide final step:
enable HHC_DIR as default, hopefully the buildbot will "get it right" now :-)
------------------------------------------------------------------------
r20497 | ulfl | 2007-01-18 18:41:25 -0800 (Thu, 18 Jan 2007) | 4 lines
Changed paths:
   M /trunk/Makefile.nmake

As discussed on the devlist:
A clean_setup is done first now to ensure that the target dirs don't contain old files -  probably remaining from a previous setup run.

explicit removing of the gtk2 dir is no longer required therefore

------------------------------------------------------------------------
r20525 | gerald | 2007-01-22 14:55:08 -0800 (Mon, 22 Jan 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/epan/wslua/template-init.lua
   M /trunk-0.99.5/epan/wslua/wslua_gui.c
   M /trunk-0.99.5/gtk/about_dlg.c
   M /trunk-0.99.5/gtk/dlg_utils.c
   M /trunk-0.99.5/gtk/dlg_utils.h
   M /trunk-0.99.5/gtk/simple_dialog.c

Copy over revisions 20507, 20508, 20514, and 20515.

------------------------------------------------------------------------
r20504 | gerald | 2007-01-19 10:14:37 -0800 (Fri, 19 Jan 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/docbook/release-notes.xml

Fix some layout bugs.

------------------------------------------------------------------------
r20503 | gerald | 2007-01-19 09:56:24 -0800 (Fri, 19 Jan 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/version.conf

Change the version away from -pre1.

------------------------------------------------------------------------
r20499 | gerald | 2007-01-18 22:28:56 -0800 (Thu, 18 Jan 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/make-version.pl

Set our package version if we're using the SVN client.

------------------------------------------------------------------------
r20488 | gerald | 2007-01-18 12:25:59 -0800 (Thu, 18 Jan 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/version.conf

Mark -pre1.

------------------------------------------------------------------------
r20487 | gerald | 2007-01-18 12:25:30 -0800 (Thu, 18 Jan 2007) | 27 lines
Changed paths:
   M /trunk-0.99.5/Makefile.am
   M /trunk-0.99.5/docbook/release-notes.xml
   M /trunk-0.99.5/epan/dissectors/packet-udld.c
   M /trunk-0.99.5/version_info.c

Copy over 20468, 20478, and 20479 from the trunk:

------------------------------------------------------------------------
r20468 | lego | 2007-01-17 19:13:10 -0800 (Wed, 17 Jan 2007) | 2 lines
Changed paths:
   M /trunk/version_info.c

the version string stated "without Lua" regardless or not Lua support was indeed built.
------------------------------------------------------------------------
r20478 | lego | 2007-01-18 06:04:49 -0800 (Thu, 18 Jan 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/version_info.c

Fix version_info.c compilation
------------------------------------------------------------------------
r20479 | martinm | 2007-01-18 06:41:59 -0800 (Thu, 18 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-udld.c

Filled in missing hf entries.
------------------------------------------------------------------------

Add a release note entry about the UDLD dissector.



------------------------------------------------------------------------
r20466 | gerald | 2007-01-17 16:27:42 -0800 (Wed, 17 Jan 2007) | 2 lines
Changed paths:
   M /trunk-0.99.5/ChangeLog
   M /trunk-0.99.5/docbook/release-notes.xml
   A /trunk-0.99.5/version.conf

Updates for 0.99.5-pre1

------------------------------------------------------------------------
r20465 | gerald | 2007-01-17 14:54:09 -0800 (Wed, 17 Jan 2007) | 2 lines
Changed paths:
   A /trunk-0.99.5 (from /trunk:20464)

Split off 0.99.5.

------------------------------------------------------------------------
r20464 | sahlberg | 2007-01-17 13:05:44 -0800 (Wed, 17 Jan 2007) | 6 lines
Changed paths:
   M /trunk/epan/proto.c

check if we have a finfo before dereferencing it later in PROTO_ITEM_IS_HIDDEN()


this prevents wireshark from crashing on X Liu's kerberos capture files


------------------------------------------------------------------------
r20463 | etxrab | 2007-01-17 11:14:11 -0800 (Wed, 17 Jan 2007) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/tools/win32-setup.sh

Update to use the latest GTK packages.
Win32-setup.sh changed to overwrite existing folders.
------------------------------------------------------------------------
r20462 | jake | 2007-01-17 09:11:09 -0800 (Wed, 17 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

From Patrick vd Lageweg:
The "NUMBER OF BLOCKS" field in the SCSI MODE SENSE return data is 24 bits and not 32 bits. This patch fixes that.

------------------------------------------------------------------------
r20461 | morriss | 2007-01-17 08:41:40 -0800 (Wed, 17 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-homeplug.c

Oops, set properties on the new file
------------------------------------------------------------------------
r20460 | lego | 2007-01-17 08:41:22 -0800 (Wed, 17 Jan 2007) | 5 lines
Changed paths:
   M /trunk/epan/dfilter/grammar.lemon

productions of non-terminal "sentence" do not generate any value. Avoid a destructor being called for them.

see http://www.sqlite.org/cvstrac/tktview?tn=2172


------------------------------------------------------------------------
r20459 | morriss | 2007-01-17 08:34:11 -0800 (Wed, 17 Jan 2007) | 1 line
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-homeplug.c
   M /trunk/epan/etypes.h

From Sebastien Tandel: Support for the dissection of the Intellon homeplug powerline protocol based on INT51X1 specification.
------------------------------------------------------------------------
r20458 | etxrab | 2007-01-16 14:51:08 -0800 (Tue, 16 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Dissekt ControlChannelData.
------------------------------------------------------------------------
r20457 | sfisher | 2007-01-16 13:16:45 -0800 (Tue, 16 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c


From Gisle Vanem: Add the final ) to a g_strdup_printf call


------------------------------------------------------------------------
r20456 | jake | 2007-01-16 11:27:25 -0800 (Tue, 16 Jan 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

From Gisle Vanem:
* <epan/crypt/crypt-md5.h> must come after <glib.h> because of
  'guint8' etc.
* Include <wiretap/file_util.h> because of eth_fopen().

------------------------------------------------------------------------
r20455 | jake | 2007-01-16 11:13:09 -0800 (Tue, 16 Jan 2007) | 5 lines
Changed paths:
   M /trunk/editcap.c

From Sebastien Tandeil:
a patch to avoid the warning "implicit declaration of function
'strptime'" in editcap.c
glib.h is included just after the define __USE_XOPEN and include <time.h>

------------------------------------------------------------------------
r20454 | morriss | 2007-01-16 09:40:00 -0800 (Tue, 16 Jan 2007) | 1 line
Changed paths:
   M /trunk/gtk/help_dlg.c

Should have done this in the last checkin: wrap help_topic_html() in #ifdef(GLIB2) as it's only used (and only works) there
------------------------------------------------------------------------
r20453 | jake | 2007-01-16 08:53:01 -0800 (Tue, 16 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

From Steve Karg:
I added some text for enumerations that were added with addenda recently approved for the BACnet standard. 

------------------------------------------------------------------------
r20452 | lego | 2007-01-16 08:41:12 -0800 (Tue, 16 Jan 2007) | 3 lines
Changed paths:
   M /trunk/tools/lemon/lemon.c

It looks that their fix to my fix broke things out...


------------------------------------------------------------------------
r20451 | morriss | 2007-01-16 08:32:18 -0800 (Tue, 16 Jan 2007) | 1 line
Changed paths:
   M /trunk/gtk/help_dlg.c

help_topic_gtk() is needed in GTK 1.2 builds so don't #ifdef(GKT2) it out
------------------------------------------------------------------------
r20450 | jmayer | 2007-01-16 04:16:56 -0800 (Tue, 16 Jan 2007) | 2 lines
Changed paths:
   M /trunk/docbook/Makefile

Make things work on Suse as well, not just Debian

------------------------------------------------------------------------
r20449 | kukosa | 2007-01-15 23:53:46 -0800 (Mon, 15 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/epan/dissectors/packet-h225.c

fix registration H.225 over TLS
------------------------------------------------------------------------
r20448 | kukosa | 2007-01-15 23:31:09 -0800 (Mon, 15 Jan 2007) | 1 line
Changed paths:
   M /trunk/tools/lex.py
   M /trunk/tools/yacc.py

update Ply to version 2.2
------------------------------------------------------------------------
r20447 | lego | 2007-01-15 21:38:55 -0800 (Mon, 15 Jan 2007) | 3 lines
Changed paths:
   M /trunk/tools/lemon/lemon.c

update to lemon.c 1.43


------------------------------------------------------------------------
r20446 | ulfl | 2007-01-15 20:08:35 -0800 (Mon, 15 Jan 2007) | 3 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/menu.c

in effect use the User's Guide as the online help system now (for GTK > V1)!

remove ENABLE_WSUG setting from config.nmake and replace it with GLIB_MAJOR_VERSION >= 2 (as Glib 1.x cannot open a browser to show a HTML file - it's just currently? not implemented)
------------------------------------------------------------------------
r20445 | ulfl | 2007-01-15 14:17:24 -0800 (Mon, 15 Jan 2007) | 5 lines
Changed paths:
   M /trunk/gtk/help_dlg.c

Help:
- Win32 only: try to load help page from local user-guide.chm (if HHC_DIR is set in config.nmake) and if that fails:
- show corresponding help page directly from www.wireshark.org in the configured web browser.

The "internet way" will be the only way for all UNIX based versions, as they cannot read .chm files.
------------------------------------------------------------------------
r20444 | etxrab | 2007-01-15 13:07:36 -0800 (Mon, 15 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Dissect SMS-OriginationRestrictions.
------------------------------------------------------------------------
r20443 | lego | 2007-01-15 12:14:00 -0800 (Mon, 15 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dtd_grammar.lemon
   M /trunk/epan/dtd_parse.l

two minor leaks


------------------------------------------------------------------------
r20442 | lego | 2007-01-15 11:48:06 -0800 (Mon, 15 Jan 2007) | 3 lines
Changed paths:
   M /trunk/tools/lemon/lemon.c

Fix a major leakage of token minors in lemon generated parsers due to the fact that lemon was not genmerating destructor code for elements in the RHS of rules without C-code.


------------------------------------------------------------------------
r20441 | gal | 2007-01-15 11:11:29 -0800 (Mon, 15 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/filesystem.c
   M /trunk/packaging/u3/win32/u3util.c

Update to get_persdatafile_dir() to choose a default directory on the U3 device that Wireshark is being run from.
The U3 Deployment Guide recommends a sub-directory of U3_DEVICE_DOCUMENT_PATH, so the u3util creates a "My Captures" sub-directory to use as the personal data file directory.


------------------------------------------------------------------------
r20440 | etxrab | 2007-01-15 06:01:04 -0800 (Mon, 15 Jan 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Handle the case where the same TransactionID is used for two different
destinations.
------------------------------------------------------------------------
r20439 | etxrab | 2007-01-15 02:19:50 -0800 (Mon, 15 Jan 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Dissect sms-BearerData also in responce messages if service code seen in Invoke.
Pretify a bunch of DigitsType parameters.
------------------------------------------------------------------------
r20438 | gerald | 2007-01-14 23:29:13 -0800 (Sun, 14 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/strutil.c

GLib 1.2 doesn't have g_strlcpy(), so don't use it.

------------------------------------------------------------------------
r20437 | ulfl | 2007-01-14 21:16:13 -0800 (Sun, 14 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/emem.c
   M /trunk/epan/exceptions.h
   M /trunk/epan/packet.c
   M /trunk/file.c

instead of simply doing an assert when running out of memory in emem, throw a new OutOfMemoryError Exception, so file.c can show at least a better explanation to the user before Wireshark terminates

XXX - to prevent a busy wait, I need a portable way to wait for a short time period, like Sleep() for Windows
------------------------------------------------------------------------
r20436 | ulfl | 2007-01-14 20:22:10 -0800 (Sun, 14 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/filesystem.c

fix a warning
------------------------------------------------------------------------
r20435 | ulfl | 2007-01-14 19:53:20 -0800 (Sun, 14 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/filesystem.c

SHGetFolderPath is not available on MSVC 6 without a Platform SDK, use SHGetSpecialFolderPath instead
------------------------------------------------------------------------
r20434 | ulfl | 2007-01-14 16:17:32 -0800 (Sun, 14 Jan 2007) | 1 line
Changed paths:
   M /trunk/file.c

minor bugfix of file loading: don't update the packet list if loading a smaller file, the update takes longer than the file to load.
------------------------------------------------------------------------
r20433 | ulfl | 2007-01-14 15:28:35 -0800 (Sun, 14 Jan 2007) | 6 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/gtk/main.c
   M /trunk/gtk/win32-file-dlg.c

fix #301: Windows file dialog should:
- initially show the "My Documents" folder
- don't use the "open folder" preference setting on save and alike dialogs (we don't do it in the GTK versions either)



------------------------------------------------------------------------
r20432 | ulfl | 2007-01-14 14:45:43 -0800 (Sun, 14 Jan 2007) | 1 line
Changed paths:
   M /trunk/gtk/u3.c

fix a bug when freeing newpath - don't g_free(NULL)
------------------------------------------------------------------------
r20431 | ulfl | 2007-01-14 14:25:22 -0800 (Sun, 14 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/filesystem.c
   M /trunk/epan/filesystem.h
   M /trunk/epan/libwireshark.def

on my way to fix #301:
add a function get_persdatafile_dir() that will return the users personal default data dir Win32:"My Documents" UNIX:"" (for the current dir)
------------------------------------------------------------------------
r20430 | etxrab | 2007-01-14 14:20:02 -0800 (Sun, 14 Jan 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

If a OCTET STRING has zero length a zero length tvb will be returned - handle that case
and add pretifications by Graeme Lunt.
------------------------------------------------------------------------
r20429 | etxrab | 2007-01-14 12:54:39 -0800 (Sun, 14 Jan 2007) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

From Graeme Lunt:
The problem was that when dissecting the set, if a sub-dissector didn't consume any bytes it was assumed that the correct field hadn't been matched.
This fix matches the field if the sub-dissector consumes no bytes and we know that the length of the field is zero. This is only allowed on the first pass when we are not matching ANYs.
I think this is a fairly safe fix - I've tried it with some other ASN.1

I've also changed dissect_ber_octet_string() to show the zero length fields in the dissection. This shows the fields as "<MISSING>" which is not quite the right explanation as the field is definitely present. Something like "<EMPTY>" or "<ZERO LENGTH>" may be better - but I'm not sure of the reasoning behind "<MISSING>".
------------------------------------------------------------------------
r20428 | lego | 2007-01-14 12:19:00 -0800 (Sun, 14 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

taking a look at it the name_str var is unnecessary


------------------------------------------------------------------------
r20427 | lego | 2007-01-14 12:17:13 -0800 (Sun, 14 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

As pointed out by Sebastien Tandel a buffer is allocated unconditionally when it might not be necessary.


------------------------------------------------------------------------
r20426 | etxrab | 2007-01-14 07:29:29 -0800 (Sun, 14 Jan 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Dissect cdma2000HandoffInvokeIOSData and response data
(Missing .cnf file in previous checkin) add BCD decoded items to Digits type item.
------------------------------------------------------------------------
r20425 | jake | 2007-01-14 05:44:40 -0800 (Sun, 14 Jan 2007) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.am

Trying to get buildbot Ubuntu-5.10-x86 distcheck to build again.
------------------------------------------------------------------------
r20424 | lego | 2007-01-13 22:13:07 -0800 (Sat, 13 Jan 2007) | 5 lines
Changed paths:
   M /trunk/wiretap/ascend.c

fix Bug 1301

do not let the ascend_open() read more than 256K without finding the first packet.


------------------------------------------------------------------------
r20423 | ulfl | 2007-01-13 21:18:07 -0800 (Sat, 13 Jan 2007) | 5 lines
Changed paths:
   M /trunk/gtk/win32-file-dlg.c

bugfix: show the "placesbar" (the one with e.g. "My Documents" button) for the various win32 file dialogs.

As a nice side effect, the dir/file part of the dialogs is bigger now, which makes handling of the dialogs much nicer/faster. Yes, it still fits into 800*600 screen resolution.

Needs testing, I might have placed a g_free() call at the wrong place ...
------------------------------------------------------------------------
r20422 | guy | 2007-01-13 19:49:17 -0800 (Sat, 13 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan

Ignore another generated file.

------------------------------------------------------------------------
r20421 | etxrab | 2007-01-13 15:02:06 -0800 (Sat, 13 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Handle the case ehere TCAP identifier isn't present.
------------------------------------------------------------------------
r20420 | etxrab | 2007-01-13 11:18:46 -0800 (Sat, 13 Jan 2007) | 4 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

- Correct Tag numbering and marking of OPTIONAL.
 - Add some variants of Digits dissection.
 - Correct the DMH-RedirectionIndicator.
- Add reserved bits.
------------------------------------------------------------------------
r20419 | gal | 2007-01-13 09:01:43 -0800 (Sat, 13 Jan 2007) | 6 lines
Changed paths:
   M /trunk/packaging/u3/win32/README.txt
   M /trunk/packaging/u3/win32/makefile.nmake

Tidyups:
* clean up more things
* better directory creation
* README update


------------------------------------------------------------------------
r20418 | etxrab | 2007-01-13 08:08:30 -0800 (Sat, 13 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/epan/dissectors/packet-ansi_map.c

Handle zero length invokes and some asn1 fixes.
------------------------------------------------------------------------
r20417 | gal | 2007-01-13 08:06:28 -0800 (Sat, 13 Jan 2007) | 7 lines
Changed paths:
   M /trunk/gtk/menu.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/u3.c
   M /trunk/gtk/u3.h

U3 support for "recent" files.

When the "recent" file is written, any references to files on the U3 device itself are modified to have the drive replace with "$U3_DEVICE_PATH". Similarly, when the recent file is read, "$U3_DEVICE_PATH" is replaced with the current U3 device path.

This ensures that if/when the U3 device path changes when inserting it into different machines, recent captures on the U3 device itself can still be opened from the recent menu.


------------------------------------------------------------------------
r20416 | gal | 2007-01-13 07:26:13 -0800 (Sat, 13 Jan 2007) | 7 lines
Changed paths:
   M /trunk/asn1/cms/cms-exp.cnf
   M /trunk/asn1/cms/cms.cnf
   M /trunk/asn1/cms/packet-cms-template.c
   A /trunk/asn1/pkcs12
   A /trunk/asn1/pkcs12/Makefile
   A /trunk/asn1/pkcs12/Makefile.nmake
   A /trunk/asn1/pkcs12/packet-pkcs12-template.c
   A /trunk/asn1/pkcs12/packet-pkcs12-template.h
   A /trunk/asn1/pkcs12/pkcs12.asn
   A /trunk/asn1/pkcs12/pkcs12.cnf
   M /trunk/asn1/x509sat/x509sat-exp.cnf
   M /trunk/asn1/x509sat/x509sat.cnf
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cms.h
   A /trunk/epan/dissectors/packet-pkcs12.c
   A /trunk/epan/dissectors/packet-pkcs12.h
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/epan/dissectors/packet-x509sat.h

New protocol dissector for PKCS#12 - Personal Information Exchange Syntax.

Generally found within a file (.p12 or .pfx) or as a directory attribute (userPKCS12 from iNetOrgPerson).

Wiki page and sample file to follow.


------------------------------------------------------------------------
r20415 | ulfl | 2007-01-13 06:33:46 -0800 (Sat, 13 Jan 2007) | 4 lines
Changed paths:
   A /trunk/nio-ie5.c
   A /trunk/nio-ie5.h
   A /trunk/update.c

far from being complete:
as mentioned on the devel list, this is a very first start of implementing the Wireshark update/version check feature

think of it as a backup / discussion base only - it's not even added to the Makefiles yet
------------------------------------------------------------------------
r20414 | gal | 2007-01-13 04:59:27 -0800 (Sat, 13 Jan 2007) | 8 lines
Changed paths:
   M /trunk/asn1/s4406/packet-s4406-template.c
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-s4406.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509af.h
   M /trunk/epan/libwireshark.def
   M /trunk/file.c
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/decode_as_ber.c
   A /trunk/gtk/decode_as_ber.h
   M /trunk/gtk/decode_as_dlg.c

New "decode as ..." feature for BER-encoded files (WTAP_FILE_BER). 

A BER-encoded file can be dissected as one of a number of registered syntaxes (registered using register_ber_syntax_dissector()). 
Syntaxes may also be associated with OIDs (or other strings) using register_ber_oid_syntax(). 

A default syntax with which to dissect a BER-encoded file is determined from its filename (extension). For example, ".cer" and ".crt" files will be dissected as "Certificate".


------------------------------------------------------------------------
r20413 | ulfl | 2007-01-12 20:28:26 -0800 (Fri, 12 Jan 2007) | 3 lines
Changed paths:
   M /trunk/config.nmake

no, we're still not using MSVC2005 as default :-(

should fix the Win32 buildbot ...
------------------------------------------------------------------------
r20412 | sfisher | 2007-01-12 19:16:07 -0800 (Fri, 12 Jan 2007) | 32 lines
Changed paths:
   M /trunk/epan/inet_aton.c


Remove "advertising clause" from BSD license per:

ftp://ftp.cs.berkeley.edu/pub/4bsd/README.Impt.License.Change

July 22, 1999

To All Licensees, Distributors of Any Version of BSD:

As you know, certain of the Berkeley Software Distribution ("BSD") source
code files require that further distributions of products containing all or
portions of the software, acknowledge within their advertising materials
that such products contain software developed by UC Berkeley and its
contributors.

Specifically, the provision reads:

"     * 3. All advertising materials mentioning features or use of this software
      *    must display the following acknowledgement:
      *    This product includes software developed by the University of
      *    California, Berkeley and its contributors."

Effective immediately, licensees and distributors are no longer required to
include the acknowledgement within advertising materials.  Accordingly, the
foregoing paragraph of those BSD Unix files containing it is hereby deleted
in its entirety.

William Hoskins
Director, Office of Technology Licensing
University of California, Berkeley 


------------------------------------------------------------------------
r20411 | ulfl | 2007-01-12 16:59:39 -0800 (Fri, 12 Jan 2007) | 5 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

fix some remaining MSVC != V6 issues:
- add redistributables (msvcr*.dll) to the NSIS installer (depending on MSVC_VARIANT)
- split MSVC2006 and MSVC2006EE (Express Edition) settings in config.nmake, as redistributable settings for NSIS are different
- remove Platform SDK setting from config.nmake, it's not needed

------------------------------------------------------------------------
r20410 | guy | 2007-01-12 13:04:33 -0800 (Fri, 12 Jan 2007) | 6 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/epan/Makefile.am
   M /trunk/wiretap/Makefile.am
   M /trunk/wiretap/configure.in

Automake variables ending with _LDFLAGS are special:

	http://sources.redhat.com/ml/automake/2001-08/msg00046.html

so call it LDFLAGS_SHAREDLIB rather than SHAREDLIB_LDFLAGS.

------------------------------------------------------------------------
r20409 | etxrab | 2007-01-12 09:50:20 -0800 (Fri, 12 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-ansi_a.h
   M /trunk/epan/dissectors/packet-ansi_map.c

Dissect cdma2000HandoffInvokeIOSData.
------------------------------------------------------------------------
r20408 | kukosa | 2007-01-12 05:02:49 -0800 (Fri, 12 Jan 2007) | 1 line
Changed paths:
   M /trunk/gtk/ssl-dlg.c

update ssl-dlg.c in accordance with changes in SSL dissector
------------------------------------------------------------------------
r20407 | etxrab | 2007-01-12 04:05:56 -0800 (Fri, 12 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Dissect CDMAServiceOption.
------------------------------------------------------------------------
r20406 | kukosa | 2007-01-12 04:03:31 -0800 (Fri, 12 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

ignore ssl_desegment_app_data preference till desegmentation is implemented well
------------------------------------------------------------------------
r20405 | kukosa | 2007-01-12 02:25:03 -0800 (Fri, 12 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl-utils.h
   M /trunk/epan/dissectors/packet-ssl.c

prepare SSL dissector for similar desegmentation as is in the TCP as current one does not work well in many cases
------------------------------------------------------------------------
r20404 | kukosa | 2007-01-12 02:21:02 -0800 (Fri, 12 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/proto.c

do not ignore invisible tree, it can break tree creation for coloring/filtering
------------------------------------------------------------------------
r20403 | ulfl | 2007-01-11 21:47:12 -0800 (Thu, 11 Jan 2007) | 1 line
Changed paths:
   M /trunk/wiretap/Makefile.am
   M /trunk/wiretap/Makefile.common
   M /trunk/wiretap/Makefile.nmake

second try for file_util.c ... (at least OS X didn't liked it)
------------------------------------------------------------------------
r20402 | ulfl | 2007-01-11 19:05:28 -0800 (Thu, 11 Jan 2007) | 9 lines
Changed paths:
   M /trunk/capture_opts.c
   M /trunk/epan/filesystem.c
   M /trunk/gtk/main.c
   M /trunk/plugins/asn1/Makefile.nmake
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/tempfile.c
   M /trunk/wiretap/Makefile.common
   M /trunk/wiretap/Makefile.nmake
   A /trunk/wiretap/file_util.c
   M /trunk/wiretap/file_util.h
   M /trunk/wiretap/file_wrappers.h
   M /trunk/wiretap/wtap.def

Win32: MSVC > 6 doesn't work well with Unicode filenames!

fix this, by providing required functions in the new file file_util.c - it's mostly copied from GLib (g_open alike - that take UTF8 as filename format but don't use msvcrt.dll V6 for this as the glib files do) 

"link" to these functions in file_util.h: #define eth_open eth_stdio_open

revert changes (from SVN 20282) throughout the code related to these file functions which were introduced with the first tries of MSVC 2005 ...

Hopefully I've done everything right with the new file_util.c ...
------------------------------------------------------------------------
r20401 | gerald | 2007-01-11 16:54:13 -0800 (Thu, 11 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/crypt/airpdcap_ccmp.c
   M /trunk/epan/crypt/airpdcap_debug.c
   M /trunk/epan/crypt/airpdcap_debug.h
   M /trunk/epan/crypt/airpdcap_int.h
   M /trunk/epan/crypt/airpdcap_interop.h
   M /trunk/epan/crypt/airpdcap_rijndael.c
   M /trunk/epan/crypt/airpdcap_rijndael.h
   M /trunk/epan/crypt/airpdcap_system.h
   M /trunk/epan/crypt/airpdcap_tkip.c
   M /trunk/epan/crypt/airpdcap_user.h
   M /trunk/epan/crypt/airpdcap_wep.c
   M /trunk/epan/crypt/airpdcap_ws.h
   M /trunk/epan/crypt/wep-wpadefs.h

Add copyright attributions and licenses.  License each derived work
according to its pedigree.

------------------------------------------------------------------------
r20400 | lego | 2007-01-11 16:48:09 -0800 (Thu, 11 Jan 2007) | 3 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

add snmp decryption


------------------------------------------------------------------------
r20399 | gerald | 2007-01-11 16:33:32 -0800 (Thu, 11 Jan 2007) | 2 lines
Changed paths:
   M /trunk/asn1/cms/packet-cms-template.c
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/Makefile.common
   M /trunk/epan/crypt/Makefile.common
   M /trunk/epan/crypt/airpdcap.c
   D /trunk/epan/crypt/airpdcap_sha1.c
   D /trunk/epan/crypt/airpdcap_sha1.h
   M /trunk/epan/crypt/airpdcap_system.h
   A /trunk/epan/crypt/crypt-sha1.c (from /trunk/epan/sha1.c:20378)
   A /trunk/epan/crypt/crypt-sha1.h (from /trunk/epan/sha1.h:20378)
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cms.h
   M /trunk/epan/dissectors/packet-snmp.c
   D /trunk/epan/sha1.c
   D /trunk/epan/sha1.h
   M /trunk/epan/sigcomp-udvm.c

Move sha1.[ch] to epan/crypt/crypt-sha1.[ch].  Remove duplicate code.

------------------------------------------------------------------------
r20398 | etxrab | 2007-01-11 14:26:15 -0800 (Thu, 11 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Add dissection of cdmaChannelData and only add Opcode to hastable once.
------------------------------------------------------------------------
r20397 | gerald | 2007-01-11 14:12:33 -0800 (Thu, 11 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/crypt/airpdcap_debug.c
   M /trunk/epan/libwireshark.def
   M /trunk/epan/strutil.c
   M /trunk/epan/strutil.h
   M /trunk/gtk/airpcap_gui_utils.c

Fix compilation problems under Windows.  In the GTK code, convert SSIDs
to GByteArrays.  Add format_uri() to strutil, which formats a byte string
with percent-escapes.  Fixup whitespace and indentation.

------------------------------------------------------------------------
r20396 | ulfl | 2007-01-11 14:05:59 -0800 (Thu, 11 Jan 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

don't generate zlib1.dll over and over again
------------------------------------------------------------------------
r20395 | etxrab | 2007-01-11 12:05:05 -0800 (Thu, 11 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/Makefile.nmake

load_snmp_users_file.c needs to be rebuilt after distclean to make tarballs work on Windows.
------------------------------------------------------------------------
r20394 | sfisher | 2007-01-11 11:50:19 -0800 (Thu, 11 Jan 2007) | 4 lines
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/packet_list.c
   M /trunk/ui_util.h


Fix for bug #1140: Filtering messes up packet list sort order


------------------------------------------------------------------------
r20393 | lego | 2007-01-11 09:39:16 -0800 (Thu, 11 Jan 2007) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/snmp/packet-snmp-template.h
   M /trunk/asn1/snmp/snmp.cnf
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h
   M /trunk/epan/load_snmp_users_file.l

warn the user if the decrypted data doesn't look like a ScopedPDU instead of dissecting it.


------------------------------------------------------------------------
r20392 | kukosa | 2007-01-11 02:10:03 -0800 (Thu, 11 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

make SIP TCP/TLS ports configurable via preferences
------------------------------------------------------------------------
r20391 | kukosa | 2007-01-10 23:56:37 -0800 (Wed, 10 Jan 2007) | 1 line
Changed paths:
   M /trunk/airpcap_loader.c
   M /trunk/epan/libwireshark.def

make airpcap_loader.c compileable and linkable under Windows
------------------------------------------------------------------------
r20390 | ulfl | 2007-01-10 23:53:01 -0800 (Wed, 10 Jan 2007) | 1 line
Changed paths:
   M /trunk/config.nmake

add the ".NET Framework SDK V1.0" to the list of working MSVC_VARIANTS :-)
------------------------------------------------------------------------
r20389 | sfisher | 2007-01-10 22:36:14 -0800 (Wed, 10 Jan 2007) | 6 lines
Changed paths:
   M /trunk/file.c


Fix for bug #1196: packet detail & packet bytes windows not updated under
certain circumstances when applying a display filter that does not include
the currently selected packet.


------------------------------------------------------------------------
r20388 | gerald | 2007-01-10 18:42:34 -0800 (Wed, 10 Jan 2007) | 9 lines
Changed paths:
   M /trunk/airpcap_loader.c
   M /trunk/airpcap_loader.h
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/crypt/airpdcap_user.h
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/strutil.c
   M /trunk/epan/strutil.h

Add uri_str_to_bytes(), byte_array_dup(), and byte_array_equal()
functions to strutil.  Use GByteArrays to store SSIDs for decryption,
and let the user specify arbitrary byte strings using percent-encoded
strings.  We should probably add percent encoding for pass phrases as
well, so you can escape the ":" character.

Move the key struct key conversion utilities to airpdcap.c, and remove
duplicate code from packet-ieee80211.c.  Fix a lot of indentation.

------------------------------------------------------------------------
r20387 | lego | 2007-01-10 16:29:50 -0800 (Wed, 10 Jan 2007) | 5 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/snmp/packet-snmp-template.h
   M /trunk/asn1/snmp/snmp.cnf
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h
   M /trunk/epan/load_snmp_users_file.l

- allow use of * as any-engine-id
- automatic localization of usertable entries with no engine-id
- remove last remains of debug code


------------------------------------------------------------------------
r20386 | etxrab | 2007-01-10 14:59:40 -0800 (Wed, 10 Jan 2007) | 14 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ber.c

Packet-ber:
Handle the following type of construct
CDMATargetMAHOInformation ::= SEQUENCE {
	targetCellID			[3] IMPLICIT TargetCellID,
	cdmaPilotStrength		[65] IMPLICIT CDMAPilotStrength,
	cdmaTargetOneWayDelay	[61] IMPLICIT CDMATargetOneWayDelay
	}

CDMATargetMAHOList ::= SEQUENCE OF [135] IMPLICIT CDMATargetMAHOInformation

ansi_map:
- Correct an Enummeration
- add Missing OPTIONAL to Tags
- Handle parameter if it's one or two octets long.
------------------------------------------------------------------------
r20385 | lego | 2007-01-10 13:48:22 -0800 (Wed, 10 Jan 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/packaging/nsis/wireshark.nsi

Add the example_snmp_users_file to the ditribution


------------------------------------------------------------------------
r20384 | ulfl | 2007-01-10 13:46:50 -0800 (Wed, 10 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-lldp.c

append period values to the PROFINET PTCP status
------------------------------------------------------------------------
r20383 | ulfl | 2007-01-10 13:45:19 -0800 (Wed, 10 Jan 2007) | 1 line
Changed paths:
   M /trunk/config.nmake

various msvc / zlib config cleanup
------------------------------------------------------------------------
r20382 | ulfl | 2007-01-10 13:42:34 -0800 (Wed, 10 Jan 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

fix some zlib build issues
------------------------------------------------------------------------
r20381 | ulfl | 2007-01-10 13:37:52 -0800 (Wed, 10 Jan 2007) | 1 line
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

package manifest files only, if MSVC2005 / .NET SDK 2.0 is used - this should remove a warning while packaging the other variants
------------------------------------------------------------------------
r20380 | gerald | 2007-01-10 12:26:33 -0800 (Wed, 10 Jan 2007) | 2 lines
Changed paths:
   M /trunk/packaging/u3/win32/makefile.nmake

Fix the GNUTLS DLL names.  Add the program version to the package file name.

------------------------------------------------------------------------
r20379 | jake | 2007-01-10 12:19:16 -0800 (Wed, 10 Jan 2007) | 2 lines
Changed paths:
   M /trunk/plugins/asn1/Makefile.am
   M /trunk/plugins/asn1/Makefile.common

Trying to get buildbot Ubuntu-5.10-x86 distcheck to build again.
Adding asn1.[ch] to the correct makefile symbols.
------------------------------------------------------------------------
r20378 | lego | 2007-01-10 10:34:34 -0800 (Wed, 10 Jan 2007) | 3 lines
Changed paths:
   A /trunk/example_snmp_users_file

The example_snmp_users_file


------------------------------------------------------------------------
r20377 | gerald | 2007-01-10 08:47:04 -0800 (Wed, 10 Jan 2007) | 3 lines
Changed paths:
   M /trunk/image/hi16-app-wireshark.png
   M /trunk/image/hi32-app-wireshark.png
   M /trunk/image/hi48-app-wireshark.png
   M /trunk/image/lo16-app-wireshark.png
   M /trunk/image/lo32-app-wireshark.png
   M /trunk/image/lo48-app-wireshark.png
   M /trunk/image/nsis-checked.bmp
   M /trunk/image/nsis-unchecked.bmp
   M /trunk/image/wireshark.ico
   M /trunk/image/wiresharkdoc.ico
   M /trunk/image/wsicon16.png
   M /trunk/image/wsicon256.png
   M /trunk/image/wsicon32.png
   M /trunk/image/wsicon48.png
   M /trunk/image/wsicon64.png
   M /trunk/image/wsiconcap256.png
   M /trunk/image/wsicondoc256.png

Set the proper MIME types on image files.  Browsing the images on the
anonsvn site should hopefully work as expected now.

------------------------------------------------------------------------
r20376 | jake | 2007-01-10 06:37:24 -0800 (Wed, 10 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/crypt/Makefile.am

Trying to get buildbot Ubuntu-5.10-x86 distcheck to build again

------------------------------------------------------------------------
r20375 | ulfl | 2007-01-10 01:56:39 -0800 (Wed, 10 Jan 2007) | 1 line
Changed paths:
   M /trunk/config.nmake

fix the HHC_DIR settings for none MSVC6 variants
------------------------------------------------------------------------
r20374 | ulfl | 2007-01-10 01:54:31 -0800 (Wed, 10 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/crypt/Makefile.nmake

vastly simplify the Makefile by using Makefile.common - as this is what this file is intended to be - to be common for UNIX and Windows builds ;-)
------------------------------------------------------------------------
r20373 | jake | 2007-01-09 23:47:00 -0800 (Tue, 09 Jan 2007) | 4 lines
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/epan/Makefile.common
   M /trunk/epan/libwireshark.def
   M /trunk/epan/packet.c
   M /trunk/epan/packet.h
   M /trunk/epan/proto.c
   A /trunk/epan/tfs.c
   A /trunk/epan/tfs.h

Extending true_false_string support
- Separate tfs.[ch]
- Add larger sample collection
- Properly export DATA
------------------------------------------------------------------------
r20372 | kukosa | 2007-01-09 23:09:30 -0800 (Tue, 09 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/Makefile.common
   D /trunk/epan/asn1.c
   D /trunk/epan/asn1.h
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/libwireshark.def
   M /trunk/plugins/asn1/Makefile.common
   A /trunk/plugins/asn1/asn1.c (from /trunk/epan/asn1.c:20342)
   A /trunk/plugins/asn1/asn1.h (from /trunk/epan/asn1.h:20342)
   M /trunk/plugins/asn1/packet-asn1.c

move asn1.c/.h files into plugins/asn1 directory as just this plugin uses it now
------------------------------------------------------------------------
r20371 | kukosa | 2007-01-09 23:06:16 -0800 (Tue, 09 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/crypt/Makefile.nmake

add missing object files into epan/crypt/Makefile.nmake
------------------------------------------------------------------------
r20370 | ulfl | 2007-01-09 19:11:13 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/config.nmake

from Laurent Rabret:
use /MD switch instead of direct linker switches
(hopefully this will fix linker issues mentioned by Andrew and Stephen)
------------------------------------------------------------------------
r20369 | lego | 2007-01-09 18:30:22 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/snmp/packet-snmp-template.h
   M /trunk/asn1/snmp/snmp.cnf

+ AES decryption


------------------------------------------------------------------------
r20368 | gerald | 2007-01-09 17:58:56 -0800 (Tue, 09 Jan 2007) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/docbook/release-notes.xml

Update to r20350.

------------------------------------------------------------------------
r20367 | lego | 2007-01-09 17:16:22 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h

sync changes with asn/snmp


------------------------------------------------------------------------
r20366 | lego | 2007-01-09 17:15:18 -0800 (Tue, 09 Jan 2007) | 4 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/snmp/packet-snmp-template.h
   M /trunk/asn1/snmp/snmp.cnf

* sha1 authentication
- remove warnings and test code


------------------------------------------------------------------------
r20365 | lego | 2007-01-09 17:14:16 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/crypt/Makefile.common
   D /trunk/epan/crypt/hmac.c
   D /trunk/epan/crypt/hmac.h

remove now useless hmac.[ch] files


------------------------------------------------------------------------
r20364 | lego | 2007-01-09 17:13:10 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap_sha1.c

Have the code working on BIG ENDIAN machines


------------------------------------------------------------------------
r20363 | lego | 2007-01-09 17:11:20 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/sha1.c
   M /trunk/epan/sha1.h

* From the same source as the rest get the sha1_hmac code


------------------------------------------------------------------------
r20362 | ulfl | 2007-01-09 16:35:01 -0800 (Tue, 09 Jan 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

add a missing dependency to the zlib1.dll, so it will be generated before wiretap
------------------------------------------------------------------------
r20361 | jake | 2007-01-09 15:03:09 -0800 (Tue, 09 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e164.c

Implement COMPLEMENT TO ITU-T RECOMMENDATION E.164 (02/2005):
- Modify few country codes
- Add new international networks
Cleanup sourcecode
------------------------------------------------------------------------
r20360 | sfisher | 2007-01-09 14:32:23 -0800 (Tue, 09 Jan 2007) | 11 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/plugins/megaco/packet-megaco.c


From Mike Davies:

There was a change in Corrigendum 1 (03/2004) to H.248.1 which allows an
empty {} to be omitted from the Signal Descriptor.  Currently (SVN 20346)
this causes Wireshark to report [Packet size limited during capture] as
shown in the attached example outputs.

I have attached a possible patch to solve this.


------------------------------------------------------------------------
r20359 | gerald | 2007-01-09 14:14:07 -0800 (Tue, 09 Jan 2007) | 2 lines
Changed paths:
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/epan/Makefile.common
   M /trunk/epan/crypt/Makefile.common
   A /trunk/epan/crypt/crypt-des.c (from /trunk/epan/crypt-des.c:20358)
   A /trunk/epan/crypt/crypt-des.h (from /trunk/epan/crypt-des.h:20358)
   A /trunk/epan/crypt/crypt-md4.c (from /trunk/epan/crypt-md4.c:20358)
   A /trunk/epan/crypt/crypt-md4.h (from /trunk/epan/crypt-md4.h:20358)
   M /trunk/epan/crypt/crypt-md5.c
   A /trunk/epan/crypt/crypt-rc4.c (from /trunk/epan/crypt-rc4.c:20358)
   A /trunk/epan/crypt/crypt-rc4.h (from /trunk/epan/crypt-rc4.h:20358)
   D /trunk/epan/crypt-des.c
   D /trunk/epan/crypt-des.h
   D /trunk/epan/crypt-md4.c
   D /trunk/epan/crypt-md4.h
   D /trunk/epan/crypt-rc4.c
   D /trunk/epan/crypt-rc4.h
   M /trunk/epan/dissectors/packet-dcerpc-samr.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-spnego.c

Move cryptography code to epan/crypt.

------------------------------------------------------------------------
r20358 | etxrab | 2007-01-09 13:45:46 -0800 (Tue, 09 Jan 2007) | 2 lines
Changed paths:
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/Makefile.nmake
   A /trunk/asn1/ansi_map/Makefile
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/epan/dissectors/packet-ansi_map.c

Add ansi_map to the makefiles
Add missing IMPLICIT and tag numbers, some whitespace changes.
------------------------------------------------------------------------
r20357 | lego | 2007-01-09 12:43:25 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/crypt/crypt-md5.c

Win32 has neither bcopy nor bzero


------------------------------------------------------------------------
r20356 | lego | 2007-01-09 12:22:48 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

change the loading order of some headers to avoid a conflict with net-snmp


------------------------------------------------------------------------
r20355 | lego | 2007-01-09 11:58:18 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/Makefile.nmake

the forgotten file strikes again...


------------------------------------------------------------------------
r20354 | lego | 2007-01-09 10:41:14 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   A /trunk/epan/load_snmp_users_file.l

SNMPv3 USM... the forgotten file :)


------------------------------------------------------------------------
r20353 | lego | 2007-01-09 10:38:55 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/snmp/packet-snmp-template.h
   M /trunk/asn1/snmp/snmp.cnf
   M /trunk/epan/Makefile.am
   M /trunk/epan/Makefile.common
   M /trunk/epan/crypt/Makefile.common
   A /trunk/epan/crypt/hmac.c
   A /trunk/epan/crypt/hmac.h
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h

SNMPv3 USM decryption/authentication phase 1


------------------------------------------------------------------------
r20352 | lego | 2007-01-09 10:34:43 -0800 (Tue, 09 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dtd_preparse.l

make internal variables static


------------------------------------------------------------------------
r20351 | lego | 2007-01-09 07:50:55 -0800 (Tue, 09 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap_sha1.c
   M /trunk/epan/crypt/airpdcap_sha1.h
   M /trunk/epan/crypt/crypt-md5.c
   M /trunk/epan/crypt/crypt-md5.h

 * replaced MD5 with one that that works on my Big Endian Mac. ( taken from www.pjsip.org, which BTW took it from some other place)
 * externalize SHA1 functions and data types


------------------------------------------------------------------------
r20350 | ulfl | 2007-01-08 14:50:49 -0800 (Mon, 08 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/crypt/Makefile.common

airpdcap_wep.h was removed
------------------------------------------------------------------------
r20349 | ulfl | 2007-01-08 14:29:18 -0800 (Mon, 08 Jan 2007) | 3 lines
Changed paths:
   M /trunk/capture_wpcap_packet.c
   M /trunk/config.nmake
   M /trunk/gtk/capture_if_details_dlg.c

fix compilation for:
- Visual Studio .NET (2002)
- Visual Studio .NET 2003
------------------------------------------------------------------------
r20348 | ulfl | 2007-01-08 14:11:56 -0800 (Mon, 08 Jan 2007) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

PropagationDelayFactor -> LineDelay
------------------------------------------------------------------------
r20347 | gerald | 2007-01-08 13:19:46 -0800 (Mon, 08 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/crypt/airpdcap_tkip.c
   M /trunk/epan/crypt/airpdcap_wep.c
   D /trunk/epan/crypt/airpdcap_wep.h

Remove duplicate crc32 code.

------------------------------------------------------------------------
r20346 | jmayer | 2007-01-08 06:32:10 -0800 (Mon, 08 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-usb.c
   M /trunk/epan/dissectors/packet-usb.h
   M /trunk/epan/to_str.c

Commit my USB changes (change address handling)

------------------------------------------------------------------------
r20345 | jmayer | 2007-01-08 06:25:35 -0800 (Mon, 08 Jan 2007) | 2 lines
Changed paths:
   M /trunk/FAQ
   M /trunk/help/faq.txt

Update FAQ

------------------------------------------------------------------------
r20344 | jmayer | 2007-01-08 03:51:04 -0800 (Mon, 08 Jan 2007) | 2 lines
Changed paths:
   M /trunk/manuf

Update manuf

------------------------------------------------------------------------
r20343 | jmayer | 2007-01-08 02:36:28 -0800 (Mon, 08 Jan 2007) | 3 lines
Changed paths:
   M /trunk/make-version.pl

Adapt the svn info hack to work out of the box for people who
are using svn 1.4 or newer to automatically switch to svn info.

------------------------------------------------------------------------
r20342 | ulfl | 2007-01-07 23:42:26 -0800 (Sun, 07 Jan 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

the makefile dependencies are just killing me ;-) Maybe this is the right way to go ...
------------------------------------------------------------------------
r20341 | sfisher | 2007-01-07 23:19:31 -0800 (Sun, 07 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/dfilter/dfunctions.c
   M /trunk/epan/dfilter/dfunctions.h
   M /trunk/epan/dfilter/sttype-function.c


Add "svn:keywords Id" and "svn:eol-style native"


------------------------------------------------------------------------
r20340 | ulfl | 2007-01-07 21:03:17 -0800 (Sun, 07 Jan 2007) | 6 lines
Changed paths:
   M /trunk/Makefile.nmake

fix general compilation:
- compile wiretap unconditionally

fix .NET1.1 + PSDK compilation:
- lib.exe tool not available, build dll only (that's just enough)
- copy zlib1.dll.manifest file only if it's available, MSVC2003 doesn't generate it
------------------------------------------------------------------------
r20339 | ulfl | 2007-01-07 19:31:28 -0800 (Sun, 07 Jan 2007) | 3 lines
Changed paths:
   M /trunk/config.nmake

Oops, I did it again ;-)

C:\Programme -> C:\Program Files
------------------------------------------------------------------------
r20338 | guy | 2007-01-07 18:55:41 -0800 (Sun, 07 Jan 2007) | 3 lines
Changed paths:
   M /trunk/wiretap/libpcap.c

We support nanosecond resolution in Wiretap; use that with AIX libpcap
files.

------------------------------------------------------------------------
r20337 | ulfl | 2007-01-07 18:40:06 -0800 (Sun, 07 Jan 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/tools/win32-setup.sh

if we don't have MSVC6, download (using the setup target) the zlib source package instead of the dll one, and compile it in a temp dir before continuing with wiretap
------------------------------------------------------------------------
r20336 | ulfl | 2007-01-07 11:50:16 -0800 (Sun, 07 Jan 2007) | 1 line
Changed paths:
   M /trunk/config.nmake

fix GNUTLS compiling issue on recent MSVC versions by switching off Wincrypt.h, see: http://www.mail-archive.com/openssl-dev@openssl.org/msg03802.html for details
------------------------------------------------------------------------
r20335 | etxrab | 2007-01-07 07:38:29 -0800 (Sun, 07 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c

Show return signal in info col. also if no data.
------------------------------------------------------------------------
r20334 | etxrab | 2007-01-06 12:51:03 -0800 (Sat, 06 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_map.h

Check in the asn2wrs generated ANSI map dissector.
------------------------------------------------------------------------
r20333 | etxrab | 2007-01-06 12:21:30 -0800 (Sat, 06 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Fix tag > 0x1f
------------------------------------------------------------------------
r20332 | ulfl | 2007-01-05 17:05:59 -0800 (Fri, 05 Jan 2007) | 8 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/plugins/asn1/Makefile.nmake
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/plugins/megaco/Makefile.nmake
   M /trunk/plugins/mgcp/Makefile.nmake

add experimental support for some more of the MSVC_VARIANTs:
- Microsoft .Net Framework SDK Version 1.1
- Microsoft .Net Framework 2.0 SDK
... which seems to work fine now (except for the open problems like zlib) :-)

Some of the plugins need different linker flags depending on the MSVC. I've set a "define" in config.nmake (PLUGIN_LDFLAGS) and used it in the affected plugins/.../Makefile.nmake. Maybe we should generally change the plugins that way.

btw: The "Microsoft Visual C++ Toolkit 2003" (mentioned some time ago on the list) doesn't work as some important files are missing - and we have much easier alternatives now :-)
------------------------------------------------------------------------
r20331 | ulfl | 2007-01-05 16:48:11 -0800 (Fri, 05 Jan 2007) | 1 line
Changed paths:
   M /trunk/capture_wpcap_packet.c
   M /trunk/gtk/capture_if_details_dlg.c

fix sockaddr_storage problem for MSVC 7.1 (hmmm, maybe it's a platform SDK issue - time will tell)
------------------------------------------------------------------------
r20330 | lego | 2007-01-05 07:09:33 -0800 (Fri, 05 Jan 2007) | 5 lines
Changed paths:
   M /trunk/epan/wslua/wslua_dumper.c
   M /trunk/epan/wslua/wslua_util.c

* have the Dumper using either '\' or '/' as directory separator in all plattforms.
* use the directory separator not a pointer to it.



------------------------------------------------------------------------
r20329 | jake | 2007-01-05 05:42:08 -0800 (Fri, 05 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntp.c
   M /trunk/epan/dissectors/packet-ntp.h

Added functionality proposed in bug 1233.
Clean up of source code.

------------------------------------------------------------------------
r20328 | lego | 2007-01-05 04:14:42 -0800 (Fri, 05 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/wslua/wslua_gui.c

 * rename url->file in browser_open_data_file()


------------------------------------------------------------------------
r20327 | lego | 2007-01-05 04:11:05 -0800 (Fri, 05 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/wslua/wslua_util.c

 + register_stat_cmd_arg()
 * use '/' as directory separator on both plattforms

------------------------------------------------------------------------
r20326 | guy | 2007-01-04 23:36:30 -0800 (Thu, 04 Jan 2007) | 4 lines
Changed paths:
   M /trunk/wiretap/configure.in

When Mr. Genius added the SHAREDLIB_LDFLAGS stuff, he forgot that
Wiretap has its own configuration file.  Do to its configuration file
what was done to the top-level configuration file.

------------------------------------------------------------------------
r20325 | etxrab | 2007-01-04 23:32:39 -0800 (Thu, 04 Jan 2007) | 5 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c

- Dissect IA5 digits
- Update info column
- Call subdissectors
- fix some asn1 bugs
- clean up .cnf file.
------------------------------------------------------------------------
r20324 | ulfl | 2007-01-04 21:23:02 -0800 (Thu, 04 Jan 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake

don't spread the AirPcap DevPack files over the libs dir, unzip files into: AirPcap_Devpack_1_0_0_594
------------------------------------------------------------------------
r20323 | ulfl | 2007-01-04 21:03:15 -0800 (Thu, 04 Jan 2007) | 3 lines
Changed paths:
   M /trunk/config.nmake

compile error in openssl.h depends on the Platform SDK, not the MSVC variant used

change the !IFDEF around GNUTLS accordingly
------------------------------------------------------------------------
r20322 | ulfl | 2007-01-04 20:58:52 -0800 (Thu, 04 Jan 2007) | 1 line
Changed paths:
   M /trunk/config.nmake

move the directory settings more to the top, add an optional platform SDK setting
------------------------------------------------------------------------
r20321 | gerald | 2007-01-04 17:35:23 -0800 (Thu, 04 Jan 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/epan/libwireshark.def
   M /trunk/tools/win32-setup.sh

Update to the latest Win32 libs: Net-SNMP 5.4 and GNUTLS 1.6.1.  Enable
AirPcap.

------------------------------------------------------------------------
r20320 | sfisher | 2007-01-04 16:33:23 -0800 (Thu, 04 Jan 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.h


Remove stderr output of an error condition per bug #998.  The error is already
displayed in the packet tree.


------------------------------------------------------------------------
r20319 | gerald | 2007-01-04 15:54:00 -0800 (Thu, 04 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/wslua/Makefile.nmake

Remove duplicate targets.

------------------------------------------------------------------------
r20318 | gerald | 2007-01-04 15:21:37 -0800 (Thu, 04 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Don't lower-case our SSID and passphrase, otherwise we'll create an
incorrect PSK hash.

------------------------------------------------------------------------
r20317 | lego | 2007-01-04 14:58:33 -0800 (Thu, 04 Jan 2007) | 3 lines
Changed paths:
   A /trunk/epan/wslua/doc
   A /trunk/epan/wslua/doc/Makefile

Add the documentation directory


------------------------------------------------------------------------
r20316 | lego | 2007-01-04 14:47:23 -0800 (Thu, 04 Jan 2007) | 3 lines
Changed paths:
   M /trunk/radius/dictionary.3gpp

fix some entries with wrong spaces


------------------------------------------------------------------------
r20315 | lego | 2007-01-04 14:45:43 -0800 (Thu, 04 Jan 2007) | 3 lines
Changed paths:
   M /trunk/acinclude.m4

the -lm flag might be needed to link lua


------------------------------------------------------------------------
r20314 | lego | 2007-01-04 14:44:17 -0800 (Thu, 04 Jan 2007) | 3 lines
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h

the widcards: Choose and All were inverted (again?)


------------------------------------------------------------------------
r20313 | ulfl | 2007-01-04 12:51:18 -0800 (Thu, 04 Jan 2007) | 3 lines
Changed paths:
   M /trunk/config.nmake

add the "Microsoft .Net Framework SDK Version 1.1" as a compiler option (this is the one described in the corresponding Wiki page)

mark "Visual Studio 2005" (without Express) as EXPERIMENTAL too, seems to be working just like the Express Edition :-)
------------------------------------------------------------------------
r20312 | guy | 2007-01-04 12:47:43 -0800 (Thu, 04 Jan 2007) | 4 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/epan/Makefile.am
   M /trunk/wiretap/Makefile.am

On Darwin, build shared libraries with -Wl,-single_module to the LDFLAGS
used with shared libraries, to fix some error that shows up in some
cases; some Apple documentation recommends it for most shared libraries.

------------------------------------------------------------------------
r20311 | etxrab | 2007-01-04 12:15:22 -0800 (Thu, 04 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/inap/packet-inap-template.c
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-inap.h

Make the recent INAP change in the template file as well.
------------------------------------------------------------------------
r20310 | guy | 2007-01-04 10:35:33 -0800 (Thu, 04 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/wslua/Makefile.am

Rename pkgdata_DATA to dist_pkgdata_DATA, to make sure it's in the
distribution.  That means we don't have to include it in EXTRA_DIST.

------------------------------------------------------------------------
r20309 | martinm | 2007-01-04 09:56:17 -0800 (Thu, 04 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Make Expires header value a numeric field
------------------------------------------------------------------------
r20308 | jake | 2007-01-04 06:23:56 -0800 (Thu, 04 Jan 2007) | 2 lines
Changed paths:
   M /trunk/plugins/irda/packet-sir.c

Serious source code cleanup.

------------------------------------------------------------------------
r20307 | jake | 2007-01-04 05:46:29 -0800 (Thu, 04 Jan 2007) | 2 lines
Changed paths:
   M /trunk/version_info.c

Bump date

------------------------------------------------------------------------
r20306 | jake | 2007-01-04 05:44:09 -0800 (Thu, 04 Jan 2007) | 2 lines
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/user-guide.xml

Bump date and version number

------------------------------------------------------------------------
r20305 | kukosa | 2007-01-04 05:26:45 -0800 (Thu, 04 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl-utils.h

fix compilation without GnuTLS
------------------------------------------------------------------------
r20304 | martinm | 2007-01-04 05:25:25 -0800 (Thu, 04 Jan 2007) | 1 line
Changed paths:
   M /trunk/diameter/imscxdx.xml
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/wiretap/catapult_dct2000.c

Check in trivial changes before generating a big diff...
------------------------------------------------------------------------
r20303 | guy | 2007-01-04 04:05:17 -0800 (Thu, 04 Jan 2007) | 5 lines
Changed paths:
   M /trunk/plugins/irda/packet-sir.c

Call the handoff registration routine proto_reg_handoff_irsir() to avoid
collisions with the WSP dissector's proto_reg_handoff_sir() - and don't
call it in the proto_register_irsir(); handoff registration routines are
supposed to be called after *all* registration routines are called.

------------------------------------------------------------------------
r20302 | guy | 2007-01-04 03:55:05 -0800 (Thu, 04 Jan 2007) | 2 lines
Changed paths:
   M /trunk/configure.in

-Wl,-single_module breaks the configure script.

------------------------------------------------------------------------
r20301 | guy | 2007-01-04 03:50:41 -0800 (Thu, 04 Jan 2007) | 25 lines
Changed paths:
   M /trunk/configure.in

Add -Wl,-single_module to the linker flags in Darwin.  The page at

	http://developer.apple.com/releasenotes/DeveloperTools/RN-dyld/index.html

says

	The static linker ld(1) supports building dylibs as either
	-multi_module or -single_module.  Conceptually, a multi-module
	dylib is like a group of smaller dylibs - one per source file. 
	The extra meta-data in a multi-module dylib allowed (pre-10.4)
	dyld to delay binding and running initializers on the individual
	modules.  In Mac OS X 10.4 dyld ignores all multi-module
	meta-data and completely binds and runs all initializers the
	same as if it were built single-module.  In general, building
	dylibs -single_module is preferred.  The one case where
	multi-module is still useful is it allows internal functions of
	a dylib to be interposable.  For instance, libSystem.dylib is
	built multi_module so that malloc() can be overridden and all
	uses of malloc in libSystem (e.g.  strdup) would be redirected
	to use the overridden version.

and we don't need the interposability for our dylibs, and Andreas Fink
indicates that it's necessary for the packaged Wireshark builds he's
doing.

------------------------------------------------------------------------
r20300 | kukosa | 2007-01-04 01:20:18 -0800 (Thu, 04 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl-utils.h
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-ssl.h
   M /trunk/epan/libwireshark.def

- new ssl_set_master_secret() which can set master secret (and optionally other parameters) into SSL dissector from external source, e.g. private 'trace protocol' dissector
- call 'data' subdissector for decrypted data in real dissector is not found
------------------------------------------------------------------------
r20299 | etxrab | 2007-01-03 23:51:26 -0800 (Wed, 03 Jan 2007) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c

Add dissection of SystemCapabilities.
------------------------------------------------------------------------
r20298 | ulfl | 2007-01-03 15:12:37 -0800 (Wed, 03 Jan 2007) | 1 line
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

add wiretap manifest file to packaging
------------------------------------------------------------------------
r20297 | ulfl | 2007-01-03 14:09:15 -0800 (Wed, 03 Jan 2007) | 1 line
Changed paths:
   M /trunk/config.nmake

another attempt to fix the "Program Files" setting. Unfortunately, using the environment setting doesn't seem to work ...
------------------------------------------------------------------------
r20296 | jake | 2007-01-03 12:17:17 -0800 (Wed, 03 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-iuup.c

Some cleanup of the source.
------------------------------------------------------------------------
r20295 | etxrab | 2007-01-03 11:25:28 -0800 (Wed, 03 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iuup.c

From Peter Vestman:
The number of rfci's in rate control messages is read in the wrong place.
We have created a patch for this, in the patch we have also added CRC checks
for header and payload.
------------------------------------------------------------------------
r20294 | gerald | 2007-01-03 10:10:13 -0800 (Wed, 03 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Fix a typo.

------------------------------------------------------------------------
r20293 | etxrab | 2007-01-02 23:55:40 -0800 (Tue, 02 Jan 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c

Add call to the Teleservice dissector add a bunch of missing Return signals and
fix up some cut and paste errors.
------------------------------------------------------------------------
r20292 | ulfl | 2007-01-02 22:41:17 -0800 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /trunk/config.nmake

hmmm, maybe he don't like mixing slashes and backslashes ...
------------------------------------------------------------------------
r20291 | ulfl | 2007-01-02 22:06:53 -0800 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /trunk/plugins/agentx/Makefile.nmake
   M /trunk/plugins/artnet/Makefile.nmake
   M /trunk/plugins/asn1/Makefile.nmake
   M /trunk/plugins/ciscosm/Makefile.nmake
   M /trunk/plugins/docsis/Makefile.nmake
   M /trunk/plugins/enttec/Makefile.nmake
   M /trunk/plugins/giop/Makefile.nmake
   M /trunk/plugins/gryphon/Makefile.nmake
   M /trunk/plugins/h223/Makefile.nmake
   M /trunk/plugins/irda/Makefile.nmake
   M /trunk/plugins/lwres/Makefile.nmake
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/plugins/megaco/Makefile.nmake
   M /trunk/plugins/mgcp/Makefile.nmake
   M /trunk/plugins/opsi/Makefile.nmake
   M /trunk/plugins/pcli/Makefile.nmake
   M /trunk/plugins/profinet/Makefile.nmake
   M /trunk/plugins/rlm/Makefile.nmake
   M /trunk/plugins/rtnet/Makefile.nmake
   M /trunk/plugins/rudp/Makefile.nmake
   M /trunk/plugins/sbus/Makefile.nmake
   M /trunk/plugins/stats_tree/Makefile.nmake
   M /trunk/plugins/v5ua/Makefile.nmake

clean should also remove generated plugin.c and manifest files
------------------------------------------------------------------------
r20290 | ulfl | 2007-01-02 21:41:11 -0800 (Tue, 02 Jan 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/epan/Makefile.nmake
   M /trunk/wiretap/Makefile.nmake

remove the PDB_FILE setting from config.nmake - there's no real need for this info

add some missing files to the clean targets
------------------------------------------------------------------------
r20289 | ulfl | 2007-01-02 21:08:20 -0800 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

fix epan\crypt\crypt-md5.obj
------------------------------------------------------------------------
r20288 | ulfl | 2007-01-02 20:28:28 -0800 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /trunk/config.nmake

Instead of hard coding "C:/program files", use the corresponding environment variable %ProgramFiles% (hopefully this is available on all supported platforms). This makes it possible to use the same unchanged setting even for internationalised Windows versions (e.g. in the german version this is: "C:\Programme")
------------------------------------------------------------------------
r20287 | ulfl | 2007-01-02 20:18:55 -0800 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /trunk/epan/crypt/Makefile.common

an attempt to fix the distcheck
------------------------------------------------------------------------
r20286 | ulfl | 2007-01-02 20:15:18 -0800 (Tue, 02 Jan 2007) | 3 lines
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

fix packaging (for now): copy the manifest files with the /nonfatal switch, so they only issue a warning if none existing (e.g. MSVC6).

This copying should be controlled by the MSVC_VARIANT setting in config.nmake instead (just like all the other alike settings).
------------------------------------------------------------------------
r20285 | ulfl | 2007-01-02 19:46:48 -0800 (Tue, 02 Jan 2007) | 4 lines
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

from Laurent Rabret:
"Apply the ugly attached patch to the installer"

... it's not that ugly at all - and installs (deletes) the manifest files if available
------------------------------------------------------------------------
r20284 | ulfl | 2007-01-02 19:42:33 -0800 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

delete GTK 2.10 files and dirs while uninstalling
------------------------------------------------------------------------
r20283 | ulfl | 2007-01-02 18:53:30 -0800 (Tue, 02 Jan 2007) | 2 lines
Changed paths:
   M /trunk/config.nmake

move the MSVC "block" towards the top of the file
don't use GNUTLS and ZLIB when compiling with MSVC != Version 6 - it currently doesn't work
------------------------------------------------------------------------
r20282 | ulfl | 2007-01-02 18:50:22 -0800 (Tue, 02 Jan 2007) | 2 lines
Changed paths:
   M /trunk/capture_opts.c
   M /trunk/epan/filesystem.c
   M /trunk/gtk/main.c
   M /trunk/tempfile.c
   M /trunk/wiretap/file_util.h

from Laurent Rabret:
I posted a patch about 1.5 years ago for the formerly Ethereal to successfully compiled with Visual > 6. I have always successfully used this patched Ethereal/Wireshark compiled with VS 2003 and have just checked when compiled with Visual C++ 2005 Express
------------------------------------------------------------------------
r20281 | ulfl | 2007-01-02 16:23:22 -0800 (Tue, 02 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/crypt/Makefile.nmake

fix windows build 

maybe the definitions from Makefile.common should better be used - the current Makefile.nmake looks a bit strange compared to others ;-)
------------------------------------------------------------------------
r20280 | ulfl | 2007-01-02 16:10:57 -0800 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

if exist, the install targets should copy pdb and manifest files along with the exe and dll ones 
------------------------------------------------------------------------
r20279 | gerald | 2007-01-02 16:07:07 -0800 (Tue, 02 Jan 2007) | 2 lines
Changed paths:
   D /trunk/epan/crypt/airpdcap_ccmp.h
   D /trunk/epan/crypt/airpdcap_tkip.h

Remove empty files (which should have been removed with r20231).

------------------------------------------------------------------------
r20278 | ulfl | 2007-01-02 15:55:47 -0800 (Tue, 02 Jan 2007) | 3 lines
Changed paths:
   M /trunk/packaging/nsis/AdditionalTasksPage.ini

following the Microsoft installer guidelines: as default, an installer should not put an icon on the desktop


------------------------------------------------------------------------
r20277 | gerald | 2007-01-02 14:49:57 -0800 (Tue, 02 Jan 2007) | 3 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/Makefile.nmake
   M /trunk/asn1/cms/packet-cms-template.c
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/debian/copyright
   M /trunk/editcap.c
   M /trunk/epan/Makefile.common
   M /trunk/epan/crypt/Makefile.common
   M /trunk/epan/crypt/airpdcap.c
   D /trunk/epan/crypt/airpdcap_md5.c
   D /trunk/epan/crypt/airpdcap_md5.h
   M /trunk/epan/crypt/airpdcap_system.h
   A /trunk/epan/crypt/crypt-md5.c (from /trunk/epan/crypt-md5.c:20274)
   A /trunk/epan/crypt/crypt-md5.h (from /trunk/epan/crypt-md5.h:20274)
   D /trunk/epan/crypt-md5.c
   D /trunk/epan/crypt-md5.h
   M /trunk/epan/dissectors/packet-3com-njack.c
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-tacacs.c

Move epan/crypt-md5.[ch] to epan/crypt.  Remove
epan/crypt/airpdcap_md5.[ch].  Fix up whitespace.

------------------------------------------------------------------------
r20276 | ulfl | 2007-01-02 14:19:48 -0800 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

define SecMIBs only if NET_SNMP_DIR is defined - to prevent a NSIS warning
------------------------------------------------------------------------
r20275 | jake | 2007-01-02 12:53:04 -0800 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_env_intro.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

Update supported Win32 versions and NSIS version.
------------------------------------------------------------------------
r20274 | gerald | 2007-01-02 11:56:59 -0800 (Tue, 02 Jan 2007) | 13 lines
Changed paths:
   M /trunk/airpcap.h
   M /trunk/airpcap_loader.h
   M /trunk/epan/crypt/airpdcap_interop.h

From Gisle Vanem:

Here are some patches needed to build using HAVE_AIRPCAP
on MingW:

* airpcap.h needs 'WEP_KEY_MAX_SIZE' from <epan/crypt/wep-wpadefs.h>.

* airpcap_loader.h needs <epan/crypt/airpdcap_user.h> and definition of
 'decryption_key_t'.

* epan/crypt/airpdcap_interop.h defines 'ntohs()' before <winsock2.h>
 gets included. Thus creating a parse error later on.

------------------------------------------------------------------------
r20273 | sfisher | 2007-01-02 11:55:55 -0800 (Tue, 02 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c


Add a good/bad tree to the FCS item.


------------------------------------------------------------------------
r20272 | wmeier | 2007-01-02 09:19:25 -0800 (Tue, 02 Jan 2007) | 3 lines
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/asn1/h248/packet-h248-template.h
   M /trunk/asn1/umts_rrc/packet-umts_rrc-template.c
   M /trunk/asn1/umts_rrc/packet-umts_rrc-template.h
   M /trunk/asn1/umts_rrc_Internode-defs/packet-umts_rrc_internode-defs-template.c
   M /trunk/asn1/umts_rrc_Internode-defs/packet-umts_rrc_internode-defs-template.h
   M /trunk/asn1/umts_rrc_ies/packet-umts_rrc_ies-template.c
   M /trunk/asn1/umts_rrc_ies/packet-umts_rrc_ies-template.h
   M /trunk/asn1/umts_rrc_pdu_def/packet-umts_rrc_pdu_def-template.c
   M /trunk/asn1/umts_rrc_pdu_def/packet-umts_rrc_pdu_def-template.h
   M /trunk/docbook/dfilter2xml.pl
   M /trunk/epan/dissectors/packet-exec.c
   M /trunk/epan/dissectors/packet-h248_3gpp.c
   M /trunk/epan/dissectors/packet-h248_annex_c.c
   M /trunk/epan/dissectors/packet-h248_annex_e.c
   M /trunk/epan/dissectors/packet-h248_q1950.c
   M /trunk/epan/dissectors/packet-image-png.c
   M /trunk/epan/dissectors/packet-jpeg.c
   M /trunk/epan/dissectors/packet-lsc.c
   M /trunk/plugins/tpg/Makefile.am

Oops:   wireshark.com --> wireshark.org
Also: 1 additional Ethereal --> Wireshark

------------------------------------------------------------------------
r20271 | martinm | 2007-01-02 09:06:00 -0800 (Tue, 02 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Dissect details of RAck header, and change RSeq to a numerical field.

------------------------------------------------------------------------
r20270 | wmeier | 2007-01-02 06:11:35 -0800 (Tue, 02 Jan 2007) | 2 lines
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/asn1/h248/packet-h248-template.h
   M /trunk/asn1/umts_rrc/packet-umts_rrc-template.c
   M /trunk/asn1/umts_rrc/packet-umts_rrc-template.h
   M /trunk/asn1/umts_rrc_Internode-defs/packet-umts_rrc_internode-defs-template.c
   M /trunk/asn1/umts_rrc_Internode-defs/packet-umts_rrc_internode-defs-template.h
   M /trunk/asn1/umts_rrc_ies/packet-umts_rrc_ies-template.c
   M /trunk/asn1/umts_rrc_ies/packet-umts_rrc_ies-template.h
   M /trunk/asn1/umts_rrc_pdu_def/packet-umts_rrc_pdu_def-template.c
   M /trunk/asn1/umts_rrc_pdu_def/packet-umts_rrc_pdu_def-template.h
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-exec.c
   M /trunk/epan/dissectors/packet-h248_3gpp.c
   M /trunk/epan/dissectors/packet-h248_annex_c.c
   M /trunk/epan/dissectors/packet-h248_annex_e.c
   M /trunk/epan/dissectors/packet-h248_q1950.c
   M /trunk/epan/dissectors/packet-image-png.c
   M /trunk/epan/dissectors/packet-jpeg.c
   M /trunk/epan/dissectors/packet-lsc.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/gtk/camel_counter.c

More ethereal --> wireshark

------------------------------------------------------------------------
r20269 | jake | 2007-01-02 05:46:06 -0800 (Tue, 02 Jan 2007) | 2 lines
Changed paths:
   M /trunk/plugins/giop/Makefile.nmake

Align build target names.

------------------------------------------------------------------------
r20268 | jake | 2007-01-02 05:36:45 -0800 (Tue, 02 Jan 2007) | 2 lines
Changed paths:
   M /trunk/plugins/giop/packet-cosnaming.c

More Ethereal -> Wireshark renaming.

------------------------------------------------------------------------
r20267 | jake | 2007-01-02 05:34:05 -0800 (Tue, 02 Jan 2007) | 2 lines
Changed paths:
   M /trunk/plugins/giop/README

More Ethereal -> Wireshark renaming

------------------------------------------------------------------------
r20266 | martinm | 2007-01-02 05:25:36 -0800 (Tue, 02 Jan 2007) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ajp13.c
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

"an wireshark" -> "a wireshark".
Presumably "an ethereal" was search replaced...

------------------------------------------------------------------------
r20265 | ulfl | 2007-01-02 05:05:04 -0800 (Tue, 02 Jan 2007) | 1 line
Changed paths:
   M /trunk/config.nmake

make MSVC6 the default for MSVC_VARIANT, not MSVC2005
------------------------------------------------------------------------
r20264 | martinm | 2007-01-02 03:46:30 -0800 (Tue, 02 Jan 2007) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-rtcp.h

Fix for bug 1279 (Negative values for RTCP round trip delay
cannot be stored in guint32).
- Makes the threshold preference value an absolute value.
- There is now a separate expert info item for -ve roundtrips

N.B. There is still a problem with filtering -ve values on this
FT_INT32 field, i.e. rtcp.roundtrip-delay < 0 never matches with
frames that it should (even if rtcp.roundtrip-delay == -3 can
be used to match specific frames...).

------------------------------------------------------------------------
r20263 | jake | 2007-01-02 02:13:38 -0800 (Tue, 02 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/enterprise-numbers

Adding all enterprise numbers for 2006.

------------------------------------------------------------------------
r20262 | guy | 2007-01-02 01:20:27 -0800 (Tue, 02 Jan 2007) | 5 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

Ehtereal[sic] -> Wireshark. :-)

Give a little more detail in the comment in the H.248 dissector about
"MEGACO" vs. "H.248".

------------------------------------------------------------------------
r20261 | guy | 2007-01-01 22:49:40 -0800 (Mon, 01 Jan 2007) | 19 lines
Changed paths:
   M /trunk/dftest.c
   M /trunk/doc/Makefile.am
   M /trunk/epan/epan.c
   M /trunk/epan/epan.h
   M /trunk/epan/filesystem.c
   M /trunk/epan/filesystem.h
   M /trunk/epan/libwireshark.def
   M /trunk/epan/plugins.c
   M /trunk/epan/plugins.h
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/gtk/about_dlg.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Add a WIRESHARK_RUN_FROM_BUILD_DIRECTORY environment variable on UN*X;
if set, and if the program isn't running with additional privileges,
it'll treat the directory in which the program is found as the data
directory.

If, on Windows, the version-number subdirectory of {data
directory}\plugins doesn't exist (which is assumed to mean that the
program is being run from the build directory), or if, on UN*X,
WIRESHARK_RUN_FROM_BUILD_DIRECTORY is set, the plugin directory is the
"plugins" subdirectory of the data directory, and all subdirectories of
that directory are scanned for plugins, as the "plugins" subdirectory of
the build directory contains subdirectories for the plugins; this means
that if we're running from the build directory, we'll find the plugins
we built in the build tree.

When generating the wireshark-filter man page, run tshark with
WIRESHARK_RUN_FROM_BUILD_DIRECTORY set, so it uses the plugins from the
build to generate the list of filters.

------------------------------------------------------------------------
r20260 | guy | 2007-01-01 22:39:22 -0800 (Mon, 01 Jan 2007) | 2 lines
Changed paths:
   M /trunk/epan/radius_dict.l

Use G_DIR_SEPARATOR_S as the path separator.

------------------------------------------------------------------------
r20259 | ulfl | 2007-01-01 17:52:47 -0800 (Mon, 01 Jan 2007) | 3 lines
Changed paths:
   M /trunk/capture_wpcap_packet.c
   M /trunk/gtk/capture_if_details_dlg.c

MSVC2006 defines sockaddr_storage, so we shouldn't define this on our own for MSVC2006

this might be depending on the Platform SDK and not on MSVC version - I don't really know
------------------------------------------------------------------------
r20258 | ulfl | 2007-01-01 17:19:40 -0800 (Mon, 01 Jan 2007) | 4 lines
Changed paths:
   M /trunk/config.nmake

first MSVC 2005 changes:
- add some lines to set the desired MSVC_VARIANT
- set some defines (to prevent tons of "deprecated" warnings)
- set some linker flags (currently don't know if these are the right ones - still experimenting)
------------------------------------------------------------------------
r20257 | etxrab | 2007-01-01 14:03:01 -0800 (Mon, 01 Jan 2007) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/ansi_map.asn
   M /trunk/asn1/ansi_map/ansi_map.cnf
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/tcap/packet-tcap-template.h
   M /trunk/asn1/tcap/tcap.cnf
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h

Use TransactionId to match ansi map responses to requests and fix
some bugs in the asn2wrs generated ansi map dissector.
------------------------------------------------------------------------
r20256 | gerald | 2007-01-01 12:07:23 -0800 (Mon, 01 Jan 2007) | 4 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c
   M /trunk/epan/crypt/airpdcap_ccmp.c
   M /trunk/epan/crypt/airpdcap_int.h

Fix a compiler warning.  Surround an MSVC-specific #pragma with an
#ifdef, and add a link to a -dev mailing list thread pointing out that
it may not be necessary.  Fixup whitespace and comments.

------------------------------------------------------------------------
r20255 | wmeier | 2007-01-01 09:04:38 -0800 (Mon, 01 Jan 2007) | 5 lines
Changed paths:
   M /trunk/capture_loop.c

Fix "dumpcap -w -" to use binmode on stdout if Windows;
(The related tests in suite-capture.sh should now work correctly).
(Also: Print error message if attempting to use ring-buffers
   with a named pipe).

------------------------------------------------------------------------
r20254 | wmeier | 2007-01-01 08:58:03 -0800 (Mon, 01 Jan 2007) | 2 lines
Changed paths:
   M /trunk/capture_opts.c

From Pierre Juhen: patch to correct the bug 1220

------------------------------------------------------------------------
r20253 | jake | 2007-01-01 06:48:18 -0800 (Mon, 01 Jan 2007) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nettl.c
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/nettl.h
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

From Mark C. Brown:
HP-UX 11.31 will add a new nettl trace subsystem, NS_LS_TELNET (ID=267).
NS_LS_TELNET is just raw telnet data.  There is no layer 2/3/4 headers, so
there's just the HP-UX nettl record header followed directly by the TCP payload
for a telnet connection.  Thus the need for a new wiretap encapsulation type...
------------------------------------------------------------------------
r20252 | jake | 2007-01-01 06:43:15 -0800 (Mon, 01 Jan 2007) | 2 lines
Changed paths:
   M /trunk/wiretap/nettl.c

From Mark C. Brown:
Fix some nettl encap types and size checks
------------------------------------------------------------------------
r20251 | sahlberg | 2007-01-01 02:23:37 -0800 (Mon, 01 Jan 2007) | 6 lines
Changed paths:
   M /trunk/cfile.c
   M /trunk/cfile.h
   M /trunk/file.c

break out dfcode from the capture file structure and declare it locally where it is needed.
allocate and release the dfcode program as needed instead of having it hang around in the capture file structure.

this will ensure that dfcode will not have longer than se scope lifetime in case we need that property of it later


------------------------------------------------------------------------
r20250 | jake | 2006-12-30 16:00:06 -0800 (Sat, 30 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

From Paul Erkkila:
parse NAPTR records in dns dissector (rfc 3403)
------------------------------------------------------------------------
r20249 | guy | 2006-12-29 20:40:59 -0800 (Fri, 29 Dec 2006) | 5 lines
Changed paths:
   M /trunk/Makefile.am

The stuff we were doing with {programname}_DEPENDENCIES macros was to
work around a deficiency in older versions of automake; we now require
automake 1.6, which doesn't have that deficiency, so we get rid of that
stuff and simplify things.

------------------------------------------------------------------------
r20248 | guy | 2006-12-29 17:15:05 -0800 (Fri, 29 Dec 2006) | 9 lines
Changed paths:
   M /trunk/Makefile.am

Bring all the {programname}_* macros together into one section.

Split bin_PROGRAMS and man1_MANS into multiple lines, and put them in
the same order as the corresponding {programname}_* macro sections.

Get rid of the separate {programname}_DEPENDENCIES macros in cases where
they can be constructed from the corresponding {programname}_LDADD
macro, and explain why they're different in cases where they can't be.

------------------------------------------------------------------------
r20247 | sfisher | 2006-12-29 17:06:46 -0800 (Fri, 29 Dec 2006) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c


Fix for bug #1132:

Stop displaying the application data (in this case, HTML) in the tree and
and "Decrypted SSL data" tab twice since each already includes both of the
application data record layers combined.


------------------------------------------------------------------------
r20246 | sahlberg | 2006-12-29 16:57:46 -0800 (Fri, 29 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-string.c

since all callers to fvalue_set for FT_STRING[Z] use already_copied==FALSE we now assert that this is the case in ftype-string.c and no longer have a conditional whetehr to create a local copy or not.



------------------------------------------------------------------------
r20245 | sahlberg | 2006-12-29 16:41:41 -0800 (Fri, 29 Dec 2006) | 8 lines
Changed paths:
   M /trunk/epan/proto.c

proto_tree_set_string() no longer needs an already_allocated parameter since it is now always FALSE.

This should mean that all fvalue_set() for FT_STRING[Z] are always with already_copied==FALSE

(funny that we never saw someone trying to g_free("[ Null ]") which might have happened before)



------------------------------------------------------------------------
r20244 | sahlberg | 2006-12-29 16:36:29 -0800 (Fri, 29 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/proto.c

make the FT_STRINGZ case in proto_tree_new_item() use ep allocated memory


------------------------------------------------------------------------
r20243 | sahlberg | 2006-12-29 16:27:33 -0800 (Fri, 29 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/proto.c

make proto_tree_set_string_tvb use ep allocated memory and thus push the memory allocation/free for this field down into ftype-string.c



------------------------------------------------------------------------
r20242 | guy | 2006-12-29 16:14:25 -0800 (Fri, 29 Dec 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Regularize the setting of variables for various executable targets.

------------------------------------------------------------------------
r20241 | guy | 2006-12-29 16:13:00 -0800 (Fri, 29 Dec 2006) | 7 lines
Changed paths:
   M /trunk/configure.in

When building for Darwin, link with -search_paths_first, so that
--with-pcap=/usr/local will, if there's only a static libpcap in
/usr/local/lib, link with that rather than the system's dynamic version.

Move the check for Cygwin that adds -no-undefined to LDFLAGS to the
section checking for linker flags to add.

------------------------------------------------------------------------
r20240 | sahlberg | 2006-12-29 15:05:55 -0800 (Fri, 29 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/proto.c

 use ep allocated memory for the string in proto_item_append_string and let ftype-string.c handle the allocation/freeing of storage by setting already_copied to FALSE



------------------------------------------------------------------------
r20239 | sahlberg | 2006-12-29 14:55:13 -0800 (Fri, 29 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/dfilter/dfunctions.c

use an ep allocated temporary string when creating the string for a FT_STRING value and call fvalue_set with already_copied==FALSE   so the string gets allocated in ftype-string.c instead



------------------------------------------------------------------------
r20238 | guy | 2006-12-29 14:54:43 -0800 (Fri, 29 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/crypt

Set svn:ignore appropriately.

------------------------------------------------------------------------
r20237 | guy | 2006-12-29 14:53:44 -0800 (Fri, 29 Dec 2006) | 10 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/epan/crypt/Makefile.am

Make the crypt library the same way other sublibraries of libwireshark
are made, so that if libwireshark is shared, the crypt library is built
appropriately.  (This squelches a build warning, at least in OS X, that
linking a shared library with a static library is non-portable; it
should also arrange that the crypt library is built as
position-independent code if necessary.)

DISTCLEANFILES subsumes CLEANFILES, so it doesn't need to list files
already in CLEANFILES.

------------------------------------------------------------------------
r20236 | guy | 2006-12-29 14:48:52 -0800 (Fri, 29 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c

Add some parentheses, as the suggestion of Mr. GCC.

------------------------------------------------------------------------
r20235 | guy | 2006-12-29 14:48:09 -0800 (Fri, 29 Dec 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipmi.c

Give dissect_cmd_Get_Channel_Auth_Capabilities() a return type (it
returns nothing, so it should be void), and make it static like the
other functions.

Make the ipmi_cmd_array[] table static - and const, while we're at it.

------------------------------------------------------------------------
r20234 | sfisher | 2006-12-29 14:22:54 -0800 (Fri, 29 Dec 2006) | 15 lines
Changed paths:
   M /trunk/gtk/conversations_table.c
   M /trunk/gtk/conversations_wlan.c
   M /trunk/gtk/hostlist_table.c
   M /trunk/gtk/hostlist_wlan.c
   M /trunk/gtk/sat.h


Fix for bug #1278: 

"When analysing a trace with 802.11 packages (made by airpcap) and selecting
Statistics->Conversation List->WLAN all wlan conversations are listed. When
after this selecting Apply as filter->Selected->A<->B a display filter is
created as

eth.addr==<A>  && eth.addr==<B>

when if should be

wlan.addr==<A>  && wlan.addr==<B>"


------------------------------------------------------------------------
r20233 | sahlberg | 2006-12-29 13:57:19 -0800 (Fri, 29 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/strutil.h

gtk1 does not provide g_ascii_isxdigit   so provide it through strutil.h instead


------------------------------------------------------------------------
r20232 | gerald | 2006-12-28 09:28:29 -0800 (Thu, 28 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/crypt/Makefile.nmake
   M /trunk/epan/wslua/Makefile.nmake

Add clean targets to wslua.  Fix the config.nmake include in crypt.

------------------------------------------------------------------------
r20231 | gerald | 2006-12-28 09:22:12 -0800 (Thu, 28 Dec 2006) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   M /trunk/airpcap_loader.c
   D /trunk/airpdcap
   M /trunk/configure.in
   M /trunk/epan/Makefile.am
   M /trunk/epan/Makefile.nmake
   A /trunk/epan/crypt/Makefile.am (from /trunk/airpdcap/Makefile.am:20228)
   A /trunk/epan/crypt/Makefile.common (from /trunk/airpdcap/Makefile.common:20228)
   A /trunk/epan/crypt/Makefile.nmake (from /trunk/airpdcap/Makefile.nmake:20228)
   A /trunk/epan/crypt/airpdcap.c (from /trunk/airpdcap/airpdcap.c:20228)
   A /trunk/epan/crypt/airpdcap_ccmp.c (from /trunk/airpdcap/airpdcap_ccmp.c:20228)
   A /trunk/epan/crypt/airpdcap_ccmp.h (from /trunk/airpdcap/airpdcap_ccmp.h:20228)
   A /trunk/epan/crypt/airpdcap_debug.c (from /trunk/airpdcap/airpdcap_debug.c:20228)
   A /trunk/epan/crypt/airpdcap_debug.h (from /trunk/airpdcap/airpdcap_debug.h:20228)
   A /trunk/epan/crypt/airpdcap_int.h (from /trunk/airpdcap/airpdcap_int.h:20228)
   A /trunk/epan/crypt/airpdcap_interop.h (from /trunk/airpdcap/airpdcap_interop.h:20228)
   A /trunk/epan/crypt/airpdcap_md5.c (from /trunk/airpdcap/airpdcap_md5.c:20228)
   A /trunk/epan/crypt/airpdcap_md5.h (from /trunk/airpdcap/airpdcap_md5.h:20228)
   A /trunk/epan/crypt/airpdcap_rijndael.c (from /trunk/airpdcap/airpdcap_rijndael.c:20228)
   A /trunk/epan/crypt/airpdcap_rijndael.h (from /trunk/airpdcap/airpdcap_rijndael.h:20228)
   A /trunk/epan/crypt/airpdcap_sha1.c (from /trunk/airpdcap/airpdcap_sha1.c:20228)
   A /trunk/epan/crypt/airpdcap_sha1.h (from /trunk/airpdcap/airpdcap_sha1.h:20228)
   A /trunk/epan/crypt/airpdcap_system.h (from /trunk/airpdcap/airpdcap_system.h:20228)
   A /trunk/epan/crypt/airpdcap_tkip.c (from /trunk/airpdcap/airpdcap_tkip.c:20228)
   A /trunk/epan/crypt/airpdcap_tkip.h (from /trunk/airpdcap/airpdcap_tkip.h:20228)
   A /trunk/epan/crypt/airpdcap_user.h (from /trunk/airpdcap/airpdcap_user.h:20228)
   A /trunk/epan/crypt/airpdcap_wep.c (from /trunk/airpdcap/airpdcap_wep.c:20228)
   A /trunk/epan/crypt/airpdcap_wep.h (from /trunk/airpdcap/airpdcap_wep.h:20228)
   A /trunk/epan/crypt/airpdcap_ws.h (from /trunk/airpdcap/airpdcap_ws.h:20228)
   M /trunk/epan/dissectors/Makefile.nmake
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/gtk/Makefile.nmake
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/main.c

Move the contents of airpdcap to epan/crypt.  Try to fix the current
distcheck failure.  Move the nmake build targets for airpdcap from 
epan/dissectors to epan.  This will probably break the Windows build.

------------------------------------------------------------------------
r20230 | kukosa | 2006-12-28 04:30:53 -0800 (Thu, 28 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl.c

debug improvements
------------------------------------------------------------------------
r20229 | wmeier | 2006-12-27 19:17:28 -0800 (Wed, 27 Dec 2006) | 4 lines
Changed paths:
   M /trunk/test/test.sh

Hack so test.sh will work with bash 3.1.6 or greater
which requires 'igncr' to be able to process files in 
'dos format' (\r\n line endings)

------------------------------------------------------------------------
r20228 | gerald | 2006-12-27 15:19:45 -0800 (Wed, 27 Dec 2006) | 2 lines
Changed paths:
   A /trunk/airpdcap/Makefile.common
   A /trunk/epan/crypt
   A /trunk/epan/crypt/wep-wpadefs.h

Add missing files.

------------------------------------------------------------------------
r20227 | gerald | 2006-12-27 15:05:55 -0800 (Wed, 27 Dec 2006) | 7 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/airpcap.h
   M /trunk/airpcap_loader.c
   M /trunk/airpcap_loader.h
   M /trunk/airpdcap/Makefile.am
   M /trunk/airpdcap/Makefile.nmake
   M /trunk/airpdcap/airpdcap.c
   M /trunk/airpdcap/airpdcap_ccmp.c
   M /trunk/airpdcap/airpdcap_ccmp.h
   M /trunk/airpdcap/airpdcap_debug.c
   M /trunk/airpdcap/airpdcap_debug.h
   M /trunk/airpdcap/airpdcap_int.h
   M /trunk/airpdcap/airpdcap_interop.h
   M /trunk/airpdcap/airpdcap_md5.c
   M /trunk/airpdcap/airpdcap_md5.h
   M /trunk/airpdcap/airpdcap_rijndael.c
   M /trunk/airpdcap/airpdcap_rijndael.h
   M /trunk/airpdcap/airpdcap_sha1.c
   M /trunk/airpdcap/airpdcap_sha1.h
   M /trunk/airpdcap/airpdcap_system.h
   M /trunk/airpdcap/airpdcap_tkip.c
   M /trunk/airpdcap/airpdcap_tkip.h
   M /trunk/airpdcap/airpdcap_user.h
   M /trunk/airpdcap/airpdcap_wep.c
   M /trunk/airpdcap/airpdcap_wep.h
   M /trunk/airpdcap/airpdcap_ws.h
   M /trunk/configure.in
   M /trunk/epan/Makefile.am
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/gtk/main.c

Prepare to move the airpdcap code to epan/crypt (SVN won't let me actually
move the files until these changes are checked in).  Add an AC_DEFINE
for airpdcap (which will be removed once the changes have settled).
Update the airpdcap code to compile on non-Windows systems.  Fix up
comments and whitespace to conform more closely to the rest of the
code base.  Verified to compile under Windows and OS X.

------------------------------------------------------------------------
r20226 | etxrab | 2006-12-27 14:24:22 -0800 (Wed, 27 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Use the correct function to translate to hex.
------------------------------------------------------------------------
r20225 | etxrab | 2006-12-27 14:21:46 -0800 (Wed, 27 Dec 2006) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake

Use portaudio v19.
------------------------------------------------------------------------
r20224 | jake | 2006-12-27 04:21:30 -0800 (Wed, 27 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/mate/Makefile.am

Adding moduleinfo.nmake to the distribution
------------------------------------------------------------------------
r20223 | lego | 2006-12-26 17:46:42 -0800 (Tue, 26 Dec 2006) | 5 lines
Changed paths:
   M /trunk/epan/funnel.h
   M /trunk/epan/wslua/console.lua
   M /trunk/epan/wslua/wslua_gui.c
   M /trunk/gtk/funnel_stat.c
   M /trunk/tap-funnel.c


+ browser_open_url()
+ browser_open_data_file()


------------------------------------------------------------------------
r20222 | guy | 2006-12-26 14:56:35 -0800 (Tue, 26 Dec 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/epan/dissectors/packet-exec.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/epan/dissectors/packet-slimp3.c

From Sebastien Tandel: fix places where a signed character was being
passed to ctype.h macros.

Make some routines in packet-exec.c not used outside that file static,
and fix a typo.

------------------------------------------------------------------------
r20221 | wmeier | 2006-12-26 14:40:49 -0800 (Tue, 26 Dec 2006) | 6 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake

Uh Oh: Fix to properly set SH_FLAGS with 'igncr' if required as part of the nmake;
I violated Murphy's nth law: thou shalt test fixes in an 
'out of the box' configuration *not* in one's customized configuration.
:(


------------------------------------------------------------------------
r20220 | morriss | 2006-12-26 14:27:46 -0800 (Tue, 26 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

If p2p_dir isn't set (no message direction is configured) or no association is found, try to find a subdissector on both the called and calling SSNs instead of just trying the called SSN.  Also clean up some indenting and fix the capitalization when showing what dissector the TCAP SSN is linked to.
------------------------------------------------------------------------
r20219 | ulfl | 2006-12-26 14:01:09 -0800 (Tue, 26 Dec 2006) | 1 line
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

the default python version used changed from cygwin to native Win32 version
------------------------------------------------------------------------
r20218 | ulfl | 2006-12-26 12:20:52 -0800 (Tue, 26 Dec 2006) | 3 lines
Changed paths:
   M /trunk/config.nmake

cygwins python doesn't work on a lot of machines, make the native python the default (until we know what the cause of the problems are)

set VERSION_EXTRA back to empty - I guess this was checked in by mistake
------------------------------------------------------------------------
r20217 | ulfl | 2006-12-26 12:04:54 -0800 (Tue, 26 Dec 2006) | 1 line
Changed paths:
   M /trunk/gtk/proto_draw.c

fix unused warnings
------------------------------------------------------------------------
r20216 | ulfl | 2006-12-26 12:00:45 -0800 (Tue, 26 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-stun2.c

use prefix to prevent redefinition warning from wingdi.h
------------------------------------------------------------------------
r20215 | ulfl | 2006-12-26 04:40:37 -0800 (Tue, 26 Dec 2006) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

convert line endings (using dos2unix) of the win32_setup.sh file before using it
------------------------------------------------------------------------
r20214 | jake | 2006-12-26 01:13:05 -0800 (Tue, 26 Dec 2006) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isis-lsp.c

From Sebastien Tandel:
Here is a patch for the management of the bad/good checksum for ISIS (like TCP/UDP/IP).
support added for:
- booleans hf_isis_lsp_checksum_good, hf_isis_lsp_checksum_bad in the tree,
- information in the info column if bad checksum,
- expert info for bad checksum,

------------------------------------------------------------------------
r20213 | guy | 2006-12-25 13:34:11 -0800 (Mon, 25 Dec 2006) | 2 lines
Changed paths:
   M /trunk/wiretap/wtap-int.h

Fix indentation.

------------------------------------------------------------------------
r20212 | sfisher | 2006-12-24 20:01:22 -0800 (Sun, 24 Dec 2006) | 16 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ssl.c


From Sake Blok:

The attached patch changes the way the ssl-session-id is displayed.
Currently it is not shown, only the length is shown like this:
 
   Session ID Length: 32
   Session ID (32 bytes)
 
To me, it is not useful to repeat the length and omit the ID itself.
With this patch the ssl-session-id is shown like this:
 
   Session ID Length: 32
   Session ID: A4B2FB0EE6D8F58DEFF68E38B1E5B4C25F1869D4BC86A96E...


------------------------------------------------------------------------
r20211 | guy | 2006-12-24 12:40:19 -0800 (Sun, 24 Dec 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-roofnet.c

dissect_roofnet_link() returns no value and nothing expects it to;
declare it to return void, not int.

Get rid of an unused variable.

------------------------------------------------------------------------
r20210 | jake | 2006-12-24 08:12:04 -0800 (Sun, 24 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/ftypes/ftype-pcre.c

Reverse commit 20209, breaking the build across the board.
------------------------------------------------------------------------
r20209 | sahlberg | 2006-12-23 13:17:32 -0800 (Sat, 23 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-pcre.c

make the PCRE ftype use ep allocated memory instead of g_malloced memory

------------------------------------------------------------------------
r20208 | lego | 2006-12-22 19:53:13 -0800 (Fri, 22 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/wslua/wslua_listener.c

get rid of an unused variable.


------------------------------------------------------------------------
r20207 | lego | 2006-12-22 19:52:38 -0800 (Fri, 22 Dec 2006) | 3 lines
Changed paths:
   M /trunk/tshark.c

Have -X options defined before epan_init() gets called.


------------------------------------------------------------------------
r20206 | lego | 2006-12-22 19:45:46 -0800 (Fri, 22 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/wslua/console.lua
   M /trunk/epan/wslua/wslua_listener.c

- Fix an error in the tap listener callback
- add some comments to console.lua


------------------------------------------------------------------------
r20205 | sahlberg | 2006-12-22 16:10:49 -0800 (Fri, 22 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-ipv4.c

make ipv4 ftype use cheap ep_ memory isntead of slightly less cheap g_ memory
for the temporary storage while parsing


------------------------------------------------------------------------
r20204 | gerald | 2006-12-22 16:06:16 -0800 (Fri, 22 Dec 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/tools/win32-setup.sh

Update to GNUTLS 1.6.0.

------------------------------------------------------------------------
r20203 | sfisher | 2006-12-22 14:15:38 -0800 (Fri, 22 Dec 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pppoe.c


Report inaccurate PPPoE Session payload length when detected to aid in the
troubleshooting of malformed packets.


------------------------------------------------------------------------
r20202 | gerald | 2006-12-22 13:01:23 -0800 (Fri, 22 Dec 2006) | 2 lines
Changed paths:
   M /trunk/AUTHORS

@ -> [AT]

------------------------------------------------------------------------
r20201 | jake | 2006-12-22 12:09:09 -0800 (Fri, 22 Dec 2006) | 2 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

Make fix for bug 771 compatible with GTK1

------------------------------------------------------------------------
r20200 | wmeier | 2006-12-22 10:16:22 -0800 (Fri, 22 Dec 2006) | 6 lines
Changed paths:
   M /trunk/test/suite-capture.sh

OK: I think I've fixed most of the problems in 
    suite-capture.sh which were causing some 
    of tests to fail;
    The stdout tests still tend to fail: 
    some issue with flushing the stdout pipe ??

------------------------------------------------------------------------
r20199 | morriss | 2006-12-22 09:23:45 -0800 (Fri, 22 Dec 2006) | 1 line
Changed paths:
   M /trunk/version_info.c

Take out UCD-SNMP message since we no longer use it
------------------------------------------------------------------------
r20198 | jake | 2006-12-22 06:48:51 -0800 (Fri, 22 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-giop.c

Fix for bug 1272.
Check length remaining before aligning.

------------------------------------------------------------------------
r20197 | wmeier | 2006-12-22 05:00:40 -0800 (Fri, 22 Dec 2006) | 3 lines
Changed paths:
   M /trunk/test/config.sh
   M /trunk/test/suite-capture.sh

Use interface '1' for the capture tests; 
Add additional error output in case any other problems

------------------------------------------------------------------------
r20196 | jake | 2006-12-22 04:53:49 -0800 (Fri, 22 Dec 2006) | 4 lines
Changed paths:
   M /trunk/make-version.pl

Fix for bug 1195.
Add preference svn_client to indicate you want to use 'svn info' i.s.o. ugly directory hack.
version.conf format more relaxed.

------------------------------------------------------------------------
r20195 | sahlberg | 2006-12-22 01:01:12 -0800 (Fri, 22 Dec 2006) | 10 lines
Changed paths:
   M /trunk/epan/dfilter/dfvm.c
   M /trunk/epan/ftypes/ftype-ipv4.c
   M /trunk/epan/ftypes/ftype-string.c
   M /trunk/epan/ftypes/ftypes.c
   M /trunk/epan/ftypes/ftypes.h
   M /trunk/epan/libwireshark.def
   M /trunk/epan/proto.c
   M /trunk/gtk/dfilter_expr_dlg.c

hmm

best to revert this for a while.



revert all changes from previous patch.



------------------------------------------------------------------------
r20194 | sahlberg | 2006-12-22 00:35:43 -0800 (Fri, 22 Dec 2006) | 15 lines
Changed paths:
   M /trunk/epan/dfilter/dfvm.c
   M /trunk/epan/ftypes/ftype-ipv4.c
   M /trunk/epan/ftypes/ftype-string.c
   M /trunk/epan/ftypes/ftypes.c
   M /trunk/epan/ftypes/ftypes.h
   M /trunk/epan/libwireshark.def
   M /trunk/epan/proto.c
   M /trunk/gtk/dfilter_expr_dlg.c

change some slab allocated memory into ep/emem allocated structures instead.

this primarily removes code and simplifies (==eliminates) the need to track the data that is allocated and should potentially be slightly faster than a slab allocator.
however these functions are called A LOT so there might be a performance hit when using emem with full debugging canary values and all the bells and whistles activated.


this change also makes any future attempt to parallellize dissection of frames easier if we just make the ep allocator allocate from a threads specific ep pool.
(something we would have to do anyway to make ep allocations multithreaded)



this works in all my tests so far but needs more test coverage.



------------------------------------------------------------------------
r20193 | lego | 2006-12-21 21:54:12 -0800 (Thu, 21 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/wslua/wslua_tvb.c

fix a typo.


------------------------------------------------------------------------
r20192 | lego | 2006-12-21 21:48:57 -0800 (Thu, 21 Dec 2006) | 7 lines
Changed paths:
   M /trunk/epan/wslua
   M /trunk/epan/wslua/init_wslua.c
   M /trunk/epan/wslua/make-doc.pl
   M /trunk/epan/wslua/taps
   M /trunk/epan/wslua/wslua_proto.c
   M /trunk/epan/wslua/wslua_tvb.c

- Fix the name of the disable_lua variable.
== improve documentation
   make-doc.pl ( make doc ) generates an almost complete reference manual.
 



------------------------------------------------------------------------
r20191 | wmeier | 2006-12-21 20:46:26 -0800 (Thu, 21 Dec 2006) | 4 lines
Changed paths:
   M /trunk/test/suite-capture.sh

Add additional output to try to find out why the "capture 10 
packets" test fails during the run-tests step of the 
buildbot windows build ... 

------------------------------------------------------------------------
r20190 | wmeier | 2006-12-21 16:38:53 -0800 (Thu, 21 Dec 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

use 'rm -rf' so no error if directory already deleted (by 'clean_setup')

------------------------------------------------------------------------
r20189 | jake | 2006-12-21 14:24:33 -0800 (Thu, 21 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q931.c

From Alfred Alinazar:
The patch is to dissect unknown information element when an Avaya PBX
use codeset = 6 to send display.

------------------------------------------------------------------------
r20188 | etxrab | 2006-12-21 14:15:34 -0800 (Thu, 21 Dec 2006) | 1 line
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/tools/win32-setup.sh

Update to use gtk 2.10.6 and friends.
------------------------------------------------------------------------
r20187 | jake | 2006-12-21 14:13:30 -0800 (Thu, 21 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sflow.c

From Taisuke SASAKI:
I found a misdecoding in dissect_sflow_extended_switch() in epan/dissector/packet-sflow.c and fixed it.

------------------------------------------------------------------------
r20186 | jake | 2006-12-21 14:01:09 -0800 (Thu, 21 Dec 2006) | 3 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

From Florent Drouin:
Here is a patch for Bug 771.
It solves the problem of datalink header selection, when the interface has more than one.
------------------------------------------------------------------------
r20185 | guy | 2006-12-21 13:09:39 -0800 (Thu, 21 Dec 2006) | 3 lines
Changed paths:
   M /trunk/AUTHORS

Steve Sommars wanted his work e-mail address removed and his home
address's entry removed.

------------------------------------------------------------------------
r20184 | martinm | 2006-12-21 10:00:07 -0800 (Thu, 21 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Add a generated field for how many data bytes are accepted by subdissector

------------------------------------------------------------------------
r20183 | martinm | 2006-12-21 09:05:42 -0800 (Thu, 21 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

TBCP changes:
- Fix 'ignored' flag that wasn't wide enough to take result
- Use FP_UINT_STRING in a couple of places

------------------------------------------------------------------------
r20182 | sfisher | 2006-12-20 22:41:11 -0800 (Wed, 20 Dec 2006) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c


From Motonori Shindo:

As per NetFlow V9 protocol, Template ID is guaranteed to be unique per
Observation Domain (identified by Source ID) and the Exporter
(identified by the source IP address of NetFlow PDU).

The former code was ignoring these information for simplicity, but
noticing such a necessity.


------------------------------------------------------------------------
r20181 | jmayer | 2006-12-20 13:41:19 -0800 (Wed, 20 Dec 2006) | 1 line
Changed paths:
   M /trunk/asn1/snmp

Set svn:ignore
------------------------------------------------------------------------
r20180 | jake | 2006-12-20 08:24:19 -0800 (Wed, 20 Dec 2006) | 2 lines
Changed paths:
   M /trunk/doc/README.plugins

Updated to describe the current state of plugin development.

------------------------------------------------------------------------
r20179 | sahlberg | 2006-12-20 03:57:31 -0800 (Wed, 20 Dec 2006) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Enhance tcp reassembly of the flavor "reassemble one more segment" work properly
for the quite unusual case when we need to do this multiple times in a row for the same PDU.

This fixes the issue reported by Xiaoguang Liu on the mailinglist
where wireshark did not manage to properly reassemble a big HTTP header spanning several (more than two) tcp segments.



------------------------------------------------------------------------
r20178 | jake | 2006-12-20 02:07:20 -0800 (Wed, 20 Dec 2006) | 2 lines
Changed paths:
   M /trunk/plugins/profinet/moduleinfo.nmake

Bump micro version number, like in moduleinfo.h

------------------------------------------------------------------------
r20177 | ulfl | 2006-12-19 14:44:35 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/profinet/ChangeLog
   M /trunk/plugins/profinet/moduleinfo.h

raise plugin version, as I've done some small but important changes 
------------------------------------------------------------------------
r20176 | jake | 2006-12-19 14:30:38 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/mate/Makefile.common
   M /trunk/plugins/mate/moduleinfo.nmake
   M /trunk/plugins/mate/plugin.rc.in

Set the right properties on the files.
------------------------------------------------------------------------
r20175 | jake | 2006-12-19 14:28:41 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/v5ua/Makefile.am
   M /trunk/plugins/v5ua/Makefile.nmake
   A /trunk/plugins/v5ua/moduleinfo.nmake
   A /trunk/plugins/v5ua/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20174 | jake | 2006-12-19 14:28:22 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   A /trunk/plugins/sbus/COPYING
   M /trunk/plugins/sbus/Makefile.am
   M /trunk/plugins/sbus/Makefile.nmake
   A /trunk/plugins/sbus/moduleinfo.nmake
   A /trunk/plugins/sbus/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20173 | etxrab | 2006-12-19 14:28:20 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Remove an unused variable.
------------------------------------------------------------------------
r20172 | jake | 2006-12-19 14:28:03 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/rudp/Makefile.am
   M /trunk/plugins/rudp/Makefile.nmake
   A /trunk/plugins/rudp/moduleinfo.nmake
   A /trunk/plugins/rudp/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20171 | jake | 2006-12-19 14:27:45 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/rtnet/Makefile.am
   M /trunk/plugins/rtnet/Makefile.nmake
   A /trunk/plugins/rtnet/moduleinfo.nmake
   A /trunk/plugins/rtnet/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20170 | jake | 2006-12-19 14:27:31 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/rlm/Makefile.am
   M /trunk/plugins/rlm/Makefile.nmake
   A /trunk/plugins/rlm/moduleinfo.nmake
   A /trunk/plugins/rlm/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20169 | jake | 2006-12-19 14:27:15 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/profinet/Makefile.am
   M /trunk/plugins/profinet/Makefile.nmake
   A /trunk/plugins/profinet/moduleinfo.nmake
   A /trunk/plugins/profinet/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20168 | jake | 2006-12-19 14:27:01 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/pcli/Makefile.am
   M /trunk/plugins/pcli/Makefile.nmake
   A /trunk/plugins/pcli/moduleinfo.nmake
   A /trunk/plugins/pcli/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20167 | jake | 2006-12-19 14:26:43 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/opsi/Makefile.am
   M /trunk/plugins/opsi/Makefile.nmake
   A /trunk/plugins/opsi/moduleinfo.nmake
   A /trunk/plugins/opsi/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20166 | etxrab | 2006-12-19 14:26:41 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ip.h
   M /trunk/epan/libwireshark.def
   M /trunk/plugins/megaco/packet-megaco.c

Correct a problem with media parameter dissection and add inforamtion about a number of packages.
------------------------------------------------------------------------
r20165 | jake | 2006-12-19 14:26:27 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/mgcp/Makefile.am
   M /trunk/plugins/mgcp/Makefile.nmake
   A /trunk/plugins/mgcp/moduleinfo.nmake
   A /trunk/plugins/mgcp/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20164 | jake | 2006-12-19 14:26:06 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/megaco/Makefile.am
   M /trunk/plugins/megaco/Makefile.nmake
   A /trunk/plugins/megaco/moduleinfo.nmake
   A /trunk/plugins/megaco/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20163 | jake | 2006-12-19 14:25:24 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/lwres/Makefile.am
   M /trunk/plugins/lwres/Makefile.nmake
   A /trunk/plugins/lwres/moduleinfo.nmake
   A /trunk/plugins/lwres/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20162 | jake | 2006-12-19 14:25:09 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/irda/Makefile.am
   M /trunk/plugins/irda/Makefile.nmake
   A /trunk/plugins/irda/moduleinfo.nmake
   A /trunk/plugins/irda/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20161 | jake | 2006-12-19 14:24:40 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/gryphon/Makefile.am
   M /trunk/plugins/gryphon/Makefile.nmake
   A /trunk/plugins/gryphon/moduleinfo.nmake
   A /trunk/plugins/gryphon/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20160 | jake | 2006-12-19 14:24:16 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/enttec/Makefile.am
   M /trunk/plugins/enttec/Makefile.nmake
   A /trunk/plugins/enttec/moduleinfo.nmake
   A /trunk/plugins/enttec/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20159 | jake | 2006-12-19 14:23:56 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/docsis/Makefile.am
   M /trunk/plugins/docsis/Makefile.nmake
   A /trunk/plugins/docsis/moduleinfo.nmake
   A /trunk/plugins/docsis/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20158 | jake | 2006-12-19 14:23:37 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/ciscosm/Makefile.am
   M /trunk/plugins/ciscosm/Makefile.nmake
   A /trunk/plugins/ciscosm/moduleinfo.nmake
   A /trunk/plugins/ciscosm/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20157 | jake | 2006-12-19 14:23:22 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/asn1/Makefile.am
   M /trunk/plugins/asn1/Makefile.nmake
   A /trunk/plugins/asn1/moduleinfo.nmake
   A /trunk/plugins/asn1/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20156 | jake | 2006-12-19 14:22:55 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/artnet/Makefile.am
   M /trunk/plugins/artnet/Makefile.nmake
   A /trunk/plugins/artnet/moduleinfo.nmake
   A /trunk/plugins/artnet/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20155 | jake | 2006-12-19 14:22:34 -0800 (Tue, 19 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/agentx/Makefile.am
   M /trunk/plugins/agentx/Makefile.nmake
   A /trunk/plugins/agentx/moduleinfo.nmake
   A /trunk/plugins/agentx/plugin.rc.in

Add Windows version info resource.
------------------------------------------------------------------------
r20154 | jake | 2006-12-19 14:16:54 -0800 (Tue, 19 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-roofnet.c

From Sebastien Tandel:
Here is a patch for the dissector of the new Roofnet protocol.
------------------------------------------------------------------------
r20153 | etxrab | 2006-12-19 14:07:08 -0800 (Tue, 19 Dec 2006) | 5 lines
Changed paths:
   M /trunk/asn1/camel/camel.asn
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/epan/dissectors/packet-camel.c

From Florent Drouin:
Update the Camel ASN1 definition to version 3GPP TS
29.078 7.3.0 Release 7.
Some definitions for element SIZE have been replaced to use the capSpecificBound variables, and some decoding problemes, like for Establish temporary connection have been solved.
I did notice that the CalledPartyBCDNumber (ISDN-AddressString (1..9) ) is not inline with the last definition (1..41), but I did not update it.
------------------------------------------------------------------------
r20152 | etxrab | 2006-12-19 14:04:22 -0800 (Tue, 19 Dec 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

From Florent Drouin:
Introduce the support for "expert info" in the BER decoding module.
It is usefull if you have to analyze long capture files, containing few malformed messages.

With changes to make it compile with MSVC6.
------------------------------------------------------------------------
r20151 | jake | 2006-12-18 23:06:25 -0800 (Mon, 18 Dec 2006) | 2 lines
Changed paths:
   M /trunk/plugins/stats_tree/Makefile.common
   M /trunk/plugins/stats_tree/moduleinfo.nmake

Set the right properties on the new files.

------------------------------------------------------------------------
r20150 | jake | 2006-12-18 23:04:59 -0800 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/stats_tree/plugin.rc.in

Set the right properties on the new files
------------------------------------------------------------------------
r20149 | ulfl | 2006-12-18 16:51:07 -0800 (Mon, 18 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/prefs.c

change default capturing options to use "show realtime capturing" instead of the "capture summary window"
------------------------------------------------------------------------
r20148 | sfisher | 2006-12-18 15:12:50 -0800 (Mon, 18 Dec 2006) | 9 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-isis-lsp.c


From Sebastien Tandel:

   a little patch against revision 20088 in packet-isis-lsp.c for the
following :
- hf_isis_lsp_remaining_life declared but unused
- replacing a proto_tree_add_uint useless with proto_tree_add_item


------------------------------------------------------------------------
r20147 | jake | 2006-12-18 13:39:19 -0800 (Mon, 18 Dec 2006) | 2 lines
Changed paths:
   M /trunk/plugins/mate/Makefile.am
   M /trunk/plugins/mate/Makefile.common

Repair distribution target.

------------------------------------------------------------------------
r20146 | martinm | 2006-12-18 09:58:52 -0800 (Mon, 18 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Show generated field when frame has 0 TBs for a channel

------------------------------------------------------------------------
r20145 | jake | 2006-12-18 08:24:42 -0800 (Mon, 18 Dec 2006) | 3 lines
Changed paths:
   M /trunk/plugins/stats_tree/Makefile.am
   A /trunk/plugins/stats_tree/Makefile.common
   M /trunk/plugins/stats_tree/Makefile.nmake
   A /trunk/plugins/stats_tree/moduleinfo.nmake
   A /trunk/plugins/stats_tree/plugin.rc.in

Update plugin to the current plugin design.
Add Windows version info resource.

------------------------------------------------------------------------
r20144 | jake | 2006-12-18 08:23:46 -0800 (Mon, 18 Dec 2006) | 3 lines
Changed paths:
   M /trunk/plugins/mate
   M /trunk/plugins/mate/Makefile.am
   A /trunk/plugins/mate/Makefile.common
   M /trunk/plugins/mate/Makefile.nmake
   D /trunk/plugins/mate/mate_plugin.c
   A /trunk/plugins/mate/moduleinfo.nmake
   A /trunk/plugins/mate/plugin.rc.in

Update plugin to the current plugin design.
Add Windows version info resource.

------------------------------------------------------------------------
r20143 | sfisher | 2006-12-17 13:41:19 -0800 (Sun, 17 Dec 2006) | 5 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_build_install.xml


Add sections to the chapter on building and installing for installing under
Gentoo Linux (thanks to Isbaran Akcayir for the syntax) and under FreeBSD.


------------------------------------------------------------------------
r20142 | sfisher | 2006-12-16 21:44:32 -0800 (Sat, 16 Dec 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c


Display icmp echo/echo reply sequence numbers in decimal in addition to hex,
so that it is easier to match it with the output of a ping program. 


------------------------------------------------------------------------
r20141 | sfisher | 2006-12-16 21:37:18 -0800 (Sat, 16 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim.c


Make IPv4 addresses in AIM TLV data human readable.


------------------------------------------------------------------------
r20140 | morriss | 2006-12-16 07:17:43 -0800 (Sat, 16 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

From Sebastien Tandel: if the TCP dissector is dissecting a fragment of a packet in an ICMP message, put the TCP sequence number in the tree.
------------------------------------------------------------------------
r20139 | ulfl | 2006-12-14 14:32:13 -0800 (Thu, 14 Dec 2006) | 1 line
Changed paths:
   M /trunk/airpcap_loader.c

remove a warning
------------------------------------------------------------------------
r20138 | morriss | 2006-12-14 04:46:50 -0800 (Thu, 14 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-k12.c

From Sebastien Tandel: don't allocate a hash table until a little bit later in the function so memory is not leaked by an early (error) return
------------------------------------------------------------------------
r20137 | martinm | 2006-12-14 03:50:54 -0800 (Thu, 14 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix version check needed for EDCH 'Number of subframes' field
------------------------------------------------------------------------
r20136 | sahlberg | 2006-12-14 02:11:40 -0800 (Thu, 14 Dec 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gssapi.c

check for whether the blob starts with "NTLMSSP" before any other check if it is not BED/DER encoded and call tha appropriate subdissector if so.

this fixes some issues with some really ancient cifs implementations where the previous tests and statemanagement would cause it to fail othervise.



------------------------------------------------------------------------
r20135 | jake | 2006-12-13 23:54:55 -0800 (Wed, 13 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cdp.c

Some source code clean up.

------------------------------------------------------------------------
r20134 | sfisher | 2006-12-13 19:34:26 -0800 (Wed, 13 Dec 2006) | 5 lines
Changed paths:
   M /trunk/colorfilters
   M /trunk/epan/dissectors/packet-cdp.c


Add checksum verification to the CDP dissector and add an entry for this
in the main colorfilters file.


------------------------------------------------------------------------
r20133 | sfisher | 2006-12-13 16:16:06 -0800 (Wed, 13 Dec 2006) | 19 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/asn1/x411/x411-exp.cnf
   M /trunk/asn1/x411/x411.cnf
   M /trunk/asn1/x420/x420-exp.cnf
   M /trunk/asn1/x420/x420.cnf
   M /trunk/epan/crc16.c
   M /trunk/epan/crc16.h
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-dmp.c
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x411.h
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/epan/dissectors/packet-x420.h


From Stig Bjorlykke:

I have added a new dissector for DMP (STANAG 4406 Direct Message
Profile) as defined in STANAG 4406 Annex E.  The DMP protocol has no
assigned UDP port number yet, so the default value in this dissector
is 0 (I suppose this is som sort of "disabled"?) until we get this
registered.

The dissector has been tested on OSX Intel/PowerPC and Solaris SPARC.

Changes in this patch:
* Added DMP dissector
* Added a new CRC table and functions in crc16.c
* Made NonDeliveryReasonCode and NonDeliveryDiagnosticCode available
from X.411
* Made NonReceiptReasonField and DiscardReasonField available from X.420


------------------------------------------------------------------------
r20132 | sfisher | 2006-12-13 16:05:03 -0800 (Wed, 13 Dec 2006) | 6 lines
Changed paths:
   M /trunk/doc/README.developer


From Stig Bjorlykke:

* Fixed a typo in README.developer


------------------------------------------------------------------------
r20131 | sfisher | 2006-12-13 14:22:05 -0800 (Wed, 13 Dec 2006) | 16 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-stun2.c


From Marc Petit-Huguenin:

This is a new dissector for STUN v2, that is currently in WGLC at the IETF.

- Keep packet-stun.c for the RFC 3498 protocol, plus the STUN and TURN
drafts up to draft-ietf-behave-rfc3489bis-02 and
draft-rosenberg-midcom-turn-08, as there is some huge deployments using
this.  There will be no modification to this dissectors in the future,
excepted perhaps to add support for retransmission or things like this.

- Add a new dissector packet-stun2.c for the new STUN (currently in
WGLC), the STUN relay-usage (formerly known as TURN) and the other
usages that will be added in the future (IPv6, NAT Behavior, etc...).


------------------------------------------------------------------------
r20130 | etxrab | 2006-12-12 22:58:45 -0800 (Tue, 12 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Fix for parameter Media dissection with more than one parameter.
------------------------------------------------------------------------
r20129 | sahlberg | 2006-12-12 18:44:00 -0800 (Tue, 12 Dec 2006) | 10 lines
Changed paths:
   M /trunk/asn1/spnego/spnego.cnf
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-spnego.h

if there is a list of mechTypes in the negTokenInit then store the first one
and associate it with the conversation properly.

do the same for supportedMech in the negTokenTarg


This will allow wireshark to decode the blob in negTokenTarg even when no supportedMech is provided.



------------------------------------------------------------------------
r20128 | ulfl | 2006-12-12 15:50:59 -0800 (Tue, 12 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

add MaintenanceItem block dissection, fix issues with heuristic of RT classes
------------------------------------------------------------------------
r20127 | ulfl | 2006-12-12 15:49:28 -0800 (Tue, 12 Dec 2006) | 1 line
Changed paths:
   M /trunk/gtk/tcp_graph.c

gtkglobals.h not needed
------------------------------------------------------------------------
r20126 | gerald | 2006-12-12 14:24:18 -0800 (Tue, 12 Dec 2006) | 14 lines
Changed paths:
   M /trunk/docbook/release-notes.xml
   M /trunk/epan/dissectors/packet-ieee80211.c

Processing packet data via tvb_get_ptr() is like palpating a cow -- it's
messy and you shouldn't do it unless you REALLY have to.  Change several
routines to use standard tvb_get_* accessors instead of operating on raw
packet data.  This fixes an integer overflow in dissect_vendor_ie_rsn()
found by Neil Kettle.

Use value_strings instead of duplicating their functionality with our
own routines.  Print the WME surplus bandwidth allowance factor.  Fix
some compiler warnings.

Update the release notes.

Some of the changes are untested due to a lack of capture data.

------------------------------------------------------------------------
r20125 | sahlberg | 2006-12-12 00:28:37 -0800 (Tue, 12 Dec 2006) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

kerberos error with ERR_ETYPE_NOSUPP which is issued when the kdc does not support the specified enctype in AS REQ contains in the e-type field for optional additional data a PA_DATA sequence of sequence just as PREAUTH_REQ/FAILED does.

(it would make much more sense if the KDC here would list the enctypes that are supported)




------------------------------------------------------------------------
r20124 | etxrab | 2006-12-11 23:06:40 -0800 (Mon, 11 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ipmi.c

Dissect Get Channel Authentication Capabilities Command.
------------------------------------------------------------------------
r20123 | etxrab | 2006-12-11 23:05:01 -0800 (Mon, 11 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Add get_column_width_string to make win32 build work.
------------------------------------------------------------------------
r20122 | wmeier | 2006-12-11 18:24:51 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acn.h
   M /trunk/epan/unicode-utils.c
   M /trunk/epan/unicode-utils.h
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/airpcap_gui_utils.h

Remove svn:executable property from a few more .[hc] files

------------------------------------------------------------------------
r20121 | gerald | 2006-12-11 16:16:22 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Update Neil Kettle's address.

------------------------------------------------------------------------
r20120 | jake | 2006-12-11 13:46:39 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/plugins/h223/Makefile.am

Add files to EXTRA_DIST target.

------------------------------------------------------------------------
r20119 | jake | 2006-12-11 13:28:07 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acn.c

Removed executable property.

------------------------------------------------------------------------
r20118 | sfisher | 2006-12-11 12:24:51 -0800 (Mon, 11 Dec 2006) | 6 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/column-utils.c
   M /trunk/epan/column.c
   M /trunk/epan/column_info.h
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-vlan.c


From Thomas Sillaber:

Create two new columns: IP DSCP and L2 COS (802.1p)


------------------------------------------------------------------------
r20117 | sfisher | 2006-12-11 12:09:04 -0800 (Mon, 11 Dec 2006) | 6 lines
Changed paths:
   M /trunk/epan/column.c
   M /trunk/epan/column.h
   M /trunk/gtk/packet_list.c


Add a new function to build column widths based not only on the max
width that is hard-coded in get_column_longest_string(), but also on the
width of the user specified title of the column (in case it is wider.)


------------------------------------------------------------------------
r20116 | ulfl | 2006-12-11 11:43:19 -0800 (Mon, 11 Dec 2006) | 1 line
Changed paths:
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_if_dlg.c

remove some warnings
------------------------------------------------------------------------
r20115 | gerald | 2006-12-11 10:24:27 -0800 (Mon, 11 Dec 2006) | 5 lines
Changed paths:
   M /trunk/test/config.sh
   M /trunk/test/suite-capture.sh

The capture test suite currently fails on quiet networks.  Try to fix
this by generating some ICMP packets before each test.  Add an "icmp"
capture filter to each test to better control the test conditions.
Fixup whitespace.

------------------------------------------------------------------------
r20114 | martinm | 2006-12-11 05:33:46 -0800 (Mon, 11 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

Remove \n from long preference description

------------------------------------------------------------------------
r20113 | martinm | 2006-12-11 02:43:43 -0800 (Mon, 11 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

Try to fix build (on Linux at least...) by including <errno.h>
------------------------------------------------------------------------
r20112 | sahlberg | 2006-12-11 02:15:42 -0800 (Mon, 11 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-ssc.c
   M /trunk/epan/dissectors/packet-scsi-ssc.h

fixup ERASE16 FORMAT_MEDIUM and LOAD_UNLOAD commands


------------------------------------------------------------------------
r20111 | guy | 2006-12-11 01:55:22 -0800 (Mon, 11 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-udp.c

For length errors, add an error item for the expert info, and put a tag
in the summary line.

------------------------------------------------------------------------
r20110 | sahlberg | 2006-12-11 01:07:10 -0800 (Mon, 11 Dec 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

add comment that the dissector is based on SBC2

this dissector should be in fairly good shape now


------------------------------------------------------------------------
r20109 | sahlberg | 2006-12-11 01:04:58 -0800 (Mon, 11 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

add a comment about the (few) opcodes that are still missing


------------------------------------------------------------------------
r20108 | kukosa | 2006-12-11 00:47:38 -0800 (Mon, 11 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl.c

SSL keys configuration can be read from file
------------------------------------------------------------------------
r20107 | guy | 2006-12-10 19:32:01 -0800 (Sun, 10 Dec 2006) | 5 lines
Changed paths:
   M /trunk/gtk/expert_comp_table.c

We only need to add the tree view to its containing scrolled window
once.  (Subsequent attempts produce a warning and do nothing.)

Clean up indentation.

------------------------------------------------------------------------
r20106 | guy | 2006-12-10 18:58:38 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/tap.c

Do bounds checking on tap_packet_array.

------------------------------------------------------------------------
r20105 | guy | 2006-12-10 17:55:50 -0800 (Sun, 10 Dec 2006) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipmi.c

Add #defines for the authentication types, and use them.

Squelch some compiler warnings.

Get rid of a C++/C99 comment.

Fix some typoes.

Clean up indentation.

------------------------------------------------------------------------
r20104 | etxrab | 2006-12-10 15:00:44 -0800 (Sun, 10 Dec 2006) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Add SIP error codes.
------------------------------------------------------------------------
r20103 | etxrab | 2006-12-10 14:58:55 -0800 (Sun, 10 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipmi.c

Applied the patch http://www.wireshark.org/lists/wireshark-dev/200606/msg01818.html
from Jason Allred.
Added some more V2 dissection but far from complete.
------------------------------------------------------------------------
r20102 | jake | 2006-12-10 14:19:11 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/plugins/h223/Makefile.nmake

Lost the quotes in the Python line.

------------------------------------------------------------------------
r20101 | jmayer | 2006-12-10 10:55:24 -0800 (Sun, 10 Dec 2006) | 3 lines
Changed paths:
   A /trunk/tools/pidl/tests/ndr_fullptr.pl

Forgot to add this file during one of the last commits.


------------------------------------------------------------------------
r20100 | sahlberg | 2006-12-10 05:52:30 -0800 (Sun, 10 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-mmc.c
   M /trunk/epan/dissectors/packet-scsi-sbc.c
   M /trunk/epan/dissectors/packet-scsi-sbc.h
   M /trunk/epan/dissectors/packet-scsi.c

change all sbc2 references into sbc


------------------------------------------------------------------------
r20099 | sahlberg | 2006-12-10 05:38:42 -0800 (Sun, 10 Dec 2006) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

add dissection of
writelong10
writesame10/16
xdread10
xdwrite10
xdwriteread10
xpwrite10


------------------------------------------------------------------------
r20098 | sahlberg | 2006-12-10 05:04:37 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

fix the WRVERIFY commands

------------------------------------------------------------------------
r20097 | sahlberg | 2006-12-10 04:01:36 -0800 (Sun, 10 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-mmc.c
   M /trunk/epan/dissectors/packet-scsi-sbc.c
   M /trunk/epan/dissectors/packet-scsi-sbc.h

fixup WRITE 6,10,12,16


------------------------------------------------------------------------
r20096 | sahlberg | 2006-12-10 03:43:02 -0800 (Sun, 10 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

fix the broken VERIFY 10, 12, 16

------------------------------------------------------------------------
r20095 | sahlberg | 2006-12-10 03:14:35 -0800 (Sun, 10 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

add SYNC CACHE 10 and 16


------------------------------------------------------------------------
r20094 | sfisher | 2006-12-09 20:57:47 -0800 (Sat, 09 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-s4406.c


Result of "compiling" s4406.cnf (that changed with SVN revision 20093.)
 

------------------------------------------------------------------------
r20093 | sfisher | 2006-12-09 20:38:42 -0800 (Sat, 09 Dec 2006) | 6 lines
Changed paths:
   M /trunk/asn1/s4406/s4406.cnf


From Stig Bjorlykke:

This patch fixes a small typo in the s4406 dissector.


------------------------------------------------------------------------
r20092 | guy | 2006-12-09 20:12:35 -0800 (Sat, 09 Dec 2006) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-udp.c

Treat the UDP checksum the same way the TCP checksum is treated - mark
the "checksum bad" and "checksum good" flags as generated fields, add
an expert info item on a checksum error, and put a "checksum incorrect"
indication in the Info column.

Clean up indentation.

------------------------------------------------------------------------
r20091 | sahlberg | 2006-12-09 19:56:25 -0800 (Sat, 09 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

fixup START STOP UNIT

------------------------------------------------------------------------
r20090 | sahlberg | 2006-12-09 19:47:11 -0800 (Sat, 09 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

fixup REASSIGN BLOCKS

------------------------------------------------------------------------
r20089 | sahlberg | 2006-12-09 18:59:09 -0800 (Sat, 09 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

add dissection of READ LONG 16


------------------------------------------------------------------------
r20088 | sahlberg | 2006-12-09 18:45:06 -0800 (Sat, 09 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

add dissection of READLONG10


------------------------------------------------------------------------
r20087 | sahlberg | 2006-12-09 18:32:57 -0800 (Sat, 09 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

fix up READEFECTDATA 10 and 12


------------------------------------------------------------------------
r20086 | sahlberg | 2006-12-09 17:53:19 -0800 (Sat, 09 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

improve READCAPACITY10


------------------------------------------------------------------------
r20085 | sahlberg | 2006-12-09 16:43:24 -0800 (Sat, 09 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

fix up READ6 READ10 READ12 and READ16 to dissect the flags and the group in the cdb


------------------------------------------------------------------------
r20084 | guy | 2006-12-09 14:34:13 -0800 (Sat, 09 Dec 2006) | 3 lines
Changed paths:
   M /trunk/version_info.c

Fix the display of whether the program was built with Net-SNMP, now that
we no longer support UCD SNMP and no longer define HAVE_SOME_SNMP.

------------------------------------------------------------------------
r20083 | sahlberg | 2006-12-09 14:30:12 -0800 (Sat, 09 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

Add dissection of the PREFETCH10 and PREFETCH16 SBC commands


------------------------------------------------------------------------
r20082 | sahlberg | 2006-12-09 13:29:06 -0800 (Sat, 09 Dec 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-sbc.c

dissect the flags of FORMAT_UNIT

change some hf definitions where FT_BOOLEAN types had the wrong length specified
(BASE_[HEX|DEC] instead of length of field in bits)


------------------------------------------------------------------------
r20081 | jake | 2006-12-09 08:37:54 -0800 (Sat, 09 Dec 2006) | 2 lines
Changed paths:
   M /trunk/configure.in

Remove mention of UCD SNMP completely.

------------------------------------------------------------------------
r20080 | ulfl | 2006-12-09 02:09:48 -0800 (Sat, 09 Dec 2006) | 1 line
Changed paths:
   M /trunk/gtk/capture_if_details_dlg.c

add WinPcap beta 2 and 3 to the details version check
------------------------------------------------------------------------
r20079 | ulfl | 2006-12-09 01:32:21 -0800 (Sat, 09 Dec 2006) | 1 line
Changed paths:
   M /trunk/gtk/menu.c

change it to "Seconds Since Epoch (1970-01-01):   1234567890.123456"
------------------------------------------------------------------------
r20078 | ulfl | 2006-12-09 01:28:29 -0800 (Sat, 09 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-pn-ptcp.c

add IRDataUUID to the blocks subitem
------------------------------------------------------------------------
r20077 | sfisher | 2006-12-08 18:25:23 -0800 (Fri, 08 Dec 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wlccp.c


Change a match_strval() to val_to_str() in a col_add_fstr() call to prevent
problems if there isn't a match (corrupted packet). 


------------------------------------------------------------------------
r20076 | guy | 2006-12-08 17:39:29 -0800 (Fri, 08 Dec 2006) | 3 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_libraries.xml

It's called Net-SNMP - and it replaced UCD SNMP a long time ago, so
there's no longer a need to mention UCD SNMP.

------------------------------------------------------------------------
r20075 | guy | 2006-12-08 17:37:22 -0800 (Fri, 08 Dec 2006) | 5 lines
Changed paths:
   M /trunk/INSTALL

We no longer support UCD SNMP - and *do* support Net-SNMP, and have
supported it for quite a while.

Also, note that it might not even be possible to run Wireshark set-UID.

------------------------------------------------------------------------
r20074 | guy | 2006-12-08 17:34:08 -0800 (Fri, 08 Dec 2006) | 3 lines
Changed paths:
   M /trunk/README

We no longer support UCD SNMP - and *do* support Net-SNMP, and have
supported it for quite a while.

------------------------------------------------------------------------
r20073 | guy | 2006-12-08 11:32:53 -0800 (Fri, 08 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xot.c

The XOT dissector is now a "new-style" dissector; register it as such.

------------------------------------------------------------------------
r20072 | guy | 2006-12-08 10:40:42 -0800 (Fri, 08 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/camel-persistentdata.h
   M /trunk/epan/tcap-persistentdata.h

Declare data values exported from libwireshark with WS_VAR_IMPORT.

------------------------------------------------------------------------
r20071 | jmayer | 2006-12-08 07:05:41 -0800 (Fri, 08 Dec 2006) | 5 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/acinclude.m4
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/cmakeconfig.h.in
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/configure.in
   M /trunk/epan/dissectors/format-oid.h
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-snmp.c

Get rid of UCD SNMP support (it's not longer supported and
superseeded by net-snmp). Replace some_snmp by net_snmp
where appropriate.


------------------------------------------------------------------------
r20070 | guy | 2006-12-07 20:09:44 -0800 (Thu, 07 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/prefs.c

Handle the "no error" return from pref_set_pair_fct(), to squelch
compiler warnings.

------------------------------------------------------------------------
r20069 | guy | 2006-12-07 17:11:20 -0800 (Thu, 07 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/prefs-int.h
   M /trunk/gtk/recent.c

A callback in read_prefs_file() should return a prefs_set_pref_e, not an
int.

------------------------------------------------------------------------
r20068 | guy | 2006-12-07 17:08:48 -0800 (Thu, 07 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/camel-persistentdata.h
   M /trunk/epan/tcap-persistentdata.h
   M /trunk/tap-camelsrt.c

Add the StatSRT flags to the header file, rather than declaring them in
all modules that use them.

------------------------------------------------------------------------
r20067 | guy | 2006-12-07 17:07:09 -0800 (Thu, 07 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/camel-persistentdata.h

Get rid of CR's, and set the appropriate properties.

------------------------------------------------------------------------
r20066 | guy | 2006-12-07 17:05:19 -0800 (Thu, 07 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/camel-persistentdata.c

Get rid of forward declaration of non-existent routine.

------------------------------------------------------------------------
r20065 | guy | 2006-12-07 15:24:49 -0800 (Thu, 07 Dec 2006) | 3 lines
Changed paths:
   M /trunk/version_info.h

Make "svnversion" extern, so the only definition is in version_info.c;
this fixes build errors on some platforms.

------------------------------------------------------------------------
r20064 | etxrab | 2006-12-07 12:53:32 -0800 (Thu, 07 Dec 2006) | 1 line
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-tcap.c

Revert some dissector_handle_t to static changes to make it compile again.
------------------------------------------------------------------------
r20063 | sfisher | 2006-12-07 12:34:21 -0800 (Thu, 07 Dec 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ospf.c


From Francesco Fondelli: Update/addition to Bandwidth Constraints Model code
in OSPF.


------------------------------------------------------------------------
r20062 | etxrab | 2006-12-07 12:34:08 -0800 (Thu, 07 Dec 2006) | 1 line
Changed paths:
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/gsmmap/gsm_map-exp.cnf
   M /trunk/asn1/gsmmap/packet-gsm_map-template.c
   M /trunk/asn1/inap/packet-inap-template.c
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-bthci_acl.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-cigi.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-inap.h
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-isns.c
   M /trunk/epan/dissectors/packet-isup_thin.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-llt.c
   M /trunk/epan/dissectors/packet-msrp.c
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-rsync.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h
   M /trunk/epan/dissectors/packet-tipc.c
   M /trunk/epan/dissectors/packet-wfleet-hdlc.c
   M /trunk/epan/dissectors/packet-winsrepl.c

As ponted out by Stig Bj?\195?\184rlykke change a whole bunch of dissector_handle_t to static.
------------------------------------------------------------------------
r20061 | sfisher | 2006-12-07 12:29:40 -0800 (Thu, 07 Dec 2006) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/doc/README.developer
   M /trunk/epan/value_string.c
   M /trunk/epan/value_string.h


From Francesco Fondelli:

I defined a range_string struct. It's like value_string
but stores range <-> string pairs.
Moreover I wrote rval_to_str(), match_strrval_idx()
match_strrval() which are behaving exactly as
val_to_str(), match_strval_idx() and match_strval().


------------------------------------------------------------------------
r20060 | martinm | 2006-12-07 10:06:22 -0800 (Thu, 07 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix range highlighted by EDCH sfn header tree
------------------------------------------------------------------------
r20059 | martinm | 2006-12-07 03:31:25 -0800 (Thu, 07 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

EDCH - show total number of PDUs in info column
------------------------------------------------------------------------
r20058 | sahlberg | 2006-12-07 01:28:16 -0800 (Thu, 07 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

strengthen the heuristics for iscsi commandis   assuming that the last 6 bytes of the 8 byte LUN blob are always 0.



------------------------------------------------------------------------
r20057 | sfisher | 2006-12-06 15:34:28 -0800 (Wed, 06 Dec 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-text-media.c


Fix for enhancement bug #1260.  Now packet-text-media will display the
line terminators (\r and/or \n) for line-based data such as that used in
HTML.


------------------------------------------------------------------------
r20056 | etxrab | 2006-12-06 14:08:32 -0800 (Wed, 06 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Prepare to decode Q.850 REASON.
------------------------------------------------------------------------
r20055 | etxrab | 2006-12-06 14:05:55 -0800 (Wed, 06 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-uma.c

Fix a typo.
------------------------------------------------------------------------
r20054 | etxrab | 2006-12-06 14:03:45 -0800 (Wed, 06 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eap.c
   M /trunk/epan/dissectors/packet-isakmp.c

Dissect EAP inside ISAKMP update some strings from IANA.
(fix bug http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=777)
------------------------------------------------------------------------
r20053 | gerald | 2006-12-06 12:29:54 -0800 (Wed, 06 Dec 2006) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/epan/dissectors/Makefile.nmake
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/gtk/Makefile.nmake

Don't define HAVE_AIRPDCAP if HAVE_AIRPCAP isn't defined.  Fix a compiler
warning in the 802.11 dissector.

------------------------------------------------------------------------
r20052 | gerald | 2006-12-05 13:06:09 -0800 (Tue, 05 Dec 2006) | 2 lines
Changed paths:
   A /trunk/airpdcap
   A /trunk/airpdcap/Makefile.am
   A /trunk/airpdcap/Makefile.nmake
   A /trunk/airpdcap/airpdcap.c
   A /trunk/airpdcap/airpdcap_ccmp.c
   A /trunk/airpdcap/airpdcap_ccmp.h
   A /trunk/airpdcap/airpdcap_debug.c
   A /trunk/airpdcap/airpdcap_debug.h
   A /trunk/airpdcap/airpdcap_int.h
   A /trunk/airpdcap/airpdcap_interop.h
   A /trunk/airpdcap/airpdcap_md5.c
   A /trunk/airpdcap/airpdcap_md5.h
   A /trunk/airpdcap/airpdcap_rijndael.c
   A /trunk/airpdcap/airpdcap_rijndael.h
   A /trunk/airpdcap/airpdcap_sha1.c
   A /trunk/airpdcap/airpdcap_sha1.h
   A /trunk/airpdcap/airpdcap_system.h
   A /trunk/airpdcap/airpdcap_tkip.c
   A /trunk/airpdcap/airpdcap_tkip.h
   A /trunk/airpdcap/airpdcap_user.h
   A /trunk/airpdcap/airpdcap_wep.c
   A /trunk/airpdcap/airpdcap_wep.h
   A /trunk/airpdcap/airpdcap_ws.h

Add AirPDcap files.

------------------------------------------------------------------------
r20051 | gerald | 2006-12-05 12:57:22 -0800 (Tue, 05 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Fix preference registration.

------------------------------------------------------------------------
r20050 | gerald | 2006-12-05 11:39:54 -0800 (Tue, 05 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Fix a compilation error, and squelch a couple of other errors.

------------------------------------------------------------------------
r20049 | gerald | 2006-12-05 11:24:25 -0800 (Tue, 05 Dec 2006) | 9 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.nmake
   M /trunk/airpcap.h
   M /trunk/airpcap_loader.c
   M /trunk/airpcap_loader.h
   M /trunk/epan/dissectors/Makefile.nmake
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/libwireshark.def
   M /trunk/gtk/Makefile.nmake
   M /trunk/gtk/airpcap_dlg.c
   M /trunk/gtk/airpcap_dlg.h
   M /trunk/gtk/airpcap_gui_utils.c
   M /trunk/gtk/airpcap_gui_utils.h
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/keys.h
   M /trunk/gtk/main.c

From Davide Schiera and Giorgio Tino: Add initial WPA/WPA2 decryption
support.

WEP key preferences have been overloaded to allow WPA keys.  The
decryption code currently uses Windows-specific data types, but can be
converted to use glib equivalents.

Add a few text and whitespace fixups.

------------------------------------------------------------------------
r20048 | jmayer | 2006-12-05 07:25:16 -0800 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /trunk/manuf
   M /trunk/manuf.tmpl

Update to current IEEE and remove fixed entry for 00-06-0D (bug 1256)
------------------------------------------------------------------------
r20047 | martinm | 2006-12-05 06:20:55 -0800 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Via param name copy-paste error
------------------------------------------------------------------------
r20046 | wmeier | 2006-12-05 04:36:06 -0800 (Tue, 05 Dec 2006) | 2 lines
Changed paths:
   M /trunk/doc/Makefile.nmake
   M /trunk/epan/dfilter/Makefile.nmake
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/plugins/mate/Makefile.nmake
   M /trunk/plugins/tpg/Makefile.nmake

Add a few missing /$(MAKEFLAGS)

------------------------------------------------------------------------
r20045 | ulfl | 2006-12-05 00:09:01 -0800 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

add dissection of the "IsochronousModeData" block
------------------------------------------------------------------------
r20044 | ulfl | 2006-12-05 00:07:00 -0800 (Tue, 05 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-lldp.c

fix output of PROFINET specific MAC addresses - it simply displayed garbage
------------------------------------------------------------------------
r20043 | etxrab | 2006-12-04 22:53:28 -0800 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

Fix a cut and paste error.
------------------------------------------------------------------------
r20042 | jake | 2006-12-04 22:46:21 -0800 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /trunk/plugins/h223/Makefile.nmake

Oops, the all target slipped through the cracks.
------------------------------------------------------------------------
r20041 | etxrab | 2006-12-04 22:43:47 -0800 (Mon, 04 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/sigcomp-udvm.c
   M /trunk/epan/sigcomp_state_hdlr.c
   M /trunk/epan/sigcomp_state_hdlr.h

From Cristian Constantin:
As a workarond for the problem that accsessing a state with a state id > the stored
minimum access length fail,  only store and compare the state with the minimum access
lengt specified in the standard of 6 bytes.
------------------------------------------------------------------------
r20040 | sfisher | 2006-12-04 19:19:51 -0800 (Mon, 04 Dec 2006) | 13 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark.pod
   M /trunk/docbook/wsug_src/WSUG_chapter_customize.xml
   M /trunk/epan/column-utils.c
   M /trunk/epan/column.c
   M /trunk/epan/timestamp.h
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/recent.c
   M /trunk/tshark.c


From Douglas Pratley with trivial changes and documentation changes 
by myself:

Corrected patch; epan/column.c and epan/column_utils.c were not included. This
one has now been properly tested against a clean checkout of today's code.

- New menu option available under view\time display format
- New sub-option (e) to -t switch for both wireshark and tshark
- Extended recent settings code to handle new value
- Did NOT add new explicit epoch time column


------------------------------------------------------------------------
r20039 | wmeier | 2006-12-04 18:59:06 -0800 (Mon, 04 Dec 2006) | 4 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/asn1/cdt/cdt-exp.cnf
   M /trunk/epan/dissectors/packet-csm-encaps.c
   M /trunk/epan/dissectors/packet-ms-mms.c
   M /trunk/packaging/u3/win32/README.txt
   M /trunk/packaging/u3/win32/makefile.nmake
   M /trunk/packaging/u3/win32/manifest.tmpl
   M /trunk/packaging/u3/win32/u3util.c
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4.pm
   M /trunk/tools/pidl/tests/ndr_represent.pl
   M /trunk/tools/pidl/tests/ndr_tagtype.pl

More minor properties cleanup
svn:kewords --> svn:keywords & etc


------------------------------------------------------------------------
r20038 | wmeier | 2006-12-04 18:53:39 -0800 (Mon, 04 Dec 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Remove unused variable

------------------------------------------------------------------------
r20037 | gerald | 2006-12-04 16:43:00 -0800 (Mon, 04 Dec 2006) | 7 lines
Changed paths:
   M /trunk/epan/prefs-int.h
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/gtk/prefs_dlg.c
   M /trunk/gtk/prefs_dlg.h

From Giorgio Tino: Add a "static text" protocol preference type.  This
can be used to add descriptive text inline with other preference items.
The "preference" contents are not written to disk.

Fixup whitespace.


------------------------------------------------------------------------
r20036 | jake | 2006-12-04 15:12:04 -0800 (Mon, 04 Dec 2006) | 2 lines
Changed paths:
   M /trunk/plugins/h223/Makefile.nmake
   A /trunk/plugins/h223/moduleinfo.nmake
   A /trunk/plugins/h223/plugin.rc.in

This is to test the waters.
I've added a version resource to the h223 Wireshark plugin as Win32 DLL, setting a possible example for other plugins.
------------------------------------------------------------------------
r20035 | etxrab | 2006-12-04 15:03:11 -0800 (Mon, 04 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

Add description of CT AS TIAS and H263-2000 profile.
------------------------------------------------------------------------
r20034 | wmeier | 2006-12-03 21:41:53 -0800 (Sun, 03 Dec 2006) | 5 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/epan/Makefile.nmake

Use 'igncr' as needed with Bash (workaround for bug report 1162);
Change usage of 'nmake' to $(MAKE) /$(MAKEFLAGS) in a few places;
Add one missing /$(MAKEFLAGS);


------------------------------------------------------------------------
r20033 | sfisher | 2006-12-01 19:06:55 -0800 (Fri, 01 Dec 2006) | 4 lines
Changed paths:
   M /trunk/epan/Makefile.am


Make epan/tvbtest compile again by adding emem.o


------------------------------------------------------------------------
r20032 | sfisher | 2006-12-01 17:08:16 -0800 (Fri, 01 Dec 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tds.c


Solution for enhancement "bug" #1254: "MSSQL / TDS parser should decode
passwords"


------------------------------------------------------------------------
r20031 | sahlberg | 2006-12-01 15:41:10 -0800 (Fri, 01 Dec 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

store FID/TID tracking based on the fid/tid value and not the frame it was opened in.


------------------------------------------------------------------------
r20030 | etxrab | 2006-12-01 10:49:09 -0800 (Fri, 01 Dec 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Add hf fields for the latest headers from IANA.
------------------------------------------------------------------------
r20029 | martinm | 2006-12-01 10:03:45 -0800 (Fri, 01 Dec 2006) | 2 lines
Changed paths:
   M /trunk/plugins/mgcp/packet-mgcp.c

For duplicate requests and responses, make clickable link back to original.

------------------------------------------------------------------------
r20028 | sfisher | 2006-11-30 18:55:45 -0800 (Thu, 30 Nov 2006) | 7 lines
Changed paths:
   M /trunk/gtk/flow_graph.c


Fix for bug #1117: Crash on next action [such as another stats window] when
flow graph window is open.  Added if(pinfo->cinfo) before attempting to use
pinfo->cinfo->col_first.  The rest is indentation changes for the new if
statement.


------------------------------------------------------------------------
r20027 | gram | 2006-11-30 13:32:05 -0800 (Thu, 30 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/epan.c

Add GPL disclaimer, which as been missing since forever.
Thanks to Jaap Keuter for pointing this out.

------------------------------------------------------------------------
r20026 | martinm | 2006-11-30 10:29:45 -0800 (Thu, 30 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-xot.c

Make xot dissector findable by name
------------------------------------------------------------------------
r20025 | martinm | 2006-11-30 03:37:41 -0800 (Thu, 30 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix infinite rate test, tweak filter names

------------------------------------------------------------------------
r20024 | martinm | 2006-11-30 03:36:28 -0800 (Thu, 30 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Make prettier the parsing of IPPrim header fields.
Add mm3 -> http mapping.

------------------------------------------------------------------------
r20023 | kukosa | 2006-11-29 23:30:20 -0800 (Wed, 29 Nov 2006) | 1 line
Changed paths:
   M /trunk/fileset.c

suffix in file set is optional
------------------------------------------------------------------------
r20022 | jake | 2006-11-29 23:16:39 -0800 (Wed, 29 Nov 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntlmssp.c

From Marc Bevandi:
Please apply this patch (made against Wireshark 0.99.4). It defines the
NTLMSSP_NEGOTIATE_ANONYMOUS flag as described in
<http://davenport.sourceforge.net/ntlm.html>.

------------------------------------------------------------------------
r20021 | jake | 2006-11-29 23:15:17 -0800 (Wed, 29 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mysql.c

From Martin Warnesi:
Attached updated patch to use "dissect_mysql_pdu" instead of
"dissect_mysql" when registering the protocol dissector.

------------------------------------------------------------------------
r20020 | jake | 2006-11-29 23:14:09 -0800 (Wed, 29 Nov 2006) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

From Martin Warnesi:
Much simplified patch to use column fences on the COL_INFO field to
prevent sebsequent calls to the SSL dissector for the same packet
clearing the information placed by earlier calls. After each SSL record
is processed a col_set_fence() call is now issued to preserve what has
been written.

------------------------------------------------------------------------
r20019 | jake | 2006-11-29 23:12:59 -0800 (Wed, 29 Nov 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mmse.c

From Michel Marti:
The attached patch fixes decoding of the "X-Mms-Reply-Charging-Deadline" header.
According to the OMA-TS-MMS-ENC specs, this header is encoded like this:
  Reply-charging-deadline-value = Value-length \
    (Absolute-token Date-value | Relative-token Delta-seconds-value)

------------------------------------------------------------------------
r20018 | sfisher | 2006-11-29 18:29:31 -0800 (Wed, 29 Nov 2006) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c


Allow the sub-dissector to be called for decrypted SSL data even when tree is
null.  This allows the encrypted payload's dissector to fill in columns such
as protocol and info without turning on packet coloring or otherwise rescanning
the packet list.


------------------------------------------------------------------------
r20017 | sfisher | 2006-11-29 12:45:02 -0800 (Wed, 29 Nov 2006) | 5 lines
Changed paths:
   M /trunk/gtk/follow_dlg.c
   M /trunk/gtk/ssl-dlg.c


From the wishlist: add basic find functionality to the follow tcp & ssl stream
dialogs.


------------------------------------------------------------------------
r20016 | guy | 2006-11-29 08:19:56 -0800 (Wed, 29 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-irc.c

Add some protocol references.

------------------------------------------------------------------------
r20015 | morriss | 2006-11-29 05:42:16 -0800 (Wed, 29 Nov 2006) | 1 line
Changed paths:
   M /trunk/doc/README.developer

Add documentation of the col_set_fence() and col_prepend_fence_fstr() calls.  I *think* I got the description of col_prepend_fence_fstr() right.
------------------------------------------------------------------------
r20014 | etxrab | 2006-11-28 22:53:48 -0800 (Tue, 28 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wsp.c

From Reinhard Speyerer:
this patch adds support for Any-encoding (WSP, 8.4.2.9) and Any-language (WSP, 8.4.2.10)
------------------------------------------------------------------------
r20013 | etxrab | 2006-11-28 22:44:07 -0800 (Tue, 28 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/column.c
   M /trunk/epan/column_info.h
   M /trunk/epan/dissectors/packet-atm.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/wiretap/atm.c
   M /trunk/wiretap/erf.c
   M /trunk/wiretap/file_access.c

Froim Rene Pilz:
This patch consists also the last issues. Additionally it solves:
- For the SSCOP frames the AAL5 decoding was not performed due to an earlier patch. This caused that no SSCOP message was properly decoded.
- As the detection between a LANE frame and a SSCOP frame is rather hard a switch within the atm dissector is included which enforce SSCOP dissecting over a LANE frame. At the moment I do not see a better solution for that.
------------------------------------------------------------------------
r20012 | etxrab | 2006-11-28 12:43:25 -0800 (Tue, 28 Nov 2006) | 1 line
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Fix a typo and handling of unknown TerminationStatedescriptors.
------------------------------------------------------------------------
r20011 | sahlberg | 2006-11-28 01:09:58 -0800 (Tue, 28 Nov 2006) | 3 lines
Changed paths:
   M /trunk/doc/README.developer

add description of proto_tree_add_bitmask()


------------------------------------------------------------------------
r20010 | etxrab | 2006-11-27 22:31:07 -0800 (Mon, 27 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q931.c

From Richard Braun:
The Q931 dissector applies a wrong mask when testing the odd/even indicator bit.
------------------------------------------------------------------------
r20009 | etxrab | 2006-11-27 21:59:24 -0800 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /trunk/diameter/sip.xml

Complete the SIP application AVP:s.
------------------------------------------------------------------------
r20008 | etxrab | 2006-11-27 21:53:00 -0800 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /trunk/plugins/megaco/packet-megaco.c

Dissection of two streams in the media descriptor was broken.
------------------------------------------------------------------------
r20007 | gerald | 2006-11-27 17:18:47 -0800 (Mon, 27 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-llt.c

Use val_to_str() instead of match_strval().

------------------------------------------------------------------------
r20006 | guy | 2006-11-27 11:42:14 -0800 (Mon, 27 Nov 2006) | 3 lines
Changed paths:
   M /trunk/asn1/Makefile.am

We got rid of ldap/Lightweight-Directory-Access-Protocol-V3.asn.orig, so
don't try to put it into the distribution.

------------------------------------------------------------------------
r20005 | guy | 2006-11-27 11:41:07 -0800 (Mon, 27 Nov 2006) | 2 lines
Changed paths:
   M /trunk/asn1/ldap/Lightweight-Directory-Access-Protocol-V3.asn

Note that this isn't just cut and pasted from RFC 2251.

------------------------------------------------------------------------
r20004 | guy | 2006-11-27 10:41:45 -0800 (Mon, 27 Nov 2006) | 3 lines
Changed paths:
   M /trunk/wiretap/libpcap.c

Map a DLT_ value of 188 to WTAP_ENCAP_IEEE802_16_MAC_CPS, and clarify
what a DLT_ value of 187 is.

------------------------------------------------------------------------
r20003 | guy | 2006-11-27 10:10:12 -0800 (Mon, 27 Nov 2006) | 3 lines
Changed paths:
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

Add Wiretap encapsulation type for IEEE 802.16 MAC Common Part Sublayer,
for which a DLT_ value and LINKTYPE_ value have just been assigned.

------------------------------------------------------------------------
r20002 | sahlberg | 2006-11-27 06:50:23 -0800 (Mon, 27 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h

create a nice helper to dissect bitmasks and implement some test useage of it in the scsi dissector


------------------------------------------------------------------------
r20001 | morriss | 2006-11-27 06:39:06 -0800 (Mon, 27 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-epl.c

Since this dissector is already 'new style' (it returns FALSE if it thinks the packet doesn't belong to it), register the dissector with new_create_dissector_handle() instead of create_dissector_handle(), thus fixing a compiler warning.  Also comment out some (currently) unused hf_ fields to get rid warnings about them.  Lastly, [AT]-ify the authors' email addresses.
------------------------------------------------------------------------
r20000 | sahlberg | 2006-11-27 03:00:06 -0800 (Mon, 27 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-scsi-mmc.c
   A /trunk/epan/dissectors/packet-scsi-sbc.c
   A /trunk/epan/dissectors/packet-scsi-sbc.h
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-scsi.h
   M /trunk/epan/libwireshark.def
   M /trunk/gtk/scsi_stat.c

break the SCSI SBC commandset out into its own dissector


------------------------------------------------------------------------
r19999 | sahlberg | 2006-11-27 01:42:19 -0800 (Mon, 27 Nov 2006) | 2 lines
Changed paths:
   M /trunk/gtk/expert_comp_table.c

g_strdup takes one parameter not two

------------------------------------------------------------------------
r19998 | sahlberg | 2006-11-27 01:40:08 -0800 (Mon, 27 Nov 2006) | 3 lines
Changed paths:
   M /trunk/gtk/expert_comp_table.c

remove unused variable:  tooltips


------------------------------------------------------------------------
r19997 | sahlberg | 2006-11-27 01:00:01 -0800 (Mon, 27 Nov 2006) | 5 lines
Changed paths:
   D /trunk/asn1/ldap/Lightweight-Directory-Access-Protocol-V3.asn.orig

remove file that is not used

bug 1247


------------------------------------------------------------------------
r19996 | wmeier | 2006-11-26 16:13:09 -0800 (Sun, 26 Nov 2006) | 6 lines
Changed paths:
   M /trunk/diameter/chargecontrol.xml
   M /trunk/epan/dissectors/pidl/idl_types.h
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba3/ServerNDR.pm

fix property typos: 
     eol-type  --> svn:eol-style
  sv:eol-style --> svn:eol-style
  svn:eol-type --> svn:eol-style


------------------------------------------------------------------------
r19995 | gerald | 2006-11-26 12:29:24 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/gtk/gui_utils.c

Wrap the declaration for tree_view_key_pressed_cb() in an #if/#endif.

------------------------------------------------------------------------
r19994 | gerald | 2006-11-26 12:26:09 -0800 (Sun, 26 Nov 2006) | 2 lines
Changed paths:
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/gui_utils.h
   M /trunk/gtk/proto_draw.c

Make keyboard navigation common for all tree views (for GTK2, at least).

------------------------------------------------------------------------
r19993 | wmeier | 2006-11-26 10:53:35 -0800 (Sun, 26 Nov 2006) | 3 lines
Changed paths:
   M /trunk/asn1/snmp/Makefile.nmake

Fix property typo: svm:keywords --> svn:keywords


------------------------------------------------------------------------
r19992 | wmeier | 2006-11-26 10:31:53 -0800 (Sun, 26 Nov 2006) | 4 lines
Changed paths:
   M /trunk/airpcap.h
   M /trunk/asn1/rrlp/rrlp.asn
   M /trunk/asn1/snmp/Makefile
   M /trunk/diameter/TGPPSh.xml
   M /trunk/epan/wslua/wslua.h
   M /trunk/epan/wslua/wslua_dumper.c
   M /trunk/epan/wslua/wslua_field.c
   M /trunk/epan/wslua/wslua_gui.c
   M /trunk/epan/wslua/wslua_listener.c
   M /trunk/epan/wslua/wslua_pinfo.c
   M /trunk/epan/wslua/wslua_proto.c
   M /trunk/epan/wslua/wslua_tree.c
   M /trunk/epan/wslua/wslua_tvb.c
   M /trunk/epan/wslua/wslua_util.c
   M /trunk/tools/pidl/tests/ndr_represent.pl
   M /trunk/tools/pidl/tests/ndr_tagtype.pl

Fix some property typos (eg: svn:kwywords, swn:keywords, etc)
Add 'svn:eol-style native' for a few .[hc] files


------------------------------------------------------------------------
r19991 | wmeier | 2006-11-26 10:20:51 -0800 (Sun, 26 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bgp.c

fix compiler warning
------------------------------------------------------------------------
r19990 | morriss | 2006-11-26 06:27:13 -0800 (Sun, 26 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_637.c
   M /trunk/epan/dissectors/packet-ansi_a.c

Clean up a bunch of unused parameter warnings and 2 uninitialized variable warnings
------------------------------------------------------------------------
r19989 | morriss | 2006-11-26 06:00:01 -0800 (Sun, 26 Nov 2006) | 1 line
Changed paths:
   M /trunk/doc/README.developer

Change to show how to write a 'new style' dissector (that is, one that returns the number of bytes it was able to dissect).  I think the Developer's Guide (docbook/) probably needs similar updates but I'm a bit shy about editing XML with good old vi; maybe if I can figure out if I can build the doc in the first place...  Also rewrap a few pararaphs that went past 80 columns.
------------------------------------------------------------------------
r19988 | morriss | 2006-11-26 05:36:03 -0800 (Sun, 26 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-skinny.c

If we found that the packet does not belong to Skinny (new style dissector), there's no need to call call_dissector(data_handle, ...) before returning FALSE.
------------------------------------------------------------------------
r19987 | jake | 2006-11-26 05:24:07 -0800 (Sun, 26 Nov 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

From Stefan Metzmacher:
I have a little additional patch, that makes it easier to see what which bytes
are not caught by the sub_dissector.
And it makes it easy to select and export the full payload to a file.

------------------------------------------------------------------------
r19986 | jake | 2006-11-26 05:22:14 -0800 (Sun, 26 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-logon.c

From Stefan Metzmacher:
2nd try: implement dissection of SMB_NETLOGON cmd's 0x17 and 0x19

------------------------------------------------------------------------
r19985 | gal | 2006-11-26 01:04:00 -0800 (Sun, 26 Nov 2006) | 6 lines
Changed paths:
   M /trunk/packaging/u3/win32/makefile.nmake
   M /trunk/packaging/u3/win32/manifest.tmpl
   M /trunk/packaging/u3/win32/u3util.c

U3 Packaging update for
a) Packaging changes - including the latest GTK/GLIB/PANGO libaries
b) File associations - made when Wireshark is first run and removed when device is removed.
c) Install WinPcap - by running the installer if WinPcap is not installed. Uninstalled (if the U3 device installed it) when the device is removed. (This is an interim approach until the appropriate WinPcap U3 installation can be determined).


------------------------------------------------------------------------
r19984 | morriss | 2006-11-26 00:28:09 -0800 (Sun, 26 Nov 2006) | 1 line
Changed paths:
   M /trunk/acinclude.m4

Bug 1246: From Eric Hall, fix typo: s/NETSNMPCNFIG/NETSNMPCONFIG/
------------------------------------------------------------------------
r19983 | wmeier | 2006-11-25 16:23:50 -0800 (Sat, 25 Nov 2006) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb-common.c

Problem: 
"off by 1" bug in 
   packet-smb-common.c:  dissect_ms_compressed_string_internal()
was causing a 1 character buffer overflow thus causing the canary to sing !

Fixes bug #1241


------------------------------------------------------------------------
r19982 | etxrab | 2006-11-25 05:07:28 -0800 (Sat, 25 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-h248_annex_c.c
   M /trunk/epan/dissectors/packet-h248_annex_e.c

Make dissecton of some of the annex packages work again.
------------------------------------------------------------------------
r19981 | etxrab | 2006-11-25 05:03:48 -0800 (Sat, 25 Nov 2006) | 5 lines
Changed paths:
   M /trunk/epan/Makefile.common
   A /trunk/epan/crcdrm.c
   A /trunk/epan/crcdrm.h
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-dcp-etsi.c
   A /trunk/epan/reedsolomon.c
   A /trunk/epan/reedsolomon.h

From Julian Cable:
New dissector for ETSI DCP (ETSI TS 102 821).

Code rearranged to look more like other Wireshark dissectors and some warnings/errors
on Windows fixed.
------------------------------------------------------------------------
r19980 | etxrab | 2006-11-25 04:04:21 -0800 (Sat, 25 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/etypes.h

From   Eliot Blennerhassett :
Add Cirrus cobranet ethertype
------------------------------------------------------------------------
r19979 | jmayer | 2006-11-25 02:35:39 -0800 (Sat, 25 Nov 2006) | 115 lines
Changed paths:
   M /trunk/tools/pidl/lib/Parse/Pidl/NDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba3/ClientNDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/NDR/Parser.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4.pm
   M /trunk/tools/pidl/pidl
   M /trunk/tools/pidl/tests/Util.pm
   M /trunk/tools/pidl/tests/ndr_align.pl
   M /trunk/tools/pidl/tests/ndr_represent.pl
   M /trunk/tools/pidl/tests/ndr_string.pl

Update from samba tree revision 19759 to 19883
============================ Samba log start ============
------------------------------------------------------------------------
r19790 | vlendec | 2006-11-19 18:56:35 +0100 (Sun, 19 Nov 2006) | 10 lines
Changed paths:
   M /branches/SAMBA_3_0/source/libmsrpc/cac_winreg.c
   M /branches/SAMBA_3_0/source/librpc/gen_ndr/cli_unixinfo.c
   M /branches/SAMBA_3_0/source/librpc/gen_ndr/cli_unixinfo.h
   M /branches/SAMBA_3_0/source/librpc/gen_ndr/cli_winreg.c
   M /branches/SAMBA_3_0/source/librpc/gen_ndr/cli_winreg.h
   M /branches/SAMBA_3_0/source/librpc/gen_ndr/ndr_winreg.c
   M /branches/SAMBA_3_0/source/librpc/gen_ndr/winreg.h
   M /branches/SAMBA_3_0/source/rpcclient/cmd_unixinfo.c
   M /branches/SAMBA_3_0/source/utils/net_rpc_registry.c
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Samba3/ClientNDR.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Samba4.pm

Check in the PIDL change and the converted unixinfo and winbind pipes without
waiting for comments. This is what version control is for, and it does fix a
segfault I ran into ;-)

Nevertheless, Jelmer & Jerry, please take a look!

Thanks,

Volker

------------------------------------------------------------------------
r19829 | jelmer | 2006-11-22 00:15:57 +0100 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/pidl

Update documentation.

------------------------------------------------------------------------
r19830 | jelmer | 2006-11-22 00:21:08 +0100 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/NDR.pm

Warn about non-ref top-level pointers.

------------------------------------------------------------------------
r19834 | jelmer | 2006-11-22 14:59:14 +0100 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/NDR.pm

Prevent some inaccurate warnings.

------------------------------------------------------------------------
r19842 | jelmer | 2006-11-22 17:53:30 +0100 (Wed, 22 Nov 2006) | 3 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/NDR.pm

Complain about unknown pointer types.
Fallback to "unique" when "ptr" is specified instead of failing.

------------------------------------------------------------------------
r19845 | jelmer | 2006-11-22 18:13:19 +0100 (Wed, 22 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/NDR.pm

Add warning for pointer_default_top()

------------------------------------------------------------------------
r19854 | metze | 2006-11-23 14:11:08 +0100 (Thu, 23 Nov 2006) | 4 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/NDR.pm

readd support for 'sptr' pointers, to work against windows servers
until jelmer commits his 'ptr' support

metze
------------------------------------------------------------------------
r19856 | jelmer | 2006-11-23 14:48:01 +0100 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/librpc/idl/epmapper.idl
   M /branches/SAMBA_4_0/source/librpc/ndr/ndr_basic.c
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/NDR.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Samba4/NDR/Parser.pm

Use sptr as basis for full ptr implementation. Will add checks for duplicates later.

------------------------------------------------------------------------
r19859 | jelmer | 2006-11-23 17:02:20 +0100 (Thu, 23 Nov 2006) | 3 lines
Changed paths:
   M /branches/SAMBA_4_0/source/librpc/ndr/libndr.h
   M /branches/SAMBA_4_0/source/librpc/ndr/ndr_basic.c
   M /branches/SAMBA_4_0/source/pidl/tests/Util.pm
   A /branches/SAMBA_4_0/source/pidl/tests/ndr_fullptr.pl

Reuse referrent ids when pushing full pointers (still need to
avoid pushing the referred object twice) and add test for full pointers.

------------------------------------------------------------------------
r19866 | jelmer | 2006-11-23 19:26:55 +0100 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/tests/ndr_fullptr.pl

Fix test compilation.

------------------------------------------------------------------------
r19868 | jelmer | 2006-11-23 21:59:09 +0100 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/tests/Util.pm
   M /branches/SAMBA_4_0/source/pidl/tests/ndr_align.pl
   M /branches/SAMBA_4_0/source/pidl/tests/ndr_represent.pl
   M /branches/SAMBA_4_0/source/pidl/tests/ndr_string.pl

Fix more tests.

------------------------------------------------------------------------
------------------------------------------------------------------------
============================ Samba log end ==============


------------------------------------------------------------------------
r19978 | gerald | 2006-11-24 22:15:51 -0800 (Fri, 24 Nov 2006) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Make sure we don't trigger undefined behavior in isprint().

------------------------------------------------------------------------
r19977 | wmeier | 2006-11-24 10:47:50 -0800 (Fri, 24 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-osd.h

Also required to fix Win32 build problem
------------------------------------------------------------------------
r19976 | guy | 2006-11-24 10:25:23 -0800 (Fri, 24 Nov 2006) | 6 lines
Changed paths:
   M /trunk/epan/libwireshark.def
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/print.c
   M /trunk/tap-protocolinfo.c

Have separate proto_construct_match_selected_string() and
proto_can_match_selected() routines, to more clearly separate the two
functions - but have them both call the same underlying routine, so
they both make the same decisions as to whether a match-selected string
can be constructed or not.

------------------------------------------------------------------------
r19975 | wmeier | 2006-11-24 09:41:09 -0800 (Fri, 24 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Another fix for Win32 build: add scsi_osd_vals
------------------------------------------------------------------------
r19974 | jake | 2006-11-24 03:07:39 -0800 (Fri, 24 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/libwireshark.def

From Peter Johansson:
The attached patch corrects the Win32 compilation problem.

------------------------------------------------------------------------
r19973 | sahlberg | 2006-11-24 00:22:30 -0800 (Fri, 24 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/gtk/scsi_stat.c

add some missing commandsets to the preference for default commandset and to the scsi srt statistics


------------------------------------------------------------------------
r19972 | jake | 2006-11-23 23:28:02 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

From Patrick vd Lageweg:
This patch fixes a simple typo.
------------------------------------------------------------------------
r19971 | jake | 2006-11-23 23:16:06 -0800 (Thu, 23 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

From Stefan Metzmacher:
This patch fixes some problems with encrypted DCERPC traffic
------------------------------------------------------------------------
r19970 | jake | 2006-11-23 23:09:38 -0800 (Thu, 23 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-smb-common.c
   M /trunk/epan/dissectors/packet-smb-common.h

From Stefan Metzmacher:
I created two patches:
1.) move the handling of the compressed strings in CLDAP 'netlogon' replies into a generic place.
2.) implement dissection of SMB_NETLOGON cmd's 0x17 and 0x19
------------------------------------------------------------------------
r19969 | sfisher | 2006-11-23 22:04:01 -0800 (Thu, 23 Nov 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hsrp.c


Fix for bug #940.  Convert HSRP to a new-style dissector so that it can
reject datagrams that don't have both the source and destination port
of UDP_PORT_HSRP (1985).


------------------------------------------------------------------------
r19968 | sfisher | 2006-11-23 18:59:43 -0800 (Thu, 23 Nov 2006) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c


Fix for bug #646: show the end of HTTP chunked encoding (a chunk with size 0)
as described in RFC 2616.

-This line, and those below, will be ignored--

M    packet-http.c

------------------------------------------------------------------------
r19967 | guy | 2006-11-23 13:16:46 -0800 (Thu, 23 Nov 2006) | 16 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/gtk/expert_comp_table.c
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c
   M /trunk/print.c
   M /trunk/tap-protocolinfo.c

Rename proto_construct_dfilter_string() to
proto_construct_match_selected_string() to indicate what it does - and
have it return a Boolean indication of whether the string could be
built, returning the string through a pointer, and, if that pointer is
null, have it just return the Boolean and not construct the string.

Get rid of proto_can_match_selected() -
proto_construct_match_selected_string() can be used for that, which
means we have only one piece of code that knows whether a "match
selected" string can be constructed or not.

Have proto_construct_match_selected_string() support matching
zero-length FT_NONE (and FT_PCRE, but that shouldn't happen) fields even
if there's no epan_dissect_t, as such a match just checks whether the
field is present.

------------------------------------------------------------------------
r19966 | etxrab | 2006-11-23 12:17:58 -0800 (Thu, 23 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tipc.c

Show the header size as number of bytes.
------------------------------------------------------------------------
r19965 | lego | 2006-11-23 04:58:58 -0800 (Thu, 23 Nov 2006) | 3 lines
Changed paths:
   D /trunk/plugins/lua

Errase the lua plugin, its not longer in use.


------------------------------------------------------------------------
r19964 | sahlberg | 2006-11-23 01:21:16 -0800 (Thu, 23 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-scsi-smc.c
   A /trunk/epan/dissectors/packet-scsi-smc.h
   M /trunk/epan/dissectors/packet-scsi-ssc.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-scsi.h
   M /trunk/epan/libwireshark.def

break the SCSI SMC commandset out into its own dissector


------------------------------------------------------------------------
r19963 | gerald | 2006-11-22 17:49:18 -0800 (Wed, 22 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-radiotap.c

Back out most of r19878; it was making the 802.11 dissector overwrite the
RSSI column with the wrong value.

------------------------------------------------------------------------
r19962 | sfisher | 2006-11-22 17:45:51 -0800 (Wed, 22 Nov 2006) | 5 lines
Changed paths:
   M /trunk/tshark.c


Fix for bug #1211.  Patch from Joshua Wright to add -S option to tshark's
usage description (-h).


------------------------------------------------------------------------
r19961 | guy | 2006-11-22 16:15:49 -0800 (Wed, 22 Nov 2006) | 5 lines
Changed paths:
   M /trunk/epan/proto.c

When checking whether a field supports "match selected", do the same
checks that we do when we try to construct the filter expression for
"match selected" - this means we don't just assert that all FT_NONEs are
filterable, as they aren't.

------------------------------------------------------------------------
r19960 | etxrab | 2006-11-22 15:20:11 -0800 (Wed, 22 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

From Cyril Margaria:
Patch to support RSVP notify and added a few error codes, with some more objectcodes
added.
------------------------------------------------------------------------
r19959 | guy | 2006-11-22 14:11:38 -0800 (Wed, 22 Nov 2006) | 5 lines
Changed paths:
   M /trunk/epan/proto.c

Make the "standard" case in proto_can_match_selected() and
proto_construct_dfilter_string() the default, so you add explicit cases
only when the type needs to be treated specially, so we don't end up
with types where we forget to have a case.

------------------------------------------------------------------------
r19958 | ulfl | 2006-11-22 12:52:40 -0800 (Wed, 22 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-ssc.h
   M /trunk/epan/dissectors/packet-scsi.h
   M /trunk/epan/libwireshark.def

fix Win32 build: scsi_ssc2_vals -> scsi_ssc_vals
------------------------------------------------------------------------
r19957 | sahlberg | 2006-11-22 02:12:59 -0800 (Wed, 22 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-scsi-ssc.c
   A /trunk/epan/dissectors/packet-scsi-ssc.h
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-scsi.h
   M /trunk/gtk/scsi_stat.c

break the SCSI SSC commandset out into its own dissector


------------------------------------------------------------------------
r19956 | sahlberg | 2006-11-22 01:00:36 -0800 (Wed, 22 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

ssc space6 count is a signed integer


------------------------------------------------------------------------
r19955 | etxrab | 2006-11-21 22:39:24 -0800 (Tue, 21 Nov 2006) | 20 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_637.c
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-ansi_a.h
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/libwireshark.def
   M /trunk/gtk/ansi_a_stat.c

From Michael Lum

1)
A small change in the number of teleservices recognized

2)
Finally finished a lot of the changes for IOS 5 support.

The attached files must be used together.

Built in Windows XP Pro using Visual Studio C++ with the latest repository.

packet-ansi_map.c.gz

packet-ansi_a.gz
    This file contains both packet-ansi_a.c and packet-ansi_a.h changes.

libwireshark.def.gz

ansi_a_stat.c.gz
------------------------------------------------------------------------
r19954 | etxrab | 2006-11-21 14:18:12 -0800 (Tue, 21 Nov 2006) | 1 line
Changed paths:
   M /trunk/asn1/mms/mms.asn
   M /trunk/epan/dissectors/packet-mms.c

Revert changes to have named bits in the bitstring of unknown length.
------------------------------------------------------------------------
r19953 | guy | 2006-11-21 13:49:58 -0800 (Tue, 21 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/reassemble.c

Fix pluralization of "bytes" so it doesn't say "1 bytes".

Clean up indentation.

------------------------------------------------------------------------
r19952 | sahlberg | 2006-11-21 13:11:18 -0800 (Tue, 21 Nov 2006) | 23 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

fix for bug 1226:
reported by Benjamin Meyer  

WireShark marks DCE RPC FACKs as "malformed" if they do not have a body.
According to DCE RPC Spec. 1.1 FACKs "may contain" a body PTU.

I am unable to build WireShark (lack of time to install all neccessary stuff)
but I looked at the SourceCode. I think, at least this has to be fixed:

file: epan/dissectors/packet-dcerpc.c
function: static gboolean dissect_dcerpc_dg (tvbuff_t *tvb, packet_info *pinfo,
proto_tree *tree)

*snip*
case PDU_FACK
dissect_dcerpc_dg_fack (tvb, offset, pinfo, dcerpc_tree, &hdr); 
break;
*snap*

I guess, it should look like "case PDU_NOCALL:" directly above.



------------------------------------------------------------------------
r19951 | etxrab | 2006-11-21 13:00:25 -0800 (Tue, 21 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acn.c
   M /trunk/epan/dissectors/packet-acn.h

From Bill Florac:
Here is a patch for the ACN dissector. It fixes a bug in
acn_add_expiry() and cleans up some cosmetic things.
------------------------------------------------------------------------
r19950 | guy | 2006-11-21 12:10:10 -0800 (Tue, 21 Nov 2006) | 15 lines
Changed paths:
   M /trunk/doc/README.developer

If you're doing TCP reassembly by hand rather than with
tcp_dissect_pdus(), pinfo->desegment_len indicates whether your
dissector needs more data from TCP or not - the return value doesn't
indicate that.

Fix typo.

It appears that the Id keyword is one of the case-insensitive ones in
the svn:keywords property, so if you set it to "ID" it still expands
"$Id: ChangeLog 20673 2007-02-01 20:26:28Z gerald $"; it also appears not to expand "$ID$".  We use Revision, Date,
and Author in the document to indicate the revision, and don't expand
Id, so that references to "$Id: ChangeLog 20673 2007-02-01 20:26:28Z gerald $" get left alone.

Rewrap paragraphs.

------------------------------------------------------------------------
r19949 | jake | 2006-11-21 06:18:46 -0800 (Tue, 21 Nov 2006) | 2 lines
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/docbook/wsdg_src/WSDG_chapter_dissection.xml
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tcp.h

Correct comments and examples on get_pdu_len().

------------------------------------------------------------------------
r19948 | morriss | 2006-11-21 05:37:13 -0800 (Tue, 21 Nov 2006) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Japan SS7 variant to list of things I contributed (and verify this whole commit thing works :-))
------------------------------------------------------------------------
r19947 | sahlberg | 2006-11-21 01:18:28 -0800 (Tue, 21 Nov 2006) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

Patrick vd Lageweg <patrick@bitwizard.nl> 

Hi,

The rease/release commands are also usable on SSC devices. This patch adds them to the valid SSC command.

 ?\194?\160 ?\194?\160 ?\194?\160 ?\194?\160Patrick
_______________________________________________


------------------------------------------------------------------------
r19946 | sahlberg | 2006-11-21 00:53:11 -0800 (Tue, 21 Nov 2006) | 15 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rpc.h


From: Burlyga, Alex

Hi,

Attached is a patch for packet-rpc.c and packet-rpc.h.
Update support for pseudo-flavors that used in RPCSEC_GSS
Also fixed a problem where rpc.reqframe and rpc.repframe where
reversed.

Alex.




------------------------------------------------------------------------
r19945 | sahlberg | 2006-11-21 00:44:21 -0800 (Tue, 21 Nov 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kpasswd.c

the result code, encoded within the userdata is in network byte order not little endian.

this makes a difference for the cases where the result code is not KPASSWD_SUCCESS == 0x0000



------------------------------------------------------------------------
r19944 | gerald | 2006-11-20 17:27:29 -0800 (Mon, 20 Nov 2006) | 4 lines
Changed paths:
   M /trunk/gtk/main.c

If a user starts typing text in the main window, append it to the
display filter instead of replacing it.  Check for a valid character
with a simple isprint() instead of a giant boolean expression paragraph.

------------------------------------------------------------------------
r19943 | ulfl | 2006-11-20 16:45:38 -0800 (Mon, 20 Nov 2006) | 1 line
Changed paths:
   M /trunk/file.c
   M /trunk/gtk/main.c

while loading a huge capture file, enable the main window to show packets rushing into the packet list
------------------------------------------------------------------------
r19942 | ulfl | 2006-11-20 16:40:36 -0800 (Mon, 20 Nov 2006) | 1 line
Changed paths:
   M /trunk/gtk/progress_dlg.c

flush out the main event loop at dialog creation, so we don't see an empty dialog until the first update
------------------------------------------------------------------------
r19941 | guy | 2006-11-20 16:36:35 -0800 (Mon, 20 Nov 2006) | 3 lines
Changed paths:
   M /trunk/dftest.c

Use the <name> convention for command-line arguments in the usage
message.

------------------------------------------------------------------------
r19940 | guy | 2006-11-20 16:30:36 -0800 (Mon, 20 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/epan.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

We also need the memory allocation subsystem initialized in anything
that uses libwireshark.

------------------------------------------------------------------------
r19939 | guy | 2006-11-20 16:16:44 -0800 (Mon, 20 Nov 2006) | 5 lines
Changed paths:
   M /trunk/epan/epan.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Call guids_init() in epan_init(), so anything that needs libwireshark -
including dftest - will get the GUID table initialized (which anything
that needs libwireshark needs to have happen, so dissectors can register
GUIDs in that table).

------------------------------------------------------------------------
r19938 | guy | 2006-11-20 16:00:26 -0800 (Mon, 20 Nov 2006) | 2 lines
Changed paths:
   M /trunk/tshark.c

Squelch a compiler warning.

------------------------------------------------------------------------
r19937 | jake | 2006-11-20 11:39:19 -0800 (Mon, 20 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

Fix for bug 1235. Elapsed time is in 10ms units.
------------------------------------------------------------------------
r19936 | martinm | 2006-11-20 06:53:22 -0800 (Mon, 20 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/proto.c

Make FT_STRINGZ items work as apply/prepare as filter menu items
------------------------------------------------------------------------
r19935 | gerald | 2006-11-19 15:23:53 -0800 (Sun, 19 Nov 2006) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

Add exclamation and left parenthesis to the display filter keystroke
catcher.

------------------------------------------------------------------------
r19934 | ulfl | 2006-11-19 09:02:31 -0800 (Sun, 19 Nov 2006) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake

if the WIRESHARK_LIBS dir isn't already existing, create it

this fixes problems discussed earlier on the list with cygpath
------------------------------------------------------------------------
r19933 | ulfl | 2006-11-19 08:49:58 -0800 (Sun, 19 Nov 2006) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

fix clean_setup target
------------------------------------------------------------------------
r19932 | etxrab | 2006-11-19 08:24:18 -0800 (Sun, 19 Nov 2006) | 1 line
Changed paths:
   M /trunk/tools/lemon/lemon.c
   M /trunk/tools/lemon/lempar.c

Update to the latest versions from sqlite.
------------------------------------------------------------------------
r19931 | sfisher | 2006-11-18 23:41:25 -0800 (Sat, 18 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

Fix for bug #1126.  In the SSL dissector, don't just check if we're allowed
to desegment, but also check if we need to before attempting it. 


------------------------------------------------------------------------
r19930 | gerald | 2006-11-18 09:17:28 -0800 (Sat, 18 Nov 2006) | 3 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_use.xml
   M /trunk/gtk/main.c

If the user starts typing ([a-zA-Z0-9]) anywhere in the main window, start
filling in a display filter.

------------------------------------------------------------------------
r19929 | ulfl | 2006-11-18 04:30:58 -0800 (Sat, 18 Nov 2006) | 1 line
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_use.xml

fix validity of document
------------------------------------------------------------------------
r19928 | gerald | 2006-11-17 21:19:40 -0800 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /trunk/gtk/packet_list.c

Don't try to set focus on NULL.

------------------------------------------------------------------------
r19927 | gerald | 2006-11-17 21:12:55 -0800 (Fri, 17 Nov 2006) | 2 lines
Changed paths:
   M /trunk/gtk/packet_list.c

GTK1 doesn't have gtk_window_get_focus.

------------------------------------------------------------------------
r19926 | gerald | 2006-11-17 21:05:18 -0800 (Fri, 17 Nov 2006) | 3 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_use.xml
   M /trunk/gtk/main.c

Make F8 and F7 move to the next and previous packets, which adds
compatibility with a different analyzer.

------------------------------------------------------------------------
r19925 | ulfl | 2006-11-17 19:37:34 -0800 (Fri, 17 Nov 2006) | 3 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

both recent fixes of warnings don't compile on Win32, inttypes.h is not available and PRId64 is not defined in the config.h.win32.

As discussed in a seperate thread the PRId64 should not be required.
------------------------------------------------------------------------
r19924 | gerald | 2006-11-17 17:47:49 -0800 (Fri, 17 Nov 2006) | 10 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_use.xml
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/menu.c
   M /trunk/gtk/packet_list.c
   M /trunk/gtk/packet_list.h
   M /trunk/gtk/proto_draw.c

Add additional keyboard navigation: Ctrl+Up & Ctrl+Down (under the "Go"
menu) move to the previous and next packet even if the packet list isn't
in focus (specifically, the packet detail will stay in focus if that was
already the case).  Make the return and enter keys toggle tree items in
the packet detail and the backspace key jump to the parent node.  Add a
navigation section to the User's Guide.

Make SIGNAL_EMIT_BY_NAME a simple #define, so that we can feed it
multiple arguments.  Fix up whitespace.

------------------------------------------------------------------------
r19923 | ulfl | 2006-11-17 14:48:21 -0800 (Fri, 17 Nov 2006) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

add the /LARGEADDRESSAWARE to the link process of Wireshark(2) and Tshark. See http://msdn.microsoft.com/library/default.asp?url=/library/en-us/memory/base/physical_address_extension.asp how to enable 3GB support on several Windows versions - I will update the OutOfMemory Wiki page accordingly
------------------------------------------------------------------------
r19922 | ulfl | 2006-11-17 14:38:34 -0800 (Fri, 17 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-lldp.c

add dissection for PROFINET "PTCP Status"
------------------------------------------------------------------------
r19921 | martinm | 2006-11-17 08:33:43 -0800 (Fri, 17 Nov 2006) | 1 line
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Try to squash 2 more warnings seen on buildot
------------------------------------------------------------------------
r19920 | jmayer | 2006-11-17 01:29:36 -0800 (Fri, 17 Nov 2006) | 25 lines
Changed paths:
   M /trunk/tools/pidl/lib/Parse/Pidl/NDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/EJS.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/Header.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/NDR/Parser.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Wireshark/NDR.pm
   M /trunk/tools/pidl/tests/parse_idl.pl

Update from samba tree revision 19744 to 19759
============================ Samba log start ============
------------------------------------------------------------------------
r19751 | jelmer | 2006-11-16 23:11:32 +0100 (Thu, 16 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/tests/parse_idl.pl

Add some tests for parsing the "include", "import" and "importlib" statements.

------------------------------------------------------------------------
r19752 | jelmer | 2006-11-16 23:13:44 +0100 (Thu, 16 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/NDR.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Samba4/EJS.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Samba4/Header.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Samba4/NDR/Parser.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Remove support for the `depends' attribute (use "import") instead.

------------------------------------------------------------------------
------------------------------------------------------------------------
============================ Samba log end ==============


------------------------------------------------------------------------
r19919 | jake | 2006-11-16 23:44:37 -0800 (Thu, 16 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/gtk/prefs_dlg.c

Fix build
------------------------------------------------------------------------
r19918 | ulfl | 2006-11-16 19:08:09 -0800 (Thu, 16 Nov 2006) | 1 line
Changed paths:
   M /trunk/gtk/prefs_dlg.c

code cleanup
------------------------------------------------------------------------
r19917 | sfisher | 2006-11-16 17:52:15 -0800 (Thu, 16 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ses.c


Improve the heuristics of the SES dissector some more in response to bug #1229


------------------------------------------------------------------------
r19916 | ulfl | 2006-11-16 17:24:03 -0800 (Thu, 16 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/prefs-int.h
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h

various minor prefs code cleanup
------------------------------------------------------------------------
r19915 | gerald | 2006-11-16 14:27:47 -0800 (Thu, 16 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radiotap.c

David Young pointed out that we weren't aligning fields according to the
radiotap specification.  Do so.  Add fields for FHSS and Transmit
attenuation (untested).

------------------------------------------------------------------------
r19914 | jmayer | 2006-11-16 13:57:31 -0800 (Thu, 16 Nov 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/efs.idl
   M /trunk/epan/dissectors/pidl/eventlog.idl
   M /trunk/epan/dissectors/pidl/srvsvc.idl
   M /trunk/epan/dissectors/pidl/winreg.idl
   M /trunk/epan/dissectors/pidl/wkssvc.idl

Jelmer Vernooij:

The attached patch replace the use of 'depends()' with "import" (the
latter is a standard IDL statement).


------------------------------------------------------------------------
r19913 | etxrab | 2006-11-16 13:11:26 -0800 (Thu, 16 Nov 2006) | 2 lines
Changed paths:
   M /trunk/tools/win32-setup.sh

Temporrary change to force the buildbot to update the libraries as  I suspect there are left
over old files.
------------------------------------------------------------------------
r19912 | ulfl | 2006-11-16 12:13:26 -0800 (Thu, 16 Nov 2006) | 3 lines
Changed paths:
   M /trunk/gtk/win32-file-dlg.c

fix an annoying behaviour: If we save a capture file, let the default be the current file format - as we do it in the GTK version. The former implementation just defaulted to libpcap all the time, which is especially ugly if you use a file format that provides nanosecond time resolution - you're losing information :-(

Interestingly the implementation was half way there, but not really working as expected.
------------------------------------------------------------------------
r19911 | ulfl | 2006-11-16 12:08:13 -0800 (Thu, 16 Nov 2006) | 1 line
Changed paths:
   M /trunk/gtk/gtkvumeter.h

(hopefully) fix the recently discussed warnings where CLAMP() is called with a value being 0
------------------------------------------------------------------------
r19910 | gerald | 2006-11-16 10:28:09 -0800 (Thu, 16 Nov 2006) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Add comments to the indentation style section.

------------------------------------------------------------------------
r19909 | martinm | 2006-11-16 06:35:52 -0800 (Thu, 16 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-multipart.c

Make multipart part a proper field, and append contained content-type to
it label to make it easier to find the part you're looking for.

------------------------------------------------------------------------
r19908 | sfisher | 2006-11-15 23:04:02 -0800 (Wed, 15 Nov 2006) | 5 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   M /trunk/gtk/prefs_dlg.c

Fix for bug 948, "Apply capture preferences not applying."  Now when the user
changes a capture option in the preferences, it will show up right away in
the capture options dialog.


------------------------------------------------------------------------
r19907 | ulfl | 2006-11-15 15:48:56 -0800 (Wed, 15 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/emem.c

fix a warning
------------------------------------------------------------------------
r19906 | ulfl | 2006-11-15 15:43:16 -0800 (Wed, 15 Nov 2006) | 1 line
Changed paths:
   M /trunk/gtk/funnel_stat.c

fix a warning
------------------------------------------------------------------------
r19905 | ulfl | 2006-11-15 15:33:39 -0800 (Wed, 15 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/prefs-int.h
   M /trunk/epan/prefs.c
   M /trunk/gtk/recent.c

add a "private_data" pointer to the read_prefs_file() function, which will be "tunneled" to the callback function. This seems to be generally a good idea - as a lot of GLib/GTK function doing similiar and I'll need this for the upcoming update mechanisms.
------------------------------------------------------------------------
r19904 | jake | 2006-11-15 12:55:46 -0800 (Wed, 15 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-omapi.c

Adding ISC Object Management API dissector
------------------------------------------------------------------------
r19903 | lego | 2006-11-15 10:40:37 -0800 (Wed, 15 Nov 2006) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xml.c
   M /trunk/epan/dtd_parse.l

 solve both issues pointed out in:
    http://wireshark.org/lists/ethereal-dev/200605/msg02351.html

- dtd_parse.l:
   be more liberal on what a name can be (a number now can be a name)

- packet-xml.c
  if proto-name is given use it instead of the root element name as prefix for generated fields


------------------------------------------------------------------------
r19902 | martinm | 2006-11-15 10:20:03 -0800 (Wed, 15 Nov 2006) | 1 line
Changed paths:
   M /trunk/dtds/mscml.dtd

Propset
------------------------------------------------------------------------
r19901 | martinm | 2006-11-15 09:27:04 -0800 (Wed, 15 Nov 2006) | 6 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/dtds/mscml.dtd
   M /trunk/packaging/nsis/wireshark.nsi

From Olivier Jacques:

Here is a DTD for the MSCML protocol, draft-07. This implementation is not entirely up-to-date (draft-09 is out), but this is a good base to start from.
 
I updated the WIKI with info, snapshot and sample capture: http://wiki.wireshark.org/MSCML

------------------------------------------------------------------------
r19900 | etxrab | 2006-11-14 23:04:22 -0800 (Tue, 14 Nov 2006) | 1 line
Changed paths:
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/epan/dissectors/packet-h245.c

Add OID translation for some more Generic codecs.
------------------------------------------------------------------------
r19899 | sfisher | 2006-11-14 22:46:11 -0800 (Tue, 14 Nov 2006) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c


Fix problem reported on -dev list by Frank Maerz with Wireshark crashing
when it encountered a proxy http connect to port 80.  This was caused by
the dissector calling itself over and over.  Now if the connect to port is
one of the defined http ports, it calls the data dissector.


------------------------------------------------------------------------
r19898 | sfisher | 2006-11-14 14:53:24 -0800 (Tue, 14 Nov 2006) | 5 lines
Changed paths:
   M /trunk/gtk/follow_dlg.c


A fix bug #1138: "Follow TCP Streams gets stream direction wrong if started
from a server->client frame."


------------------------------------------------------------------------
r19897 | sfisher | 2006-11-14 14:35:22 -0800 (Tue, 14 Nov 2006) | 6 lines
Changed paths:
   M /trunk/cfile.h
   M /trunk/file.c
   M /trunk/gtk/main.c
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/proto_draw.h


New feature to automatically highlight the field found when doing a find.
This works for both string and hex searches.  This resolves feature request
bug #776.


------------------------------------------------------------------------
r19896 | sfisher | 2006-11-14 13:28:44 -0800 (Tue, 14 Nov 2006) | 3 lines
Changed paths:
   M /trunk/plugins
   M /trunk/tools

Add svn:ignore to tools/TAGS and plugins/TAGS


------------------------------------------------------------------------
r19895 | jmayer | 2006-11-14 12:32:29 -0800 (Tue, 14 Nov 2006) | 5 lines
Changed paths:
   M /trunk/asn1/disp/packet-disp-template.c
   M /trunk/editcap.c
   M /trunk/epan/dissectors/packet-cops.c
   M /trunk/epan/dissectors/packet-dcm.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-ipdc.c
   M /trunk/epan/dissectors/packet-nhrp.c
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/expert_dlg.c
   M /trunk/gtk/funnel_stat.c
   M /trunk/gtk/t38_analysis.c
   M /trunk/gtk/voip_calls_dlg.c
   M /trunk/tools/lemon/lemon.c

nikai@nikai.net:

Remaining fixes from:
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1225

------------------------------------------------------------------------
r19894 | jmayer | 2006-11-14 12:08:44 -0800 (Tue, 14 Nov 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/getopt.c
   M /trunk/gtk/rtp_analysis.c

nikai@nikai.net:
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1225

Attempting a simple cleanup of duplicated includes, will attach patch.


------------------------------------------------------------------------
r19893 | jmayer | 2006-11-14 12:01:41 -0800 (Tue, 14 Nov 2006) | 4 lines
Changed paths:
   M /trunk/Makefile.am

didier gautheron:
	idl2wrs.sh is a generated file.


------------------------------------------------------------------------
r19892 | martinm | 2006-11-14 05:45:35 -0800 (Tue, 14 Nov 2006) | 1 line
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Fix possible build error + warnings seen on buildbot
------------------------------------------------------------------------
r19891 | martinm | 2006-11-14 04:06:11 -0800 (Tue, 14 Nov 2006) | 4 lines
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

- Use 64-bit indexes into file for packet locations (was previously casting index to and from void*) - this should allow very large files to be used
- The characters between the timestamp and start of data are almost always " l ", optimise memory usage in this case
- Rename hash table for clarity

------------------------------------------------------------------------
r19890 | etxrab | 2006-11-13 22:31:47 -0800 (Mon, 13 Nov 2006) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/packaging/nsis/wireshark.nsi

Add SIP application AVP:s.
------------------------------------------------------------------------
r19889 | etxrab | 2006-11-13 22:14:20 -0800 (Mon, 13 Nov 2006) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml
   M /trunk/diameter/mobileipv4.xml
   A /trunk/diameter/sip.xml

Add SIP application AVP:s (Incomplete) and sortmobileipv4 in numerical order.
------------------------------------------------------------------------
r19888 | etxrab | 2006-11-13 22:00:48 -0800 (Mon, 13 Nov 2006) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

From Simon Munton as pointed out by Stephen Fisher:
patch on bug #220 (to main.c. 
the second part to packet_list.c was done separately for bug 1159 in rev 19735).  That patch fixes bug #1205 coincidentally.
------------------------------------------------------------------------
r19887 | etxrab | 2006-11-13 21:49:59 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tipc.c

From martin Peylo:
This patch changes the name of "Link Configuration" Packets to "Neighbour Discovery" - as preferred by the creator of TIPC - and shows the TIPC src/dst in the columns instead of the MAC address for those packages.
------------------------------------------------------------------------
r19886 | etxrab | 2006-11-13 21:47:57 -0800 (Mon, 13 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ses.c

From Stephen Fisher:
a new more accurate fix for bug #1163.  Thanks to Graeme Lunt for pointing out that the first patch broke a different capture with legitimate SES data in it.  My patch also corrects the check for number of bytes existing from 4 to 2 as the minimum length of an SES PDU is only 2 bytes: 1 byte type, 1 byte length.
------------------------------------------------------------------------
r19885 | etxrab | 2006-11-13 21:45:28 -0800 (Mon, 13 Nov 2006) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcp.c

This is Gerrit Renker code which:

       * makes checksum computation dependent
         upon the header CsCov field (cf. RFC 4340, 5.1)
       * removes the case where checksums are zero
         (unlike UDP/packet-udp, from which the code stems,
          zero checksums are illegal in DCCP (as in TCP))
       * fixes a minor typo - missing bitshift of the
         CCVal field
------------------------------------------------------------------------
r19884 | ashokn | 2006-11-13 09:30:38 -0800 (Mon, 13 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-rsvp.h

Add support for IPv4-Aggregate session/template/filter types.



------------------------------------------------------------------------
r19883 | gerald | 2006-11-12 17:15:56 -0800 (Sun, 12 Nov 2006) | 3 lines
Changed paths:
   M /trunk/image/make-icons
   M /trunk/image/wsicon16.xpm
   M /trunk/image/wsicon32.xpm
   M /trunk/image/wsicon48.xpm
   M /trunk/image/wsicon64.xpm
   M /trunk/image/wsiconcap16.xpm
   M /trunk/image/wsiconcap32.xpm
   M /trunk/image/wsiconcap48.xpm

Set a transparency threshold for the XPM icons.  Have the make-icons script
constify the XPMs.

------------------------------------------------------------------------
r19882 | guy | 2006-11-12 15:42:08 -0800 (Sun, 12 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

Mark Krochmal says that the class field should be treated in mDNS as a
flag and a 15-bit field even for OPT RRs.

------------------------------------------------------------------------
r19881 | guy | 2006-11-12 14:35:21 -0800 (Sun, 12 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

Flag the question as a "QM" question if the QU flag isn't set.

------------------------------------------------------------------------
r19880 | etxrab | 2006-11-12 14:18:50 -0800 (Sun, 12 Nov 2006) | 9 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/tools/win32-setup.sh

Update to use the latest gtk 2.8 glib and pango libraries.
Note from a mail on gtk dev list:
-rwxr-xr-x    1 tml      Administ   224510 Oct  3 18:35 libpango-1.0-0.dll
-rwxr-xr-x    1 tml      Administ    37952 Oct  3 18:35 libpangocairo-1.0-0.dll
-rwxr-xr-x    1 tml      Administ    58749 Oct  3 18:35 libpangowin32-1.0-0.dll

(That's the relevant DLLs from the "bin" folder in Pango 1.14.5, where
the module(s) are built-in into the DLLs, so no
lib/pango/1.5.0/modules folder is needed.)
------------------------------------------------------------------------
r19879 | guy | 2006-11-12 14:12:39 -0800 (Sun, 12 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

mDNS treats the class field as a flag bit and 15 bits of class; display
it as such.

------------------------------------------------------------------------
r19878 | gerald | 2006-11-11 16:52:05 -0800 (Sat, 11 Nov 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-radiotap.c
   M /trunk/wiretap/libpcap.c

Add a plain "radiotap.channel" field to the radiotap dissector.
Check for an invalid channel frequency.  Pass the channel, data rate,
and quality to the 802.11 dissector, so that they show up there
as well.  Clean up whitespace.

------------------------------------------------------------------------
r19877 | sahlberg | 2006-11-11 14:39:25 -0800 (Sat, 11 Nov 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/emem.c
   M /trunk/epan/emem.h

fix so that tcp.pdu.time works again.
it broken in one of the previous bugfixes to tcp

add a function to print an emem tree to the console for easier emem tree debugging


------------------------------------------------------------------------
r19876 | ulfl | 2006-11-10 17:29:43 -0800 (Fri, 10 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-lldp.c

add dissection of PROFINET "MRP Port Status"
------------------------------------------------------------------------
r19875 | sahlberg | 2006-11-10 15:36:57 -0800 (Fri, 10 Nov 2006) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-nfs.c

From Alex B


Added support for upcoming Netapp's ONTAP-GX nfsv3 filehandle.

Alex.




------------------------------------------------------------------------
r19874 | sahlberg | 2006-11-10 12:53:42 -0800 (Fri, 10 Nov 2006) | 8 lines
Changed paths:
   M /trunk/epan/req_resp_hdrs.c

fix for bug 1142


if we dont have a content-length   but we do have a keepalive in the header then we should not do reassemble-until-fin.

convert some tvb_get_String into tvb_get_ephemeral_string at the same time


------------------------------------------------------------------------
r19873 | martinm | 2006-11-10 04:06:10 -0800 (Fri, 10 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-umts_fp.c

Fix test
------------------------------------------------------------------------
r19872 | martinm | 2006-11-09 08:46:58 -0800 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Use value_string for info column.  Also use fences to handle compound packets
------------------------------------------------------------------------
r19871 | martinm | 2006-11-09 08:35:12 -0800 (Thu, 09 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/epan/dissectors/packet-umts_fp.c

Make it easier to track user-buffer-space vs capacity requests for HSDPA calls
------------------------------------------------------------------------
r19870 | jake | 2006-11-09 04:27:52 -0800 (Thu, 09 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hpsw.c

Improve HP Switch Protocol Dissection.

------------------------------------------------------------------------
r19869 | etxrab | 2006-11-08 13:28:03 -0800 (Wed, 08 Nov 2006) | 1 line
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

Sorry that should have been static int. Corrcted now.
------------------------------------------------------------------------
r19868 | jmayer | 2006-11-08 05:59:46 -0800 (Wed, 08 Nov 2006) | 1 line
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

Make Wireshark build on my system (gcc 4.1.0) again
------------------------------------------------------------------------
r19867 | etxrab | 2006-11-07 22:57:29 -0800 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /trunk/asn1/h248/Makefile
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h

Use h248v3.asn.
------------------------------------------------------------------------
r19866 | jmayer | 2006-11-07 16:10:09 -0800 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /trunk/asn1/h248/h248.cnf
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h

Make things build on my system again
------------------------------------------------------------------------
r19865 | guy | 2006-11-07 13:27:52 -0800 (Tue, 07 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aim-sst.c

The tvb_ensure_length_remaining() calls aren't needed - we want an
exception to be thrown if all the data for the icon isn't there, so the
packet gets marked as incomplete.

------------------------------------------------------------------------
r19864 | guy | 2006-11-07 13:04:41 -0800 (Tue, 07 Nov 2006) | 7 lines
Changed paths:
   M /trunk/print.c

Revert the previous changes - the problem Paul Blankenbaker was fixing
was really a problem with bytes_repr_len() and zero-length FT_BYTES
fields, and it's not clear what to do about fields that have zero
length.  (Put in a comment about that.)

Clean up indentation a bit.

------------------------------------------------------------------------
r19863 | guy | 2006-11-07 12:30:34 -0800 (Tue, 07 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-bytes.c

Fix bytes_repr_len() to correctly handle a zero-length FT_BYTES field

------------------------------------------------------------------------
r19862 | guy | 2006-11-07 11:49:58 -0800 (Tue, 07 Nov 2006) | 11 lines
Changed paths:
   M /trunk/print.c

Based on a change from Paul Blankenbaker, make the "show" attribute for
a field an empty string if the field is zero-length; for some reason,
the existing code doesn't handle that correctly.

Also, the NetPDL Visualization Extension:

	http://www.nbee.org/Docs/NetPDL/NetPDLVisualization.htm

seems to imply that "value" has to be present, so display it even if the
field is zero-length.

------------------------------------------------------------------------
r19861 | etxrab | 2006-11-07 11:25:59 -0800 (Tue, 07 Nov 2006) | 3 lines
Changed paths:
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/h248v3.asn
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h

Fix bug http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1206
MEGACO message cannot be decoded correctly for ServiceChange Command
And decoding of serviceChangeReason.
------------------------------------------------------------------------
r19860 | guy | 2006-11-07 11:25:32 -0800 (Tue, 07 Nov 2006) | 4 lines
Changed paths:
   M /trunk/wiretap/README.developer

Update to describe all that the read routine needs to return, and to
indicate what the seek_read routine needs to do and that you *have* to
have a seek_read routine.

------------------------------------------------------------------------
r19859 | sahlberg | 2006-11-07 05:19:31 -0800 (Tue, 07 Nov 2006) | 15 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tcp.h
   M /trunk/epan/packet_info.h
   M /trunk/epan/req_resp_hdrs.c

fix for bug 1200


there used to be a bug in tcp reassembly that even if the dissector only asked for x more bytes from the next segment   the entire segment would still be added to reassembly.
this caused some issues when there was a new multisegment pdu that started at the end of the segment   but this bug was fixed when tcp reassembly was refactored semi-recently.


there was also another "bug" in the http reassembly that it would only ask for one more byte at a time when doing reassembly.
this did work well however when we still had the bug in tcp reassembly   but made wireshark become very very very slow once this tcp bug was fixed  since it is very very very slow to reassemble a huge http pdu just one byte at a time.


this patch adds partial support (what we need for http   which does not use tcp_dissect_pdus() ) for the desegmentation flag : DESEGMENT_ONE_MORE_SEGMENT and also to the http dissector   so that reassembly of http headers spanning multiple semgents now become fast again



------------------------------------------------------------------------
r19858 | jmayer | 2006-11-07 02:55:12 -0800 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/Makefile.am

Another packet-acn.c leftover
------------------------------------------------------------------------
r19857 | guy | 2006-11-07 01:50:09 -0800 (Tue, 07 Nov 2006) | 16 lines
Changed paths:
   M /trunk/capture_loop.c

As Ulf Lamping notes:

	if the pipename argument to cap_pipe_open_live() is null, that's
	a bug, and we want a crash so it's caught;

	if ld->pcap_h is null in capture_loop_dispatch(), that's a bug,
	and we want a crash so it's caught;

	if capture_opts is null in capture_loop_start(), that's a bug,
	and we want a crash so it's caught;

	there's no need to null out capture_opts->save_file twice.

Also, errmsg and secondary_errmsg are null-terminated strings, so the
array size should be the maximum length + 1.

------------------------------------------------------------------------
r19856 | ulfl | 2006-11-07 01:36:26 -0800 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

don't copy mibs.txt files to mibs, but to snmp\mibs
------------------------------------------------------------------------
r19855 | guy | 2006-11-07 01:12:30 -0800 (Tue, 07 Nov 2006) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Add Yet Another Portability Recommendation.

------------------------------------------------------------------------
r19854 | guy | 2006-11-07 01:06:53 -0800 (Tue, 07 Nov 2006) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acn.c
   M /trunk/epan/dissectors/packet-acn.h

Bitfields are bad - the C language spec does *NOT* guarantee which bits
will correspond to which bit fields.  Don't use them.

Use #defines rather than numbers in the appropriate places.

Constify some arguments.

Get rid of C++ comments.

------------------------------------------------------------------------
r19853 | jmayer | 2006-11-07 00:41:46 -0800 (Tue, 07 Nov 2006) | 18 lines
Changed paths:
   M /trunk/Makefile.am

albert chin:

version_info.c has:
  #ifdef HAVE_LIBGCRYPT
  #include <gcrypt.h>
  #endif /* HAVE_LIBGCRYPT */

  #ifdef HAVE_LIBGNUTLS
  #include <gnutls/gnutls.h>
  #endif /* HAVE_LIBGNUTLS */

However, Makefile.am doesn't include the necessary CPPFLAGS/LDFLAGS to
resolve symbols from the above. Patch attached.


Note: dumpcap should not need to be linked to gnutls, but that's a
problem with the version infrastructure.

------------------------------------------------------------------------
r19852 | sahlberg | 2006-11-07 00:33:24 -0800 (Tue, 07 Nov 2006) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-usb.c
   M /trunk/epan/dissectors/packet-usb.h

from albert chin



The Solaris C compiler, among others, do not allow anonymous unions.
Patch attached.



thanks albert


------------------------------------------------------------------------
r19851 | guy | 2006-11-07 00:19:57 -0800 (Tue, 07 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/README

You run perl, not make, on Makefile.PL files.

------------------------------------------------------------------------
r19850 | jmayer | 2006-11-07 00:04:11 -0800 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/unicode-utils.c

Warning fix about empty source file
------------------------------------------------------------------------
r19849 | jmayer | 2006-11-07 00:00:30 -0800 (Tue, 07 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-nspi.c

regenerate with news pidl
------------------------------------------------------------------------
r19848 | jmayer | 2006-11-06 23:58:01 -0800 (Mon, 06 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/pidl/nspi

Update svn:ignore
------------------------------------------------------------------------
r19847 | jmayer | 2006-11-06 23:57:07 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/nspi/Makefile

Update to use --includedir instead of copying idl_types.h.

------------------------------------------------------------------------
r19846 | jmayer | 2006-11-06 23:52:53 -0800 (Mon, 06 Nov 2006) | 47 lines
Changed paths:
   M /trunk/tools/pidl/idl.yp
   M /trunk/tools/pidl/lib/Parse/Pidl/IDL.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/NDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/ODL.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/EJS.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/Header.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/NDR/Parser.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Updated to revision 19604.
Update from samba tree revision 19582 to 19604
============================ Samba log start ============
------------------------------------------------------------------------
r19585 | jelmer | 2006-11-06 22:54:19 +0100 (Mon, 06 Nov 2006) | 10 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/idl.yp
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/IDL.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/NDR.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/ODL.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Samba4/EJS.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Samba4/Header.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Samba4/NDR/Parser.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Add support for some more standard IDL instructions:
 - `include' (replaces helper())
 - `import' (replaces depends())

Add support for parsing importlib() - importlib() is now ignored (with a
warning), but no longer causes syntax errors.

helper() and depends() are now marked deprecated and will cause warnings.


------------------------------------------------------------------------
r19588 | jelmer | 2006-11-06 23:54:49 +0100 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/idl.yp
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/IDL.pm
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Samba4/Header.pm

Use include and import statements rather than depends() and helper().

------------------------------------------------------------------------
r19599 | jelmer | 2006-11-07 02:00:27 +0100 (Tue, 07 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/idl.yp
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/IDL.pm

Fix --includedir.

------------------------------------------------------------------------
------------------------------------------------------------------------
============================ Samba log end ==============


------------------------------------------------------------------------
r19845 | jmayer | 2006-11-06 23:47:49 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/gtk/funnel_stat.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/sctp_stat.h

Warning fixes (void) instead of (), no newline at end of file.

------------------------------------------------------------------------
r19844 | jake | 2006-11-06 23:39:16 -0800 (Mon, 06 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-fcswils.c
   M /trunk/gtk/sctp_graph_dlg.c

From Albert Chin:
Patch attached to convert usage of ntohl() -> g_ntohl(). On HP-UX,
ntohl() isn't available unless you -D_XOPEN_SOURCE_EXTENDED but there
are other uses of g_ntohl().
------------------------------------------------------------------------
r19843 | guy | 2006-11-06 16:56:45 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/packaging/u3/win32/makefile.nmake

Get rid of another ACN reference.

------------------------------------------------------------------------
r19842 | guy | 2006-11-06 16:56:04 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake

Get rid of another ACN reference.

------------------------------------------------------------------------
r19841 | guy | 2006-11-06 16:55:14 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Get rid of more ACN plugin references.

------------------------------------------------------------------------
r19840 | guy | 2006-11-06 16:54:01 -0800 (Mon, 06 Nov 2006) | 7 lines
Changed paths:
   M /trunk/plugins/Makefile.nmake

Split the ".." and subdirectory into two separate "cd"s, in the hopes of
reducing the chances that, if a plugin is removed, an extra ".."
reference will be left in.

Get rid of the extra ".."s that were left in when the ACN plugin was
recently removed.

------------------------------------------------------------------------
r19839 | ulfl | 2006-11-06 15:59:49 -0800 (Mon, 06 Nov 2006) | 1 line
Changed paths:
   M /trunk/color_filters.c

fix 1203 as found by stephen fisher
------------------------------------------------------------------------
r19838 | gerald | 2006-11-06 15:38:35 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/plugins/Makefile.nmake

Remove ACN references.

------------------------------------------------------------------------
r19837 | gerald | 2006-11-06 15:08:11 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.in

Fix an inadvertent change.

------------------------------------------------------------------------
r19836 | gerald | 2006-11-06 15:04:53 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/configure.in

Remove ACN.

------------------------------------------------------------------------
r19835 | etxrab | 2006-11-06 12:49:47 -0800 (Mon, 06 Nov 2006) | 1 line
Changed paths:
   M /trunk/Makefile.nmake

Remove the references to acn
------------------------------------------------------------------------
r19834 | sahlberg | 2006-11-06 12:47:37 -0800 (Mon, 06 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-nspi.c
   M /trunk/epan/dissectors/packet-dcerpc-nspi.h
   M /trunk/epan/dissectors/pidl/nspi/nspi.idl

convert restrictiontype to be an enum


------------------------------------------------------------------------
r19833 | etxrab | 2006-11-06 12:36:43 -0800 (Mon, 06 Nov 2006) | 1 line
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/Makefile.nmake

Remove the references to acn
------------------------------------------------------------------------
r19832 | sahlberg | 2006-11-06 12:28:19 -0800 (Mon, 06 Nov 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-nspi.c
   M /trunk/epan/dissectors/pidl/nspi/Makefile
   M /trunk/epan/dissectors/pidl/nspi/nspi.cnf

building the nspi dissector depends also on the  nspi.cnf file,    add this dependency to the makefile


add tracking of policyhandles to the dissector


------------------------------------------------------------------------
r19831 | jmayer | 2006-11-06 12:21:02 -0800 (Mon, 06 Nov 2006) | 16 lines
Changed paths:
   M /trunk/tools/pidl/idl.yp
   M /trunk/tools/pidl/lib/Parse/Pidl/IDL.pm
   M /trunk/tools/pidl/pidl

Update from samba tree revision 19578 to 19582
============================ Samba log start ============
------------------------------------------------------------------------
r19580 | jelmer | 2006-11-06 21:01:22 +0100 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/idl.yp
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/IDL.pm
   M /branches/SAMBA_4_0/source/pidl/pidl

Add --includedir option.

------------------------------------------------------------------------
------------------------------------------------------------------------
============================ Samba log end ==============


------------------------------------------------------------------------
r19830 | sahlberg | 2006-11-06 12:13:32 -0800 (Mon, 06 Nov 2006) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-acn.c
   A /trunk/epan/dissectors/packet-acn.h
   D /trunk/plugins/acn

new acn dissector from Bill Florac


------------------------------------------------------------------------
r19829 | jmayer | 2006-11-06 11:58:06 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.h
   M /trunk/epan/dissectors/packet-radius.h

Fix some warnings about missing newline at end of file.

------------------------------------------------------------------------
r19828 | jmayer | 2006-11-06 11:56:11 -0800 (Mon, 06 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-gsm_a.c
   M /trunk/epan/dissectors/packet-msrp.c

Remove some // comments.
Fix a warning about nested comments.

------------------------------------------------------------------------
r19827 | jmayer | 2006-11-06 11:53:39 -0800 (Mon, 06 Nov 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-linx.c

Don't do forward declarations in the file. I'll try to eventually
put this stuff into an external file but just doing a forward
declaration to squelch a compiler warning isn't the way to go - it
needs to be done right one day.

------------------------------------------------------------------------
r19826 | jmayer | 2006-11-06 11:47:39 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   A /trunk/epan/dissectors/pidl/nspi/nspi.cnf

Copy over the nspi.cnf file which was recently added

------------------------------------------------------------------------
r19825 | jmayer | 2006-11-06 11:44:09 -0800 (Mon, 06 Nov 2006) | 14 lines
Changed paths:
   M /trunk/tools/pidl/lib/Parse/Pidl/Typelist.pm

Update from samba tree revision 19565 to 19578
============================ Samba log start ============
------------------------------------------------------------------------
r19572 | jelmer | 2006-11-06 15:07:20 +0100 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Typelist.pm

Fix typo.

------------------------------------------------------------------------
------------------------------------------------------------------------
============================ Samba log end ==============


------------------------------------------------------------------------
r19824 | lego | 2006-11-06 10:16:56 -0800 (Mon, 06 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/wslua/make-taps.pl

Avoid ${ename}[...] being interpreted as $ename[...].


------------------------------------------------------------------------
r19823 | jake | 2006-11-06 06:20:59 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Add image/wiresharkdoc.ico to the EXTRA_DIST symbol

------------------------------------------------------------------------
r19822 | jake | 2006-11-06 06:20:03 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/image/wiresharkdoc.ico

Remove the executable property from this datafile

------------------------------------------------------------------------
r19821 | jmayer | 2006-11-06 06:16:29 -0800 (Mon, 06 Nov 2006) | 5 lines
Changed paths:
   M /trunk/cmake/modules/Check64BitFormat.c.in

frederic heem:
Please find attached a patch to replace "#" with "*".
Check64BitFormat.c.in is a C file.


------------------------------------------------------------------------
r19820 | jake | 2006-11-06 04:58:14 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/image/wireshark.exe.manifest.in

Let the manifest state that we're Wireshark.

------------------------------------------------------------------------
r19819 | jake | 2006-11-06 04:19:26 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/epan/dissectors/packet-h248.c

Fix bug 1207, simple swap of the two text strings.

------------------------------------------------------------------------
r19818 | jake | 2006-11-06 03:41:02 -0800 (Mon, 06 Nov 2006) | 2 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

Don't remove a preference, make it obsolete instead.

------------------------------------------------------------------------
r19817 | sahlberg | 2006-11-06 01:30:15 -0800 (Mon, 06 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-osd.c

some compilers dont like unnamed unions and structs


------------------------------------------------------------------------
r19816 | ulfl | 2006-11-05 16:24:24 -0800 (Sun, 05 Nov 2006) | 1 line
Changed paths:
   M /trunk/wiretap/file_wrappers.c

fix the return value of file_seek, as noted by Steve
------------------------------------------------------------------------
r19815 | jmayer | 2006-11-05 15:33:28 -0800 (Sun, 05 Nov 2006) | 51 lines
Changed paths:
   M /trunk/tools/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Update from samba tree revision 19553 to 19565
============================ Samba log start ============
------------------------------------------------------------------------
r19553 | jelmer | 2006-11-04 16:40:05 +0100 (Sat, 04 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Typelist.pm

Add check for correct API usage.

------------------------------------------------------------------------
r19557 | jelmer | 2006-11-04 21:24:35 +0100 (Sat, 04 Nov 2006) | 3 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Fix lookup table for WERROR.
Fix perl warnings when using NTSTATUS as return type.

------------------------------------------------------------------------
r19559 | jelmer | 2006-11-04 22:53:00 +0100 (Sat, 04 Nov 2006) | 3 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Fix handling of types where the name isn't prefixed by the interface name.
Based on patch by Julien Kerihuel.

------------------------------------------------------------------------
r19560 | jelmer | 2006-11-05 01:03:44 +0100 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Fix handling of PARAM_VALUE.

------------------------------------------------------------------------
r19561 | jelmer | 2006-11-05 01:08:39 +0100 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Remove debug statement.

------------------------------------------------------------------------
r19562 | jelmer | 2006-11-05 01:26:44 +0100 (Sun, 05 Nov 2006) | 2 lines
Changed paths:
   M /branches/SAMBA_4_0/source/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Support returning simple scalars.

------------------------------------------------------------------------
------------------------------------------------------------------------
============================ Samba log end ==============


------------------------------------------------------------------------
r19814 | ulfl | 2006-11-05 14:46:44 -0800 (Sun, 05 Nov 2006) | 3 lines
Changed paths:
   M /trunk/capinfos.c
   M /trunk/capture_info.c
   M /trunk/cfile.h
   M /trunk/config.nmake
   M /trunk/editcap.c
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/frame_data.h
   M /trunk/file.c
   M /trunk/gtk/capture_file_dlg.c
   M /trunk/gtk/gsm_map_summary.c
   M /trunk/gtk/main.c
   M /trunk/gtk/mtp3_summary.c
   M /trunk/gtk/summary_dlg.c
   M /trunk/gtk/win32-file-dlg.c
   M /trunk/merge.h
   M /trunk/summary.h
   M /trunk/tshark.c
   M /trunk/wiretap/5views.c
   M /trunk/wiretap/airopeek9.c
   M /trunk/wiretap/ascend-grammar.y
   M /trunk/wiretap/ascend-int.h
   M /trunk/wiretap/ascend.c
   M /trunk/wiretap/ber.c
   M /trunk/wiretap/catapult_dct2000.c
   M /trunk/wiretap/cosine.c
   M /trunk/wiretap/csids.c
   M /trunk/wiretap/dbs-etherwatch.c
   M /trunk/wiretap/erf.c
   M /trunk/wiretap/etherpeek.c
   M /trunk/wiretap/eyesdn.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/file_wrappers.c
   M /trunk/wiretap/file_wrappers.h
   M /trunk/wiretap/hcidump.c
   M /trunk/wiretap/i4btrace.c
   M /trunk/wiretap/iptrace.c
   M /trunk/wiretap/iseries.c
   M /trunk/wiretap/k12.c
   M /trunk/wiretap/lanalyzer.c
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/netmon.c
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/network_instruments.c
   M /trunk/wiretap/netxray.c
   M /trunk/wiretap/ngsniffer.c
   M /trunk/wiretap/pppdump.c
   M /trunk/wiretap/radcom.c
   M /trunk/wiretap/snoop.c
   M /trunk/wiretap/toshiba.c
   M /trunk/wiretap/visual.c
   M /trunk/wiretap/vms.c
   M /trunk/wiretap/wtap-int.h
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

change all file offsets from long to gint64 so we can - theoretically - handle files > 2GB correct.

Please distclean Win32 builds!
------------------------------------------------------------------------
r19813 | jake | 2006-11-05 14:31:57 -0800 (Sun, 05 Nov 2006) | 4 lines
Changed paths:
   M /trunk/stat_menu.h

From Albert Chin
The IBM C compiler on AIX 4.3.3 doesn't accept a trailing comma after
the last enum definition. Patch attached for stat_menu.h

------------------------------------------------------------------------
r19812 | jake | 2006-11-05 10:26:21 -0800 (Sun, 05 Nov 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-hpext.c
   M /trunk/epan/dissectors/packet-hpext.h
   M /trunk/epan/dissectors/packet-hpsw.c

Add HP Switch Protocol SAP value
------------------------------------------------------------------------
r19811 | ulfl | 2006-11-05 05:47:17 -0800 (Sun, 05 Nov 2006) | 1 line
Changed paths:
   M /trunk/file.c

fix svn728: don't scroll down packet list while capturing, if no packets are newly displayed (happens when a display filter is active)
------------------------------------------------------------------------
r19810 | gal | 2006-11-05 04:15:52 -0800 (Sun, 05 Nov 2006) | 4 lines
Changed paths:
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/epan/dissectors/packet-ldap.c

Tidy up of information column for NTLM authentication.
Related to Bug 1148.


------------------------------------------------------------------------
r19809 | sahlberg | 2006-11-05 03:19:46 -0800 (Sun, 05 Nov 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-osd.c

we used the wrong offset for attribute lists,   fixed

add decoding for attribute lists for another instance where these blobs appear in the data in/out buffers


------------------------------------------------------------------------
r19808 | sahlberg | 2006-11-05 02:48:53 -0800 (Sun, 05 Nov 2006) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-osd.c

 add a framework to manage dissection of osd attribute pages, attribute number and name and dissectors for them.

implement the dissector for attribute page 1 (user object info) number 82 (logical length) as an example.





------------------------------------------------------------------------
r19807 | sahlberg | 2006-11-04 23:59:20 -0800 (Sat, 04 Nov 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-osd.c

dissect the Get Attributes List Offset according to the really weird encoding in 4.12.5



------------------------------------------------------------------------
r19806 | sahlberg | 2006-11-04 22:12:24 -0800 (Sat, 04 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-nspi.c

regenerate NSPI using the latest version of pidl


------------------------------------------------------------------------
r19805 | sahlberg | 2006-11-04 22:00:01 -0800 (Sat, 04 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/pidl/nspi/Makefile

update the Makefile to point to the new path after the svn move


------------------------------------------------------------------------
r19804 | sahlberg | 2006-11-04 21:56:27 -0800 (Sat, 04 Nov 2006) | 4 lines
Changed paths:
   A /trunk/epan/dissectors/pidl/nspi (from /trunk/idl/nspi:19798)
   D /trunk/idl/nspi

rename the nspi dissector from idl (where the idl2wrs dissectors live) ro epan/dissector/pidl  (where the pidl generated dce/rpc dissectors live)



------------------------------------------------------------------------
r19803 | sahlberg | 2006-11-04 21:35:06 -0800 (Sat, 04 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-efs.c
   M /trunk/epan/dissectors/pidl/efs.cnf

add tracking of policy handles to the efs dissector


------------------------------------------------------------------------
r19802 | gerald | 2006-11-04 21:33:53 -0800 (Sat, 04 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Add packet-dcerpc-nspi.h to the distribution.

------------------------------------------------------------------------
r19801 | sahlberg | 2006-11-04 21:21:33 -0800 (Sat, 04 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-eventlog.c
   M /trunk/epan/dissectors/pidl/eventlog.cnf

add tracking of policy_handles to the eventlog dissector


------------------------------------------------------------------------
r19800 | sahlberg | 2006-11-04 20:49:20 -0800 (Sat, 04 Nov 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-winreg.c
   M /trunk/epan/dissectors/packet-dcerpc-winreg.h
   M /trunk/epan/dissectors/pidl/winreg.cnf

testing out latest pidl where PARAM values can be used to track policy handles properly

winreg now tracks also where policy handles were closed    which previously didnt work properly



------------------------------------------------------------------------
r19799 | sahlberg | 2006-11-04 20:38:47 -0800 (Sat, 04 Nov 2006) | 3 lines
Changed paths:
   M /trunk/gtk/proto_draw.c

it is GtkText in gtk-1.x   not GtkTextView


------------------------------------------------------------------------
r19798 | guy | 2006-11-04 16:54:17 -0800 (Sat, 04 Nov 2006) | 22 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/proto_draw.c
   M /trunk/gtk/proto_draw.h

Make the routines that manipulate the hex/text display window take a
GtkWidget * as an argument, rather than a version-of-GTK+-dependent
pointer; that way, we need fewer #ifdefs.

Use WIDGET_SET_SIZE() instead of #ifdeffed code using
gtk_widget_set_usize() or gtk_widget_set_size_request() -
WIDGET_SET_SIZE() was created to encapsulate that GTK+ 1.2[.x] vs. 2.x
difference.

Make some variables not used outside gtk/main.c static.

Clean up white space.

Clean up handling of return value from load_airpcap() a bit.

Use one big #ifdef HAVE_AIRPCAP/#endif for all the AirPcap stuff in
gtk/main.c.

Attach _U_ to the unused arguments to driver_warning_dialog_cb(), not to
the arguments that are being used - and don't include it at all if
HAVE_AIRPCAP isn't defined, as it's not used in that case.

------------------------------------------------------------------------
r19797 | sahlberg | 2006-11-04 13:19:14 -0800 (Sat, 04 Nov 2006) | 25 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

from Dave Richards


Here is a patch to fix a problem with notification parameters.  Fix is:

Remove premature return statements from fNotificationParameters.

The real problem is that the original code is inconsistent about putting
a break in all cases of the switch blocks and some were falling through
to the default case where there was a return.  I took the simple route
and removed the unnecessary returns - they were OK for default case but
not for the fall through.

Is there a standard about having breaks?  If it is desired to have a
consistent coding style I will further update the code to conform.
Otherwise, could someone please commit this change as it does fix the bug?

Thanks,

Dave Richards





------------------------------------------------------------------------
r19796 | guy | 2006-11-04 12:37:16 -0800 (Sat, 04 Nov 2006) | 4 lines
Changed paths:
   M /trunk/tools/lemon/Makefile.am

xxx_PROGRAMS variables have the name of the program without $(EXEEXT).

Update Gerald's address.

------------------------------------------------------------------------
r19795 | jmayer | 2006-11-04 10:00:29 -0800 (Sat, 04 Nov 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-nspi.h
   M /trunk/idl/nspi/Makefile
   M /trunk/idl/nspi/README
   A /trunk/idl/nspi/README.ws
   M /trunk/idl/nspi/mapicodes_enum.h
   M /trunk/idl/nspi/mapitags_enum.h
   M /trunk/idl/nspi/nspi.idl

propset...


------------------------------------------------------------------------
r19794 | jmayer | 2006-11-04 09:44:37 -0800 (Sat, 04 Nov 2006) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-nspi.c
   A /trunk/epan/dissectors/packet-dcerpc-nspi.h
   A /trunk/idl/nspi
   A /trunk/idl/nspi/Makefile
   A /trunk/idl/nspi/README
   A /trunk/idl/nspi/mapicodes_enum.h
   A /trunk/idl/nspi/mapitags_enum.h
   A /trunk/idl/nspi/nspi.idl

Julien Kerihuel:

The new version of the dissector will compile without any patches to apply to
Wireshark/NDR.pm. Jelmer has improved the patch and pidl now support enums as
return type. Regarding the nspi.cnf file, it won't be useful anymore.

Regarding the dissector, I've noticed a bug in NspiGetMatches which isn't
dumped correctly. I'm currently investigating the problem and I'll notify the
list when a fixed version is available.


------------------------------------------------------------------------
r19793 | jmayer | 2006-11-04 08:57:21 -0800 (Sat, 04 Nov 2006) | 38 lines
Changed paths:
   M /trunk/tools/pidl/lib/Parse/Pidl/NDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba4/NDR/Parser.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Typelist.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Wireshark/Conformance.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Update from samba tree revision 19540 to 19553
============================ Samba log start ============
------------------------------------------------------------------------
r19541 | jelmer | 2006-11-03 20:55:17 +0100 (Fri, 03 Nov 2006) | 3 lines

Explicitly segfault when the API is being used incorrectly. Previously
this would've caused a silent premature return.

------------------------------------------------------------------------
r19544 | jelmer | 2006-11-04 00:08:33 +0100 (Sat, 04 Nov 2006) | 2 lines

Fix case of 'warning'.

------------------------------------------------------------------------
r19545 | jelmer | 2006-11-04 02:53:29 +0100 (Sat, 04 Nov 2006) | 2 lines

Allow enums as return types in code generated for wireshark. Originally based on a patch by Julien Kerihuel.

------------------------------------------------------------------------
r19546 | jelmer | 2006-11-04 03:51:03 +0100 (Sat, 04 Nov 2006) | 3 lines

fix number of bytes pushed when using switch_type() set to enum types.
die() on invalid used of enum_type_fn()

------------------------------------------------------------------------
r19547 | jelmer | 2006-11-04 03:54:24 +0100 (Sat, 04 Nov 2006) | 2 lines

Fix use of v1_enum on enums used in return types.

------------------------------------------------------------------------
r19553 | jelmer | 2006-11-04 16:40:05 +0100 (Sat, 04 Nov 2006) | 2 lines

Add check for correct API usage.

------------------------------------------------------------------------
============================ Samba log end ==============


------------------------------------------------------------------------
r19792 | gal | 2006-11-04 01:14:54 -0800 (Sat, 04 Nov 2006) | 7 lines
Changed paths:
   M /trunk/asn1/ldap/Lightweight-Directory-Access-Protocol-V3.asn
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-ber.h
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/libwireshark.def

General updates to:
*) Remove maximum LDAP PDU size check - they can get large with either large attributes (e.g. CRLs, SPIFs) or with lots of results (see http://www.wireshark.org/lists/wireshark-users/200610/msg00197.html). The max size preference is also removed.
*) Support for dissecting LDAP controls including server side sorting and paged results. A new BER function is introduced to see if there is a dissector for a given OID.
*) Remove reference to removed BER preference in the LDAP reassembly preference.
*) Mark a LDAPURL as a URL


------------------------------------------------------------------------
r19791 | sahlberg | 2006-11-04 00:54:45 -0800 (Sat, 04 Nov 2006) | 17 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

From SF

Attached is a fix for bug #1156: "If a dissector depends on a new
datasource created by a new tvb, that dissector's protocol can't be
filtered on."


Thanks,
 ?\194?\160Steve



I change the code slightly to avoid dereferenceing a NULL pointer.
While the original code was fine and safe on unix   dereferencing a null pointer in this way would be unsafe and cause a segmentation violation on windows   if tree is NULL.



------------------------------------------------------------------------
r19790 | gal | 2006-11-04 00:01:44 -0800 (Sat, 04 Nov 2006) | 6 lines
Changed paths:
   M /trunk/packaging/u3/win32/makefile.nmake
   M /trunk/packaging/u3/win32/manifest.tmpl

Update to U3 packaging to:
*) Assign a new UUID for version 0.99.5 (so different versions of Wireshark can be installed on one U3 device)
*) Include version number in U3 program name to allow user to differentiate versions
*) Catch up with packaging changes


------------------------------------------------------------------------
r19789 | gerald | 2006-11-03 16:35:04 -0800 (Fri, 03 Nov 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Fix distcheck.

------------------------------------------------------------------------
r19788 | ulfl | 2006-11-03 14:39:28 -0800 (Fri, 03 Nov 2006) | 3 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

split subversion into command line and GUI (TortoiseSVN) client

update various version infos
------------------------------------------------------------------------
r19787 | ulfl | 2006-11-03 14:12:57 -0800 (Fri, 03 Nov 2006) | 1 line
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

don't forget to uninstall pango\1.5.0, we might want to have something like this checked by the buildbot to prevent such problems
------------------------------------------------------------------------
r19786 | etxrab | 2006-11-03 12:15:17 -0800 (Fri, 03 Nov 2006) | 1 line
Changed paths:
   M /trunk/asn1/h245/h245-exp.cnf
   M /trunk/asn1/h245/h245.cnf
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h
   M /trunk/epan/dissectors/packet-sdp.c

Dissect h324ext_h223lcparm.
------------------------------------------------------------------------
r19785 | guy | 2006-11-03 10:39:03 -0800 (Fri, 03 Nov 2006) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.am
   M /trunk/epan/dfilter/Makefile.am
   M /trunk/plugins/mate/Makefile.am

Add $(EXEXT) after references to the Lemon executable.

------------------------------------------------------------------------
r19784 | gerald | 2006-11-03 07:54:12 -0800 (Fri, 03 Nov 2006) | 2 lines
Changed paths:
   M /trunk/image/wireshark.ico
   M /trunk/image/wireshark.rc.in
   A /trunk/image/wiresharkdoc.ico
   M /trunk/packaging/nsis/wireshark.nsi

Update the Windows icons.  Use the document icon for capture files.

------------------------------------------------------------------------
r19783 | jmayer | 2006-11-03 07:10:17 -0800 (Fri, 03 Nov 2006) | 6 lines
Changed paths:
   M /trunk/tools/pidl/lib/Parse/Pidl/ODL.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba3/ClientNDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Samba3/ServerNDR.pm
   M /trunk/tools/pidl/lib/Parse/Pidl/Wireshark/NDR.pm

Update from samba tree revision 18675 to 19540
============================ Samba log start ============
svn: When specifying working copy paths, only one target may be given
============================ Samba log end ==============


------------------------------------------------------------------------
r19782 | tuexen | 2006-11-03 02:12:36 -0800 (Fri, 03 Nov 2006) | 2 lines
Changed paths:
   M /trunk/tools/lemon/Makefile.am

Fixes ./autogen.sh on Mac OS X...

------------------------------------------------------------------------
r19781 | gerald | 2006-11-02 22:55:30 -0800 (Thu, 02 Nov 2006) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/configure.in

Bump the version to 0.99.5.

------------------------------------------------------------------------
r19780 | gerald | 2006-11-02 22:30:52 -0800 (Thu, 02 Nov 2006) | 5 lines
Changed paths:
